#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 406
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 205
#define ALIAS_COUNT 1
#define TOKEN_COUNT 139
#define EXTERNAL_TOKEN_COUNT 4
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 4

enum ts_symbol_identifiers {
    anon_sym_true = 1,
    anon_sym_false = 2,
    anon_sym_null = 3,
    anon_sym_none = 4,
    anon_sym_DASH = 5,
    anon_sym_PLUS = 6,
    sym_dec_literal = 7,
    anon_sym_e = 8,
    anon_sym_e_PLUS = 9,
    anon_sym_e_DASH = 10,
    anon_sym__ = 11,
    sym_oct_literal = 12,
    sym_bin_literal = 13,
    sym_hex_literal = 14,
    anon_sym_DOT = 15,
    anon_sym_LBRACK = 16,
    anon_sym_COMMA = 17,
    anon_sym_RBRACK = 18,
    anon_sym_LPAREN = 19,
    anon_sym_RPAREN = 20,
    anon_sym_LBRACE = 21,
    anon_sym_COLON = 22,
    anon_sym_RBRACE = 23,
    anon_sym_DQUOTE = 24,
    aux_sym_string_literal_token1 = 25,
    anon_sym_BSLASH_DQUOTE = 26,
    anon_sym_SQUOTE = 27,
    aux_sym_string_literal_token2 = 28,
    anon_sym_BSLASH_SQUOTE = 29,
    anon_sym_is = 30,
    anon_sym_boolean = 31,
    anon_sym_callable = 32,
    anon_sym_defined = 33,
    anon_sym_divisibleby = 34,
    anon_sym_eq = 35,
    anon_sym_escaped = 36,
    anon_sym_even = 37,
    anon_sym_filter = 38,
    anon_sym_float = 39,
    anon_sym_ge = 40,
    anon_sym_gt = 41,
    anon_sym_in = 42,
    anon_sym_integer = 43,
    anon_sym_iterable = 44,
    anon_sym_le = 45,
    anon_sym_lower = 46,
    anon_sym_lt = 47,
    anon_sym_mapping = 48,
    anon_sym_ne = 49,
    anon_sym_number = 50,
    anon_sym_odd = 51,
    anon_sym_sameas = 52,
    anon_sym_sequence = 53,
    anon_sym_string = 54,
    anon_sym_test = 55,
    anon_sym_undefined = 56,
    anon_sym_upper = 57,
    anon_sym_EQ = 58,
    anon_sym_STAR = 59,
    anon_sym_SLASH = 60,
    anon_sym_SLASH_SLASH = 61,
    anon_sym_PERCENT = 62,
    anon_sym_STAR_STAR = 63,
    anon_sym_EQ_EQ = 64,
    anon_sym_BANG_EQ = 65,
    anon_sym_GT = 66,
    anon_sym_GT_EQ = 67,
    anon_sym_LT = 68,
    anon_sym_LT_EQ = 69,
    anon_sym_and = 70,
    anon_sym_or = 71,
    anon_sym_PIPE = 72,
    anon_sym_TILDE = 73,
    anon_sym_not = 74,
    anon_sym_BANG = 75,
    anon_sym_endfor = 76,
    anon_sym_elif = 77,
    anon_sym_else = 78,
    anon_sym_endif = 79,
    anon_sym_endblock = 80,
    anon_sym_endwith = 81,
    anon_sym_endfilter = 82,
    anon_sym_endmacro = 83,
    anon_sym_endcall = 84,
    anon_sym_endset = 85,
    anon_sym_endtrans = 86,
    anon_sym_continue = 87,
    anon_sym_break = 88,
    anon_sym_debug = 89,
    anon_sym_endautoescape = 90,
    anon_sym_do = 91,
    anon_sym_autoescape = 92,
    anon_sym_trans = 93,
    anon_sym_pluralize = 94,
    anon_sym_if = 95,
    anon_sym_block = 96,
    anon_sym_macro = 97,
    anon_sym_extends = 98,
    anon_sym_call = 99,
    anon_sym_with = 100,
    anon_sym_import = 101,
    anon_sym_from = 102,
    anon_sym_as = 103,
    anon_sym_include = 104,
    anon_sym_ignore = 105,
    anon_sym_missing = 106,
    anon_sym_without = 107,
    anon_sym_context = 108,
    anon_sym_set = 109,
    anon_sym_for = 110,
    anon_sym_recursive = 111,
    aux_sym_words_token1 = 112,
    aux_sym_words_token2 = 113,
    anon_sym_POUND = 114,
    anon_sym_POUND2 = 115,
    sym_identifier = 116,
    anon_sym_POUND_POUND = 117,
    aux_sym_comment_token1 = 118,
    aux_sym_comment_token2 = 119,
    anon_sym_LBRACE_POUND = 120,
    aux_sym_comment_token3 = 121,
    anon_sym_POUND_RBRACE = 122,
    anon_sym_LBRACE_LBRACE = 123,
    anon_sym_LBRACE_LBRACE_DASH = 124,
    anon_sym_LBRACE_LBRACE_PLUS = 125,
    anon_sym_RBRACE_RBRACE = 126,
    anon_sym_DASH_RBRACE_RBRACE = 127,
    anon_sym_PLUS_RBRACE_RBRACE = 128,
    anon_sym_LBRACE_PERCENT = 129,
    anon_sym_LBRACE_PERCENT_DASH = 130,
    anon_sym_LBRACE_PERCENT_PLUS = 131,
    anon_sym_DASH_PERCENT_RBRACE = 132,
    anon_sym_PERCENT_RBRACE = 133,
    anon_sym_PLUS_PERCENT_RBRACE = 134,
    sym_raw_start = 135,
    sym__raw_char = 136,
    sym_raw_end = 137,
    sym__inline_words = 138,
    sym_source = 139,
    sym_literal = 140,
    sym_boolean_literal = 141,
    sym_null_literal = 142,
    sym_number_literal = 143,
    sym_big_dec_literal = 144,
    sym_float_literal = 145,
    sym_list_literal = 146,
    sym_tuple_literal = 147,
    sym_dict_literal = 148,
    sym_string_literal = 149,
    sym_expression = 150,
    sym_binary_expression = 151,
    sym_builtin_test = 152,
    sym_assignment_expression = 153,
    sym_in_expression = 154,
    sym_binary_operator = 155,
    sym_unary_expression = 156,
    sym_unary_operator = 157,
    sym_primary_expression = 158,
    sym_function_call = 159,
    sym_arg = 160,
    sym_inline_trans = 161,
    sym_statement = 162,
    sym_do_statement = 163,
    sym_autoescape_statement = 164,
    sym_trans_statement = 165,
    sym_pluralize_statement = 166,
    sym_ternary_expression = 167,
    sym_block_statement = 168,
    sym_filter_statement = 169,
    sym_macro_statement = 170,
    sym_extends_statement = 171,
    sym_call_statement = 172,
    sym_with_statement = 173,
    sym_import_statement = 174,
    sym_import_from = 175,
    sym_import_as = 176,
    sym_import_attribute = 177,
    sym_include_statement = 178,
    sym_include_attribute = 179,
    sym_attribute_ignore = 180,
    sym_attribute_context = 181,
    sym_set_statement = 182,
    sym_for_statement = 183,
    sym_if_expression = 184,
    sym_words = 185,
    sym_comment = 186,
    sym_render_expression = 187,
    sym_control = 188,
    sym_raw_block = 189,
    sym_inline = 190,
    aux_sym_source_repeat1 = 191,
    aux_sym_list_literal_repeat1 = 192,
    aux_sym_dict_literal_repeat1 = 193,
    aux_sym_string_literal_repeat1 = 194,
    aux_sym_string_literal_repeat2 = 195,
    aux_sym_assignment_expression_repeat1 = 196,
    aux_sym_in_expression_repeat1 = 197,
    aux_sym_function_call_repeat1 = 198,
    aux_sym_trans_statement_repeat1 = 199,
    aux_sym_with_statement_repeat1 = 200,
    aux_sym_include_statement_repeat1 = 201,
    aux_sym_words_repeat1 = 202,
    aux_sym_comment_repeat1 = 203,
    aux_sym_raw_block_repeat1 = 204,
    alias_sym_raw_body = 205,
};

static const char *const ts_symbol_names[] = {
    [ts_builtin_sym_end] = "end",
    [anon_sym_true] = "true",
    [anon_sym_false] = "false",
    [anon_sym_null] = "null",
    [anon_sym_none] = "none",
    [anon_sym_DASH] = "-",
    [anon_sym_PLUS] = "+",
    [sym_dec_literal] = "dec_literal",
    [anon_sym_e] = "e",
    [anon_sym_e_PLUS] = "e+",
    [anon_sym_e_DASH] = "e-",
    [anon_sym__] = "_",
    [sym_oct_literal] = "oct_literal",
    [sym_bin_literal] = "bin_literal",
    [sym_hex_literal] = "hex_literal",
    [anon_sym_DOT] = ".",
    [anon_sym_LBRACK] = "[",
    [anon_sym_COMMA] = ",",
    [anon_sym_RBRACK] = "]",
    [anon_sym_LPAREN] = "(",
    [anon_sym_RPAREN] = ")",
    [anon_sym_LBRACE] = "{",
    [anon_sym_COLON] = ":",
    [anon_sym_RBRACE] = "}",
    [anon_sym_DQUOTE] = "\"",
    [aux_sym_string_literal_token1] = "string_literal_token1",
    [anon_sym_BSLASH_DQUOTE] = "\\\"",
    [anon_sym_SQUOTE] = "'",
    [aux_sym_string_literal_token2] = "string_literal_token2",
    [anon_sym_BSLASH_SQUOTE] = "\\'",
    [anon_sym_is] = "binary_operator",
    [anon_sym_boolean] = "boolean",
    [anon_sym_callable] = "callable",
    [anon_sym_defined] = "defined",
    [anon_sym_divisibleby] = "divisibleby",
    [anon_sym_eq] = "eq",
    [anon_sym_escaped] = "escaped",
    [anon_sym_even] = "even",
    [anon_sym_filter] = "filter",
    [anon_sym_float] = "float",
    [anon_sym_ge] = "ge",
    [anon_sym_gt] = "gt",
    [anon_sym_in] = "in",
    [anon_sym_integer] = "integer",
    [anon_sym_iterable] = "iterable",
    [anon_sym_le] = "le",
    [anon_sym_lower] = "lower",
    [anon_sym_lt] = "lt",
    [anon_sym_mapping] = "mapping",
    [anon_sym_ne] = "ne",
    [anon_sym_number] = "number",
    [anon_sym_odd] = "odd",
    [anon_sym_sameas] = "sameas",
    [anon_sym_sequence] = "sequence",
    [anon_sym_string] = "string",
    [anon_sym_test] = "test",
    [anon_sym_undefined] = "undefined",
    [anon_sym_upper] = "upper",
    [anon_sym_EQ] = "binary_operator",
    [anon_sym_STAR] = "*",
    [anon_sym_SLASH] = "/",
    [anon_sym_SLASH_SLASH] = "//",
    [anon_sym_PERCENT] = "%",
    [anon_sym_STAR_STAR] = "**",
    [anon_sym_EQ_EQ] = "==",
    [anon_sym_BANG_EQ] = "!=",
    [anon_sym_GT] = ">",
    [anon_sym_GT_EQ] = ">=",
    [anon_sym_LT] = "<",
    [anon_sym_LT_EQ] = "<=",
    [anon_sym_and] = "and",
    [anon_sym_or] = "or",
    [anon_sym_PIPE] = "|",
    [anon_sym_TILDE] = "~",
    [anon_sym_not] = "not",
    [anon_sym_BANG] = "!",
    [anon_sym_endfor] = "endfor",
    [anon_sym_elif] = "elif",
    [anon_sym_else] = "else",
    [anon_sym_endif] = "endif",
    [anon_sym_endblock] = "endblock",
    [anon_sym_endwith] = "endwith",
    [anon_sym_endfilter] = "endfilter",
    [anon_sym_endmacro] = "endmacro",
    [anon_sym_endcall] = "endcall",
    [anon_sym_endset] = "endset",
    [anon_sym_endtrans] = "endtrans",
    [anon_sym_continue] = "continue",
    [anon_sym_break] = "break",
    [anon_sym_debug] = "debug",
    [anon_sym_endautoescape] = "endautoescape",
    [anon_sym_do] = "do",
    [anon_sym_autoescape] = "autoescape",
    [anon_sym_trans] = "trans",
    [anon_sym_pluralize] = "pluralize",
    [anon_sym_if] = "if",
    [anon_sym_block] = "block",
    [anon_sym_macro] = "macro",
    [anon_sym_extends] = "extends",
    [anon_sym_call] = "call",
    [anon_sym_with] = "with",
    [anon_sym_import] = "import",
    [anon_sym_from] = "from",
    [anon_sym_as] = "as",
    [anon_sym_include] = "include",
    [anon_sym_ignore] = "ignore",
    [anon_sym_missing] = "missing",
    [anon_sym_without] = "without",
    [anon_sym_context] = "context",
    [anon_sym_set] = "set",
    [anon_sym_for] = "for",
    [anon_sym_recursive] = "recursive",
    [aux_sym_words_token1] = "words_token1",
    [aux_sym_words_token2] = "words_token2",
    [anon_sym_POUND] = "#",
    [anon_sym_POUND2] = "# ",
    [sym_identifier] = "identifier",
    [anon_sym_POUND_POUND] = "##",
    [aux_sym_comment_token1] = "comment_token1",
    [aux_sym_comment_token2] = "comment_token2",
    [anon_sym_LBRACE_POUND] = "{#",
    [aux_sym_comment_token3] = "comment_token3",
    [anon_sym_POUND_RBRACE] = "#}",
    [anon_sym_LBRACE_LBRACE] = "{{",
    [anon_sym_LBRACE_LBRACE_DASH] = "{{-",
    [anon_sym_LBRACE_LBRACE_PLUS] = "{{+",
    [anon_sym_RBRACE_RBRACE] = "}}",
    [anon_sym_DASH_RBRACE_RBRACE] = "-}}",
    [anon_sym_PLUS_RBRACE_RBRACE] = "+}}",
    [anon_sym_LBRACE_PERCENT] = "{%",
    [anon_sym_LBRACE_PERCENT_DASH] = "{%-",
    [anon_sym_LBRACE_PERCENT_PLUS] = "{%+",
    [anon_sym_DASH_PERCENT_RBRACE] = "-%}",
    [anon_sym_PERCENT_RBRACE] = "%}",
    [anon_sym_PLUS_PERCENT_RBRACE] = "+%}",
    [sym_raw_start] = "raw_start",
    [sym__raw_char] = "_raw_char",
    [sym_raw_end] = "raw_end",
    [sym__inline_words] = "_inline_words",
    [sym_source] = "source",
    [sym_literal] = "literal",
    [sym_boolean_literal] = "boolean_literal",
    [sym_null_literal] = "null_literal",
    [sym_number_literal] = "number_literal",
    [sym_big_dec_literal] = "big_dec_literal",
    [sym_float_literal] = "float_literal",
    [sym_list_literal] = "list_literal",
    [sym_tuple_literal] = "tuple_literal",
    [sym_dict_literal] = "dict_literal",
    [sym_string_literal] = "string_literal",
    [sym_expression] = "expression",
    [sym_binary_expression] = "binary_expression",
    [sym_builtin_test] = "builtin_test",
    [sym_assignment_expression] = "assignment_expression",
    [sym_in_expression] = "in_expression",
    [sym_binary_operator] = "binary_operator",
    [sym_unary_expression] = "unary_expression",
    [sym_unary_operator] = "unary_operator",
    [sym_primary_expression] = "primary_expression",
    [sym_function_call] = "function_call",
    [sym_arg] = "arg",
    [sym_inline_trans] = "inline_trans",
    [sym_statement] = "statement",
    [sym_do_statement] = "do_statement",
    [sym_autoescape_statement] = "autoescape_statement",
    [sym_trans_statement] = "trans_statement",
    [sym_pluralize_statement] = "pluralize_statement",
    [sym_ternary_expression] = "ternary_expression",
    [sym_block_statement] = "block_statement",
    [sym_filter_statement] = "filter_statement",
    [sym_macro_statement] = "macro_statement",
    [sym_extends_statement] = "extends_statement",
    [sym_call_statement] = "call_statement",
    [sym_with_statement] = "with_statement",
    [sym_import_statement] = "import_statement",
    [sym_import_from] = "import_from",
    [sym_import_as] = "import_as",
    [sym_import_attribute] = "import_attribute",
    [sym_include_statement] = "include_statement",
    [sym_include_attribute] = "include_attribute",
    [sym_attribute_ignore] = "attribute_ignore",
    [sym_attribute_context] = "attribute_context",
    [sym_set_statement] = "set_statement",
    [sym_for_statement] = "for_statement",
    [sym_if_expression] = "if_expression",
    [sym_words] = "words",
    [sym_comment] = "comment",
    [sym_render_expression] = "render_expression",
    [sym_control] = "control",
    [sym_raw_block] = "raw_block",
    [sym_inline] = "inline",
    [aux_sym_source_repeat1] = "source_repeat1",
    [aux_sym_list_literal_repeat1] = "list_literal_repeat1",
    [aux_sym_dict_literal_repeat1] = "dict_literal_repeat1",
    [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
    [aux_sym_string_literal_repeat2] = "string_literal_repeat2",
    [aux_sym_assignment_expression_repeat1] = "assignment_expression_repeat1",
    [aux_sym_in_expression_repeat1] = "in_expression_repeat1",
    [aux_sym_function_call_repeat1] = "function_call_repeat1",
    [aux_sym_trans_statement_repeat1] = "trans_statement_repeat1",
    [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
    [aux_sym_include_statement_repeat1] = "include_statement_repeat1",
    [aux_sym_words_repeat1] = "words_repeat1",
    [aux_sym_comment_repeat1] = "comment_repeat1",
    [aux_sym_raw_block_repeat1] = "raw_block_repeat1",
    [alias_sym_raw_body] = "raw_body",
};

static const TSSymbol ts_symbol_map[] = {
    [ts_builtin_sym_end] = ts_builtin_sym_end,
    [anon_sym_true] = anon_sym_true,
    [anon_sym_false] = anon_sym_false,
    [anon_sym_null] = anon_sym_null,
    [anon_sym_none] = anon_sym_none,
    [anon_sym_DASH] = anon_sym_DASH,
    [anon_sym_PLUS] = anon_sym_PLUS,
    [sym_dec_literal] = sym_dec_literal,
    [anon_sym_e] = anon_sym_e,
    [anon_sym_e_PLUS] = anon_sym_e_PLUS,
    [anon_sym_e_DASH] = anon_sym_e_DASH,
    [anon_sym__] = anon_sym__,
    [sym_oct_literal] = sym_oct_literal,
    [sym_bin_literal] = sym_bin_literal,
    [sym_hex_literal] = sym_hex_literal,
    [anon_sym_DOT] = anon_sym_DOT,
    [anon_sym_LBRACK] = anon_sym_LBRACK,
    [anon_sym_COMMA] = anon_sym_COMMA,
    [anon_sym_RBRACK] = anon_sym_RBRACK,
    [anon_sym_LPAREN] = anon_sym_LPAREN,
    [anon_sym_RPAREN] = anon_sym_RPAREN,
    [anon_sym_LBRACE] = anon_sym_LBRACE,
    [anon_sym_COLON] = anon_sym_COLON,
    [anon_sym_RBRACE] = anon_sym_RBRACE,
    [anon_sym_DQUOTE] = anon_sym_DQUOTE,
    [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
    [anon_sym_BSLASH_DQUOTE] = anon_sym_BSLASH_DQUOTE,
    [anon_sym_SQUOTE] = anon_sym_SQUOTE,
    [aux_sym_string_literal_token2] = aux_sym_string_literal_token2,
    [anon_sym_BSLASH_SQUOTE] = anon_sym_BSLASH_SQUOTE,
    [anon_sym_is] = sym_binary_operator,
    [anon_sym_boolean] = anon_sym_boolean,
    [anon_sym_callable] = anon_sym_callable,
    [anon_sym_defined] = anon_sym_defined,
    [anon_sym_divisibleby] = anon_sym_divisibleby,
    [anon_sym_eq] = anon_sym_eq,
    [anon_sym_escaped] = anon_sym_escaped,
    [anon_sym_even] = anon_sym_even,
    [anon_sym_filter] = anon_sym_filter,
    [anon_sym_float] = anon_sym_float,
    [anon_sym_ge] = anon_sym_ge,
    [anon_sym_gt] = anon_sym_gt,
    [anon_sym_in] = anon_sym_in,
    [anon_sym_integer] = anon_sym_integer,
    [anon_sym_iterable] = anon_sym_iterable,
    [anon_sym_le] = anon_sym_le,
    [anon_sym_lower] = anon_sym_lower,
    [anon_sym_lt] = anon_sym_lt,
    [anon_sym_mapping] = anon_sym_mapping,
    [anon_sym_ne] = anon_sym_ne,
    [anon_sym_number] = anon_sym_number,
    [anon_sym_odd] = anon_sym_odd,
    [anon_sym_sameas] = anon_sym_sameas,
    [anon_sym_sequence] = anon_sym_sequence,
    [anon_sym_string] = anon_sym_string,
    [anon_sym_test] = anon_sym_test,
    [anon_sym_undefined] = anon_sym_undefined,
    [anon_sym_upper] = anon_sym_upper,
    [anon_sym_EQ] = sym_binary_operator,
    [anon_sym_STAR] = anon_sym_STAR,
    [anon_sym_SLASH] = anon_sym_SLASH,
    [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
    [anon_sym_PERCENT] = anon_sym_PERCENT,
    [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
    [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
    [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
    [anon_sym_GT] = anon_sym_GT,
    [anon_sym_GT_EQ] = anon_sym_GT_EQ,
    [anon_sym_LT] = anon_sym_LT,
    [anon_sym_LT_EQ] = anon_sym_LT_EQ,
    [anon_sym_and] = anon_sym_and,
    [anon_sym_or] = anon_sym_or,
    [anon_sym_PIPE] = anon_sym_PIPE,
    [anon_sym_TILDE] = anon_sym_TILDE,
    [anon_sym_not] = anon_sym_not,
    [anon_sym_BANG] = anon_sym_BANG,
    [anon_sym_endfor] = anon_sym_endfor,
    [anon_sym_elif] = anon_sym_elif,
    [anon_sym_else] = anon_sym_else,
    [anon_sym_endif] = anon_sym_endif,
    [anon_sym_endblock] = anon_sym_endblock,
    [anon_sym_endwith] = anon_sym_endwith,
    [anon_sym_endfilter] = anon_sym_endfilter,
    [anon_sym_endmacro] = anon_sym_endmacro,
    [anon_sym_endcall] = anon_sym_endcall,
    [anon_sym_endset] = anon_sym_endset,
    [anon_sym_endtrans] = anon_sym_endtrans,
    [anon_sym_continue] = anon_sym_continue,
    [anon_sym_break] = anon_sym_break,
    [anon_sym_debug] = anon_sym_debug,
    [anon_sym_endautoescape] = anon_sym_endautoescape,
    [anon_sym_do] = anon_sym_do,
    [anon_sym_autoescape] = anon_sym_autoescape,
    [anon_sym_trans] = anon_sym_trans,
    [anon_sym_pluralize] = anon_sym_pluralize,
    [anon_sym_if] = anon_sym_if,
    [anon_sym_block] = anon_sym_block,
    [anon_sym_macro] = anon_sym_macro,
    [anon_sym_extends] = anon_sym_extends,
    [anon_sym_call] = anon_sym_call,
    [anon_sym_with] = anon_sym_with,
    [anon_sym_import] = anon_sym_import,
    [anon_sym_from] = anon_sym_from,
    [anon_sym_as] = anon_sym_as,
    [anon_sym_include] = anon_sym_include,
    [anon_sym_ignore] = anon_sym_ignore,
    [anon_sym_missing] = anon_sym_missing,
    [anon_sym_without] = anon_sym_without,
    [anon_sym_context] = anon_sym_context,
    [anon_sym_set] = anon_sym_set,
    [anon_sym_for] = anon_sym_for,
    [anon_sym_recursive] = anon_sym_recursive,
    [aux_sym_words_token1] = aux_sym_words_token1,
    [aux_sym_words_token2] = aux_sym_words_token2,
    [anon_sym_POUND] = anon_sym_POUND,
    [anon_sym_POUND2] = anon_sym_POUND2,
    [sym_identifier] = sym_identifier,
    [anon_sym_POUND_POUND] = anon_sym_POUND_POUND,
    [aux_sym_comment_token1] = aux_sym_comment_token1,
    [aux_sym_comment_token2] = aux_sym_comment_token2,
    [anon_sym_LBRACE_POUND] = anon_sym_LBRACE_POUND,
    [aux_sym_comment_token3] = aux_sym_comment_token3,
    [anon_sym_POUND_RBRACE] = anon_sym_POUND_RBRACE,
    [anon_sym_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE,
    [anon_sym_LBRACE_LBRACE_DASH] = anon_sym_LBRACE_LBRACE_DASH,
    [anon_sym_LBRACE_LBRACE_PLUS] = anon_sym_LBRACE_LBRACE_PLUS,
    [anon_sym_RBRACE_RBRACE] = anon_sym_RBRACE_RBRACE,
    [anon_sym_DASH_RBRACE_RBRACE] = anon_sym_DASH_RBRACE_RBRACE,
    [anon_sym_PLUS_RBRACE_RBRACE] = anon_sym_PLUS_RBRACE_RBRACE,
    [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
    [anon_sym_LBRACE_PERCENT_DASH] = anon_sym_LBRACE_PERCENT_DASH,
    [anon_sym_LBRACE_PERCENT_PLUS] = anon_sym_LBRACE_PERCENT_PLUS,
    [anon_sym_DASH_PERCENT_RBRACE] = anon_sym_DASH_PERCENT_RBRACE,
    [anon_sym_PERCENT_RBRACE] = anon_sym_PERCENT_RBRACE,
    [anon_sym_PLUS_PERCENT_RBRACE] = anon_sym_PLUS_PERCENT_RBRACE,
    [sym_raw_start] = sym_raw_start,
    [sym__raw_char] = sym__raw_char,
    [sym_raw_end] = sym_raw_end,
    [sym__inline_words] = sym__inline_words,
    [sym_source] = sym_source,
    [sym_literal] = sym_literal,
    [sym_boolean_literal] = sym_boolean_literal,
    [sym_null_literal] = sym_null_literal,
    [sym_number_literal] = sym_number_literal,
    [sym_big_dec_literal] = sym_big_dec_literal,
    [sym_float_literal] = sym_float_literal,
    [sym_list_literal] = sym_list_literal,
    [sym_tuple_literal] = sym_tuple_literal,
    [sym_dict_literal] = sym_dict_literal,
    [sym_string_literal] = sym_string_literal,
    [sym_expression] = sym_expression,
    [sym_binary_expression] = sym_binary_expression,
    [sym_builtin_test] = sym_builtin_test,
    [sym_assignment_expression] = sym_assignment_expression,
    [sym_in_expression] = sym_in_expression,
    [sym_binary_operator] = sym_binary_operator,
    [sym_unary_expression] = sym_unary_expression,
    [sym_unary_operator] = sym_unary_operator,
    [sym_primary_expression] = sym_primary_expression,
    [sym_function_call] = sym_function_call,
    [sym_arg] = sym_arg,
    [sym_inline_trans] = sym_inline_trans,
    [sym_statement] = sym_statement,
    [sym_do_statement] = sym_do_statement,
    [sym_autoescape_statement] = sym_autoescape_statement,
    [sym_trans_statement] = sym_trans_statement,
    [sym_pluralize_statement] = sym_pluralize_statement,
    [sym_ternary_expression] = sym_ternary_expression,
    [sym_block_statement] = sym_block_statement,
    [sym_filter_statement] = sym_filter_statement,
    [sym_macro_statement] = sym_macro_statement,
    [sym_extends_statement] = sym_extends_statement,
    [sym_call_statement] = sym_call_statement,
    [sym_with_statement] = sym_with_statement,
    [sym_import_statement] = sym_import_statement,
    [sym_import_from] = sym_import_from,
    [sym_import_as] = sym_import_as,
    [sym_import_attribute] = sym_import_attribute,
    [sym_include_statement] = sym_include_statement,
    [sym_include_attribute] = sym_include_attribute,
    [sym_attribute_ignore] = sym_attribute_ignore,
    [sym_attribute_context] = sym_attribute_context,
    [sym_set_statement] = sym_set_statement,
    [sym_for_statement] = sym_for_statement,
    [sym_if_expression] = sym_if_expression,
    [sym_words] = sym_words,
    [sym_comment] = sym_comment,
    [sym_render_expression] = sym_render_expression,
    [sym_control] = sym_control,
    [sym_raw_block] = sym_raw_block,
    [sym_inline] = sym_inline,
    [aux_sym_source_repeat1] = aux_sym_source_repeat1,
    [aux_sym_list_literal_repeat1] = aux_sym_list_literal_repeat1,
    [aux_sym_dict_literal_repeat1] = aux_sym_dict_literal_repeat1,
    [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
    [aux_sym_string_literal_repeat2] = aux_sym_string_literal_repeat2,
    [aux_sym_assignment_expression_repeat1] = aux_sym_assignment_expression_repeat1,
    [aux_sym_in_expression_repeat1] = aux_sym_in_expression_repeat1,
    [aux_sym_function_call_repeat1] = aux_sym_function_call_repeat1,
    [aux_sym_trans_statement_repeat1] = aux_sym_trans_statement_repeat1,
    [aux_sym_with_statement_repeat1] = aux_sym_with_statement_repeat1,
    [aux_sym_include_statement_repeat1] = aux_sym_include_statement_repeat1,
    [aux_sym_words_repeat1] = aux_sym_words_repeat1,
    [aux_sym_comment_repeat1] = aux_sym_comment_repeat1,
    [aux_sym_raw_block_repeat1] = aux_sym_raw_block_repeat1,
    [alias_sym_raw_body] = alias_sym_raw_body,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
    [ts_builtin_sym_end] = {
        .visible = false,
        .named = true,
    },
    [anon_sym_true] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_false] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_null] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_none] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS] = {
        .visible = true,
        .named = false,
    },
    [sym_dec_literal] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_e] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_e_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_e_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym__] = {
        .visible = true,
        .named = false,
    },
    [sym_oct_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_bin_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_hex_literal] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DOT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COMMA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_BSLASH_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_BSLASH_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_is] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_boolean] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_callable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_defined] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_divisibleby] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_eq] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_escaped] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_even] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_filter] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_float] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ge] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_gt] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_in] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_integer] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_iterable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_le] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_lower] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_lt] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mapping] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ne] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_number] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_odd] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sameas] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sequence] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_string] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_test] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_undefined] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_upper] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_EQ] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_STAR_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_EQ_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BANG_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_and] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_or] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PIPE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_TILDE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_not] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BANG] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endfor] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_elif] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_else] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endif] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endblock] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endwith] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endfilter] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endmacro] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endcall] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endset] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endtrans] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_continue] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_break] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_debug] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endautoescape] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_do] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_autoescape] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_trans] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_pluralize] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_if] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_block] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_macro] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_extends] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_call] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_with] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_import] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_from] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_as] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_include] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ignore] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_missing] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_without] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_context] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_set] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_for] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_recursive] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_words_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_words_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_POUND] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_POUND2] = {
        .visible = true,
        .named = false,
    },
    [sym_identifier] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_POUND_POUND] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_comment_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_LBRACE_POUND] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token3] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_POUND_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_LBRACE_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_LBRACE_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH_RBRACE_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS_RBRACE_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_PERCENT_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_PERCENT_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH_PERCENT_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS_PERCENT_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [sym_raw_start] = {
        .visible = true,
        .named = true,
    },
    [sym__raw_char] = {
        .visible = false,
        .named = true,
    },
    [sym_raw_end] = {
        .visible = true,
        .named = true,
    },
    [sym__inline_words] = {
        .visible = false,
        .named = true,
    },
    [sym_source] = {
        .visible = true,
        .named = true,
    },
    [sym_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_null_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_number_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_big_dec_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_float_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_list_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_tuple_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_dict_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_binary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_builtin_test] = {
        .visible = true,
        .named = true,
    },
    [sym_assignment_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_in_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_binary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_function_call] = {
        .visible = true,
        .named = true,
    },
    [sym_arg] = {
        .visible = true,
        .named = true,
    },
    [sym_inline_trans] = {
        .visible = true,
        .named = true,
    },
    [sym_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_do_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_autoescape_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_trans_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_pluralize_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_ternary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_block_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_filter_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_macro_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_extends_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_call_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_with_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_import_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_import_from] = {
        .visible = true,
        .named = true,
    },
    [sym_import_as] = {
        .visible = true,
        .named = true,
    },
    [sym_import_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_include_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_include_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_attribute_ignore] = {
        .visible = true,
        .named = true,
    },
    [sym_attribute_context] = {
        .visible = true,
        .named = true,
    },
    [sym_set_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_for_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_if_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_words] = {
        .visible = true,
        .named = true,
    },
    [sym_comment] = {
        .visible = true,
        .named = true,
    },
    [sym_render_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_control] = {
        .visible = true,
        .named = true,
    },
    [sym_raw_block] = {
        .visible = true,
        .named = true,
    },
    [sym_inline] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_source_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_list_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_dict_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_assignment_expression_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_in_expression_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_function_call_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_trans_statement_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_with_statement_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_include_statement_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_words_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_comment_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_raw_block_repeat1] = {
        .visible = false,
        .named = false,
    },
    [alias_sym_raw_body] = {
        .visible = true,
        .named = true,
    },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
    [0] = { 0 },
    [1] = {
        [1] = alias_sym_raw_body,
    },
    [2] = {
        [1] = sym_binary_operator,
    },
    [3] = {
        [2] = sym_binary_operator,
    },
};

static const uint16_t ts_non_terminal_alias_map[] = {
    aux_sym_raw_block_repeat1,
    2,
    aux_sym_raw_block_repeat1,
    alias_sym_raw_body,
    0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
    [0] = 0,
    [1] = 1,
    [2] = 2,
    [3] = 2,
    [4] = 2,
    [5] = 5,
    [6] = 6,
    [7] = 7,
    [8] = 8,
    [9] = 9,
    [10] = 10,
    [11] = 10,
    [12] = 12,
    [13] = 13,
    [14] = 14,
    [15] = 10,
    [16] = 12,
    [17] = 13,
    [18] = 13,
    [19] = 12,
    [20] = 20,
    [21] = 21,
    [22] = 22,
    [23] = 23,
    [24] = 24,
    [25] = 24,
    [26] = 20,
    [27] = 27,
    [28] = 28,
    [29] = 29,
    [30] = 30,
    [31] = 31,
    [32] = 32,
    [33] = 33,
    [34] = 29,
    [35] = 35,
    [36] = 33,
    [37] = 20,
    [38] = 29,
    [39] = 28,
    [40] = 33,
    [41] = 41,
    [42] = 42,
    [43] = 28,
    [44] = 24,
    [45] = 45,
    [46] = 46,
    [47] = 47,
    [48] = 48,
    [49] = 49,
    [50] = 50,
    [51] = 51,
    [52] = 52,
    [53] = 53,
    [54] = 54,
    [55] = 55,
    [56] = 56,
    [57] = 57,
    [58] = 53,
    [59] = 54,
    [60] = 54,
    [61] = 61,
    [62] = 61,
    [63] = 61,
    [64] = 48,
    [65] = 65,
    [66] = 66,
    [67] = 47,
    [68] = 68,
    [69] = 66,
    [70] = 48,
    [71] = 71,
    [72] = 72,
    [73] = 73,
    [74] = 74,
    [75] = 65,
    [76] = 65,
    [77] = 77,
    [78] = 78,
    [79] = 79,
    [80] = 80,
    [81] = 80,
    [82] = 82,
    [83] = 83,
    [84] = 84,
    [85] = 85,
    [86] = 86,
    [87] = 87,
    [88] = 88,
    [89] = 89,
    [90] = 90,
    [91] = 91,
    [92] = 92,
    [93] = 93,
    [94] = 94,
    [95] = 95,
    [96] = 96,
    [97] = 97,
    [98] = 98,
    [99] = 99,
    [100] = 100,
    [101] = 101,
    [102] = 102,
    [103] = 90,
    [104] = 104,
    [105] = 105,
    [106] = 106,
    [107] = 107,
    [108] = 104,
    [109] = 104,
    [110] = 110,
    [111] = 111,
    [112] = 112,
    [113] = 90,
    [114] = 35,
    [115] = 22,
    [116] = 80,
    [117] = 22,
    [118] = 80,
    [119] = 35,
    [120] = 79,
    [121] = 21,
    [122] = 112,
    [123] = 84,
    [124] = 31,
    [125] = 101,
    [126] = 42,
    [127] = 98,
    [128] = 105,
    [129] = 95,
    [130] = 82,
    [131] = 30,
    [132] = 94,
    [133] = 96,
    [134] = 23,
    [135] = 135,
    [136] = 92,
    [137] = 93,
    [138] = 9,
    [139] = 87,
    [140] = 27,
    [141] = 89,
    [142] = 91,
    [143] = 111,
    [144] = 85,
    [145] = 106,
    [146] = 86,
    [147] = 88,
    [148] = 41,
    [149] = 99,
    [150] = 100,
    [151] = 83,
    [152] = 45,
    [153] = 110,
    [154] = 107,
    [155] = 8,
    [156] = 102,
    [157] = 97,
    [158] = 79,
    [159] = 80,
    [160] = 80,
    [161] = 84,
    [162] = 89,
    [163] = 99,
    [164] = 27,
    [165] = 23,
    [166] = 96,
    [167] = 92,
    [168] = 102,
    [169] = 83,
    [170] = 45,
    [171] = 107,
    [172] = 82,
    [173] = 85,
    [174] = 105,
    [175] = 42,
    [176] = 8,
    [177] = 31,
    [178] = 112,
    [179] = 98,
    [180] = 86,
    [181] = 87,
    [182] = 110,
    [183] = 94,
    [184] = 95,
    [185] = 41,
    [186] = 97,
    [187] = 88,
    [188] = 100,
    [189] = 21,
    [190] = 106,
    [191] = 111,
    [192] = 91,
    [193] = 30,
    [194] = 93,
    [195] = 101,
    [196] = 9,
    [197] = 197,
    [198] = 198,
    [199] = 199,
    [200] = 200,
    [201] = 201,
    [202] = 202,
    [203] = 203,
    [204] = 204,
    [205] = 205,
    [206] = 206,
    [207] = 207,
    [208] = 208,
    [209] = 209,
    [210] = 210,
    [211] = 211,
    [212] = 212,
    [213] = 213,
    [214] = 214,
    [215] = 215,
    [216] = 216,
    [217] = 217,
    [218] = 218,
    [219] = 219,
    [220] = 220,
    [221] = 221,
    [222] = 222,
    [223] = 223,
    [224] = 97,
    [225] = 225,
    [226] = 102,
    [227] = 227,
    [228] = 228,
    [229] = 229,
    [230] = 230,
    [231] = 231,
    [232] = 232,
    [233] = 233,
    [234] = 234,
    [235] = 235,
    [236] = 236,
    [237] = 237,
    [238] = 238,
    [239] = 239,
    [240] = 240,
    [241] = 241,
    [242] = 242,
    [243] = 243,
    [244] = 244,
    [245] = 242,
    [246] = 246,
    [247] = 247,
    [248] = 248,
    [249] = 240,
    [250] = 250,
    [251] = 251,
    [252] = 252,
    [253] = 253,
    [254] = 254,
    [255] = 255,
    [256] = 253,
    [257] = 257,
    [258] = 258,
    [259] = 259,
    [260] = 260,
    [261] = 261,
    [262] = 262,
    [263] = 263,
    [264] = 264,
    [265] = 255,
    [266] = 266,
    [267] = 255,
    [268] = 253,
    [269] = 257,
    [270] = 257,
    [271] = 271,
    [272] = 272,
    [273] = 273,
    [274] = 274,
    [275] = 263,
    [276] = 263,
    [277] = 277,
    [278] = 278,
    [279] = 279,
    [280] = 280,
    [281] = 277,
    [282] = 282,
    [283] = 283,
    [284] = 284,
    [285] = 285,
    [286] = 285,
    [287] = 283,
    [288] = 288,
    [289] = 289,
    [290] = 277,
    [291] = 282,
    [292] = 283,
    [293] = 285,
    [294] = 294,
    [295] = 295,
    [296] = 296,
    [297] = 297,
    [298] = 298,
    [299] = 282,
    [300] = 300,
    [301] = 301,
    [302] = 302,
    [303] = 303,
    [304] = 304,
    [305] = 305,
    [306] = 306,
    [307] = 307,
    [308] = 308,
    [309] = 309,
    [310] = 310,
    [311] = 311,
    [312] = 310,
    [313] = 313,
    [314] = 314,
    [315] = 315,
    [316] = 316,
    [317] = 317,
    [318] = 318,
    [319] = 319,
    [320] = 320,
    [321] = 321,
    [322] = 322,
    [323] = 323,
    [324] = 324,
    [325] = 310,
    [326] = 326,
    [327] = 327,
    [328] = 321,
    [329] = 322,
    [330] = 305,
    [331] = 307,
    [332] = 332,
    [333] = 333,
    [334] = 334,
    [335] = 308,
    [336] = 336,
    [337] = 337,
    [338] = 338,
    [339] = 339,
    [340] = 340,
    [341] = 341,
    [342] = 309,
    [343] = 322,
    [344] = 344,
    [345] = 326,
    [346] = 346,
    [347] = 347,
    [348] = 348,
    [349] = 326,
    [350] = 321,
    [351] = 351,
    [352] = 352,
    [353] = 309,
    [354] = 354,
    [355] = 308,
    [356] = 356,
    [357] = 307,
    [358] = 305,
    [359] = 322,
    [360] = 360,
    [361] = 354,
    [362] = 362,
    [363] = 363,
    [364] = 364,
    [365] = 365,
    [366] = 366,
    [367] = 367,
    [368] = 368,
    [369] = 369,
    [370] = 370,
    [371] = 368,
    [372] = 368,
    [373] = 369,
    [374] = 369,
    [375] = 375,
    [376] = 376,
    [377] = 377,
    [378] = 376,
    [379] = 376,
    [380] = 380,
    [381] = 381,
    [382] = 377,
    [383] = 383,
    [384] = 384,
    [385] = 385,
    [386] = 386,
    [387] = 387,
    [388] = 388,
    [389] = 388,
    [390] = 390,
    [391] = 383,
    [392] = 392,
    [393] = 393,
    [394] = 388,
    [395] = 377,
    [396] = 396,
    [397] = 397,
    [398] = 398,
    [399] = 399,
    [400] = 400,
    [401] = 401,
    [402] = 381,
    [403] = 403,
    [404] = 381,
    [405] = 383,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
    START_LEXER();
    eof = lexer->eof(lexer);
    switch(state) {
        case 0:
            if(eof)
                ADVANCE(280);
            ADVANCE_MAP(
                '!', 408,
                '"', 320,
                '#', 463,
                '%', 391,
                '\'', 325,
                '(', 314,
                ')', 315,
                '*', 387,
                '+', 295,
                ',', 312,
                '-', 291,
                '.', 310,
                '/', 388,
                '0', 297,
                ':', 318,
                '<', 397,
                '=', 386,
                '>', 395,
                '[', 311,
                '\\', 12,
                ']', 313,
                '_', 305,
                'a', 168,
                'b', 145,
                'c', 22,
                'd', 68,
                'e', 300,
                'f', 26,
                'g', 69,
                'i', 112,
                'l', 70,
                'm', 20,
                'n', 71,
                'o', 64,
                'p', 148,
                'r', 87,
                's', 21,
                't', 88,
                'u', 173,
                'w', 129,
                '{', 317,
                '|', 403,
                '}', 319,
                '~', 404,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(0);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(298);
            END_STATE();
        case 1:
            if(lookahead == '\n')
                ADVANCE(588);
            if(lookahead == '\r')
                ADVANCE(1);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(1);
            END_STATE();
        case 2:
            ADVANCE_MAP(
                '!', 407,
                '"', 320,
                '\'', 325,
                '(', 314,
                ')', 315,
                '+', 296,
                ',', 312,
                '-', 292,
                '0', 297,
                '[', 311,
                ']', 313,
                '_', 306,
                'f', 470,
                'n', 553,
                't', 562,
                '{', 316,
                '}', 274,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(2);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(298);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 3:
            ADVANCE_MAP(
                '!', 407,
                '"', 320,
                '\'', 325,
                '(', 314,
                '+', 296,
                '-', 292,
                '0', 297,
                '[', 311,
                '_', 306,
                'b', 552,
                'c', 466,
                'd', 491,
                'e', 560,
                'f', 469,
                'g', 492,
                'i', 541,
                'l', 493,
                'm', 467,
                'n', 494,
                'o', 489,
                's', 468,
                't', 495,
                'u', 546,
                '{', 316,
                '}', 274,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(3);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(298);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 4:
            ADVANCE_MAP(
                '!', 407,
                '"', 320,
                '\'', 325,
                '(', 314,
                '+', 293,
                '-', 289,
                '0', 297,
                '[', 311,
                '_', 306,
                'f', 470,
                'n', 553,
                't', 562,
                '{', 316,
                '}', 319,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(4);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(298);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 5:
            ADVANCE_MAP(
                '!', 18,
                '%', 391,
                '(', 314,
                ')', 315,
                '*', 387,
                '+', 295,
                ',', 312,
                '-', 291,
                '.', 310,
                '/', 388,
                ':', 318,
                '<', 397,
                '=', 386,
                '>', 395,
                '[', 311,
                ']', 313,
                '_', 305,
                'a', 169,
                'b', 146,
                'c', 23,
                'd', 94,
                'e', 147,
                'f', 130,
                'i', 114,
                'm', 40,
                'o', 205,
                'p', 148,
                'r', 87,
                's', 107,
                't', 223,
                'w', 138,
                '|', 403,
                '}', 274,
                '~', 404,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(5);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(298);
            END_STATE();
        case 6:
            ADVANCE_MAP(
                '!', 18,
                '%', 391,
                '(', 314,
                '*', 387,
                '+', 294,
                '-', 290,
                '.', 310,
                '/', 388,
                '<', 397,
                '=', 19,
                '>', 395,
                '[', 311,
                'a', 549,
                'i', 572,
                'o', 568,
                '|', 403,
                '~', 404,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(6);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 7:
            ADVANCE_MAP(
                '!', 18,
                '%', 391,
                ')', 315,
                '*', 387,
                '+', 295,
                ',', 312,
                '-', 291,
                '.', 310,
                '/', 388,
                ':', 318,
                '<', 397,
                '=', 386,
                '>', 395,
                '[', 311,
                ']', 313,
                'a', 167,
                'e', 301,
                'i', 113,
                'o', 205,
                'r', 87,
                'w', 129,
                '|', 403,
                '}', 274,
                '~', 404,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(7);
            END_STATE();
        case 8:
            ADVANCE_MAP(
                '!', 18,
                '%', 391,
                '*', 387,
                '+', 294,
                '-', 290,
                '.', 310,
                '/', 388,
                '<', 397,
                '=', 19,
                '>', 395,
                '[', 311,
                'a', 549,
                'e', 302,
                'i', 572,
                'o', 568,
                '|', 403,
                '~', 404,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(8);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 9:
            ADVANCE_MAP(
                '!', 18,
                '%', 390,
                '(', 314,
                '*', 387,
                '+', 293,
                ',', 312,
                '-', 289,
                '.', 310,
                '/', 388,
                '<', 397,
                '=', 19,
                '>', 395,
                '[', 311,
                'a', 166,
                'e', 299,
                'i', 224,
                'o', 205,
                '|', 403,
                '}', 319,
                '~', 404,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(9);
            END_STATE();
        case 10:
            ADVANCE_MAP(
                '"', 320,
                '%', 269,
                '\'', 325,
                '(', 314,
                '+', 15,
                ',', 312,
                '-', 16,
                '.', 310,
                '[', 311,
                '}', 319,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(10);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 11:
            if(lookahead == '"')
                ADVANCE(320);
            if(lookahead == '\\')
                ADVANCE(322);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(323);
            if(lookahead != 0)
                ADVANCE(321);
            END_STATE();
        case 12:
            if(lookahead == '"')
                ADVANCE(324);
            if(lookahead == '\'')
                ADVANCE(329);
            END_STATE();
        case 13:
            if(lookahead == '#')
                ADVANCE(589);
            if(lookahead == '%')
                ADVANCE(599);
            if(lookahead == '{')
                ADVANCE(593);
            if(lookahead != 0)
                ADVANCE(461);
            END_STATE();
        case 14:
            if(lookahead == '#')
                ADVANCE(464);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(590);
            if(lookahead != 0)
                ADVANCE(591);
            END_STATE();
        case 15:
            if(lookahead == '%')
                ADVANCE(270);
            END_STATE();
        case 16:
            if(lookahead == '%')
                ADVANCE(272);
            END_STATE();
        case 17:
            if(lookahead == '\'')
                ADVANCE(325);
            if(lookahead == '\\')
                ADVANCE(327);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(328);
            if(lookahead != 0)
                ADVANCE(326);
            END_STATE();
        case 18:
            if(lookahead == '=')
                ADVANCE(394);
            END_STATE();
        case 19:
            if(lookahead == '=')
                ADVANCE(393);
            END_STATE();
        case 20:
            if(lookahead == 'a')
                ADVANCE(51);
            if(lookahead == 'i')
                ADVANCE(230);
            END_STATE();
        case 21:
            if(lookahead == 'a')
                ADVANCE(165);
            if(lookahead == 'e')
                ADVANCE(204);
            if(lookahead == 't')
                ADVANCE(222);
            END_STATE();
        case 22:
            if(lookahead == 'a')
                ADVANCE(154);
            if(lookahead == 'o')
                ADVANCE(174);
            END_STATE();
        case 23:
            if(lookahead == 'a')
                ADVANCE(154);
            if(lookahead == 'o')
                ADVANCE(184);
            END_STATE();
        case 24:
            if(lookahead == 'a')
                ADVANCE(44);
            END_STATE();
        case 25:
            if(lookahead == 'a')
                ADVANCE(143);
            END_STATE();
        case 26:
            if(lookahead == 'a')
                ADVANCE(152);
            if(lookahead == 'i')
                ADVANCE(162);
            if(lookahead == 'l')
                ADVANCE(191);
            if(lookahead == 'o')
                ADVANCE(206);
            if(lookahead == 'r')
                ADVANCE(189);
            END_STATE();
        case 27:
            if(lookahead == 'a')
                ADVANCE(180);
            END_STATE();
        case 28:
            if(lookahead == 'a')
                ADVANCE(180);
            if(lookahead == 'u')
                ADVANCE(75);
            END_STATE();
        case 29:
            if(lookahead == 'a')
                ADVANCE(55);
            END_STATE();
        case 30:
            ADVANCE_MAP(
                'a', 262,
                'b', 161,
                'c', 35,
                'f', 141,
                'i', 116,
                'm', 29,
                's', 98,
                't', 220,
                'w', 134,
            );
            END_STATE();
        case 31:
            if(lookahead == 'a')
                ADVANCE(242);
            END_STATE();
        case 32:
            if(lookahead == 'a')
                ADVANCE(153);
            END_STATE();
        case 33:
            if(lookahead == 'a')
                ADVANCE(226);
            END_STATE();
        case 34:
            if(lookahead == 'a')
                ADVANCE(171);
            END_STATE();
        case 35:
            if(lookahead == 'a')
                ADVANCE(157);
            END_STATE();
        case 36:
            if(lookahead == 'a')
                ADVANCE(199);
            END_STATE();
        case 37:
            if(lookahead == 'a')
                ADVANCE(183);
            END_STATE();
        case 38:
            if(lookahead == 'a')
                ADVANCE(200);
            END_STATE();
        case 39:
            if(lookahead == 'a')
                ADVANCE(201);
            END_STATE();
        case 40:
            if(lookahead == 'a')
                ADVANCE(50);
            END_STATE();
        case 41:
            if(lookahead == 'b')
                ADVANCE(267);
            END_STATE();
        case 42:
            if(lookahead == 'b')
                ADVANCE(255);
            END_STATE();
        case 43:
            if(lookahead == 'b')
                ADVANCE(255);
            if(lookahead == 'f')
                ADVANCE(131);
            END_STATE();
        case 44:
            if(lookahead == 'b')
                ADVANCE(159);
            END_STATE();
        case 45:
            if(lookahead == 'b')
                ADVANCE(160);
            END_STATE();
        case 46:
            if(lookahead == 'b')
                ADVANCE(108);
            END_STATE();
        case 47:
            if(lookahead == 'c')
                ADVANCE(142);
            END_STATE();
        case 48:
            if(lookahead == 'c')
                ADVANCE(36);
            END_STATE();
        case 49:
            if(lookahead == 'c')
                ADVANCE(144);
            END_STATE();
        case 50:
            if(lookahead == 'c')
                ADVANCE(216);
            END_STATE();
        case 51:
            if(lookahead == 'c')
                ADVANCE(216);
            if(lookahead == 'p')
                ADVANCE(203);
            END_STATE();
        case 52:
            if(lookahead == 'c')
                ADVANCE(81);
            END_STATE();
        case 53:
            if(lookahead == 'c')
                ADVANCE(156);
            END_STATE();
        case 54:
            if(lookahead == 'c')
                ADVANCE(256);
            END_STATE();
        case 55:
            if(lookahead == 'c')
                ADVANCE(219);
            END_STATE();
        case 56:
            if(lookahead == 'c')
                ADVANCE(38);
            END_STATE();
        case 57:
            if(lookahead == 'c')
                ADVANCE(39);
            END_STATE();
        case 58:
            if(lookahead == 'd')
                ADVANCE(399);
            END_STATE();
        case 59:
            if(lookahead == 'd')
                ADVANCE(30);
            END_STATE();
        case 60:
            if(lookahead == 'd')
                ADVANCE(372);
            END_STATE();
        case 61:
            if(lookahead == 'd')
                ADVANCE(335);
            END_STATE();
        case 62:
            if(lookahead == 'd')
                ADVANCE(341);
            END_STATE();
        case 63:
            if(lookahead == 'd')
                ADVANCE(382);
            END_STATE();
        case 64:
            if(lookahead == 'd')
                ADVANCE(60);
            if(lookahead == 'r')
                ADVANCE(401);
            END_STATE();
        case 65:
            if(lookahead == 'd')
                ADVANCE(227);
            END_STATE();
        case 66:
            if(lookahead == 'd')
                ADVANCE(92);
            END_STATE();
        case 67:
            if(lookahead == 'd')
                ADVANCE(86);
            END_STATE();
        case 68:
            if(lookahead == 'e')
                ADVANCE(43);
            if(lookahead == 'i')
                ADVANCE(263);
            if(lookahead == 'o')
                ADVANCE(424);
            END_STATE();
        case 69:
            if(lookahead == 'e')
                ADVANCE(349);
            if(lookahead == 't')
                ADVANCE(351);
            END_STATE();
        case 70:
            if(lookahead == 'e')
                ADVANCE(360);
            if(lookahead == 'o')
                ADVANCE(265);
            if(lookahead == 't')
                ADVANCE(364);
            END_STATE();
        case 71:
            if(lookahead == 'e')
                ADVANCE(368);
            if(lookahead == 'o')
                ADVANCE(182);
            if(lookahead == 'u')
                ADVANCE(155);
            END_STATE();
        case 72:
            if(lookahead == 'e')
                ADVANCE(25);
            END_STATE();
        case 73:
            if(lookahead == 'e')
                ADVANCE(411);
            END_STATE();
        case 74:
            if(lookahead == 'e')
                ADVANCE(287);
            END_STATE();
        case 75:
            if(lookahead == 'e')
                ADVANCE(281);
            END_STATE();
        case 76:
            if(lookahead == 'e')
                ADVANCE(266);
            if(lookahead == 'i')
                ADVANCE(181);
            END_STATE();
        case 77:
            if(lookahead == 'e')
                ADVANCE(283);
            END_STATE();
        case 78:
            if(lookahead == 'e')
                ADVANCE(439);
            END_STATE();
        case 79:
            if(lookahead == 'e')
                ADVANCE(420);
            END_STATE();
        case 80:
            if(lookahead == 'e')
                ADVANCE(358);
            END_STATE();
        case 81:
            if(lookahead == 'e')
                ADVANCE(376);
            END_STATE();
        case 82:
            if(lookahead == 'e')
                ADVANCE(427);
            END_STATE();
        case 83:
            if(lookahead == 'e')
                ADVANCE(445);
            END_STATE();
        case 84:
            if(lookahead == 'e')
                ADVANCE(425);
            END_STATE();
        case 85:
            if(lookahead == 'e')
                ADVANCE(423);
            END_STATE();
        case 86:
            if(lookahead == 'e')
                ADVANCE(438);
            END_STATE();
        case 87:
            if(lookahead == 'e')
                ADVANCE(54);
            END_STATE();
        case 88:
            if(lookahead == 'e')
                ADVANCE(232);
            if(lookahead == 'r')
                ADVANCE(28);
            END_STATE();
        case 89:
            if(lookahead == 'e')
                ADVANCE(122);
            END_STATE();
        case 90:
            if(lookahead == 'e')
                ADVANCE(170);
            END_STATE();
        case 91:
            if(lookahead == 'e')
                ADVANCE(214);
            END_STATE();
        case 92:
            if(lookahead == 'e')
                ADVANCE(117);
            END_STATE();
        case 93:
            if(lookahead == 'e')
                ADVANCE(41);
            END_STATE();
        case 94:
            if(lookahead == 'e')
                ADVANCE(42);
            if(lookahead == 'o')
                ADVANCE(424);
            END_STATE();
        case 95:
            if(lookahead == 'e')
                ADVANCE(61);
            END_STATE();
        case 96:
            if(lookahead == 'e')
                ADVANCE(176);
            END_STATE();
        case 97:
            if(lookahead == 'e')
                ADVANCE(62);
            END_STATE();
        case 98:
            if(lookahead == 'e')
                ADVANCE(243);
            END_STATE();
        case 99:
            if(lookahead == 'e')
                ADVANCE(207);
            END_STATE();
        case 100:
            if(lookahead == 'e')
                ADVANCE(236);
            END_STATE();
        case 101:
            if(lookahead == 'e')
                ADVANCE(63);
            END_STATE();
        case 102:
            if(lookahead == 'e')
                ADVANCE(33);
            END_STATE();
        case 103:
            if(lookahead == 'e')
                ADVANCE(208);
            END_STATE();
        case 104:
            if(lookahead == 'e')
                ADVANCE(34);
            END_STATE();
        case 105:
            if(lookahead == 'e')
                ADVANCE(179);
            END_STATE();
        case 106:
            if(lookahead == 'e')
                ADVANCE(210);
            END_STATE();
        case 107:
            if(lookahead == 'e')
                ADVANCE(238);
            END_STATE();
        case 108:
            if(lookahead == 'e')
                ADVANCE(211);
            END_STATE();
        case 109:
            if(lookahead == 'e')
                ADVANCE(212);
            END_STATE();
        case 110:
            if(lookahead == 'e')
                ADVANCE(213);
            END_STATE();
        case 111:
            if(lookahead == 'e')
                ADVANCE(237);
            END_STATE();
        case 112:
            if(lookahead == 'f')
                ADVANCE(428);
            if(lookahead == 'g')
                ADVANCE(178);
            if(lookahead == 'm')
                ADVANCE(198);
            if(lookahead == 'n')
                ADVANCE(355);
            if(lookahead == 's')
                ADVANCE(330);
            if(lookahead == 't')
                ADVANCE(91);
            END_STATE();
        case 113:
            if(lookahead == 'f')
                ADVANCE(428);
            if(lookahead == 'g')
                ADVANCE(178);
            if(lookahead == 'm')
                ADVANCE(198);
            if(lookahead == 'n')
                ADVANCE(353);
            if(lookahead == 's')
                ADVANCE(330);
            END_STATE();
        case 114:
            if(lookahead == 'f')
                ADVANCE(428);
            if(lookahead == 'm')
                ADVANCE(198);
            if(lookahead == 'n')
                ADVANCE(53);
            if(lookahead == 's')
                ADVANCE(330);
            END_STATE();
        case 115:
            if(lookahead == 'f')
                ADVANCE(410);
            END_STATE();
        case 116:
            if(lookahead == 'f')
                ADVANCE(412);
            END_STATE();
        case 117:
            if(lookahead == 'f')
                ADVANCE(139);
            END_STATE();
        case 118:
            if(lookahead == 'g')
                ADVANCE(422);
            END_STATE();
        case 119:
            if(lookahead == 'g')
                ADVANCE(378);
            END_STATE();
        case 120:
            if(lookahead == 'g')
                ADVANCE(366);
            END_STATE();
        case 121:
            if(lookahead == 'g')
                ADVANCE(440);
            END_STATE();
        case 122:
            if(lookahead == 'g')
                ADVANCE(109);
            END_STATE();
        case 123:
            if(lookahead == 'h')
                ADVANCE(434);
            END_STATE();
        case 124:
            if(lookahead == 'h')
                ADVANCE(414);
            END_STATE();
        case 125:
            if(lookahead == 'h')
                ADVANCE(433);
            END_STATE();
        case 126:
            if(lookahead == 'i')
                ADVANCE(115);
            if(lookahead == 's')
                ADVANCE(73);
            END_STATE();
        case 127:
            if(lookahead == 'i')
                ADVANCE(268);
            END_STATE();
        case 128:
            if(lookahead == 'i')
                ADVANCE(264);
            END_STATE();
        case 129:
            if(lookahead == 'i')
                ADVANCE(239);
            END_STATE();
        case 130:
            if(lookahead == 'i')
                ADVANCE(162);
            if(lookahead == 'o')
                ADVANCE(206);
            if(lookahead == 'r')
                ADVANCE(189);
            END_STATE();
        case 131:
            if(lookahead == 'i')
                ADVANCE(185);
            END_STATE();
        case 132:
            if(lookahead == 'i')
                ADVANCE(229);
            END_STATE();
        case 133:
            if(lookahead == 'i')
                ADVANCE(172);
            END_STATE();
        case 134:
            if(lookahead == 'i')
                ADVANCE(247);
            END_STATE();
        case 135:
            if(lookahead == 'i')
                ADVANCE(181);
            END_STATE();
        case 136:
            if(lookahead == 'i')
                ADVANCE(175);
            END_STATE();
        case 137:
            if(lookahead == 'i')
                ADVANCE(177);
            END_STATE();
        case 138:
            if(lookahead == 'i')
                ADVANCE(248);
            END_STATE();
        case 139:
            if(lookahead == 'i')
                ADVANCE(186);
            END_STATE();
        case 140:
            if(lookahead == 'i')
                ADVANCE(45);
            END_STATE();
        case 141:
            if(lookahead == 'i')
                ADVANCE(163);
            if(lookahead == 'o')
                ADVANCE(209);
            END_STATE();
        case 142:
            if(lookahead == 'k')
                ADVANCE(429);
            END_STATE();
        case 143:
            if(lookahead == 'k')
                ADVANCE(421);
            END_STATE();
        case 144:
            if(lookahead == 'k')
                ADVANCE(413);
            END_STATE();
        case 145:
            if(lookahead == 'l')
                ADVANCE(190);
            if(lookahead == 'o')
                ADVANCE(192);
            if(lookahead == 'r')
                ADVANCE(72);
            END_STATE();
        case 146:
            if(lookahead == 'l')
                ADVANCE(190);
            if(lookahead == 'r')
                ADVANCE(72);
            END_STATE();
        case 147:
            if(lookahead == 'l')
                ADVANCE(126);
            if(lookahead == 'n')
                ADVANCE(59);
            if(lookahead == 'x')
                ADVANCE(250);
            END_STATE();
        case 148:
            if(lookahead == 'l')
                ADVANCE(259);
            END_STATE();
        case 149:
            if(lookahead == 'l')
                ADVANCE(432);
            END_STATE();
        case 150:
            if(lookahead == 'l')
                ADVANCE(285);
            END_STATE();
        case 151:
            if(lookahead == 'l')
                ADVANCE(417);
            END_STATE();
        case 152:
            if(lookahead == 'l')
                ADVANCE(234);
            END_STATE();
        case 153:
            if(lookahead == 'l')
                ADVANCE(127);
            END_STATE();
        case 154:
            if(lookahead == 'l')
                ADVANCE(149);
            END_STATE();
        case 155:
            if(lookahead == 'l')
                ADVANCE(150);
            if(lookahead == 'm')
                ADVANCE(46);
            END_STATE();
        case 156:
            if(lookahead == 'l')
                ADVANCE(260);
            END_STATE();
        case 157:
            if(lookahead == 'l')
                ADVANCE(151);
            END_STATE();
        case 158:
            if(lookahead == 'l')
                ADVANCE(104);
            END_STATE();
        case 159:
            if(lookahead == 'l')
                ADVANCE(80);
            END_STATE();
        case 160:
            if(lookahead == 'l')
                ADVANCE(93);
            END_STATE();
        case 161:
            if(lookahead == 'l')
                ADVANCE(193);
            END_STATE();
        case 162:
            if(lookahead == 'l')
                ADVANCE(251);
            END_STATE();
        case 163:
            if(lookahead == 'l')
                ADVANCE(253);
            END_STATE();
        case 164:
            if(lookahead == 'm')
                ADVANCE(436);
            END_STATE();
        case 165:
            if(lookahead == 'm')
                ADVANCE(102);
            END_STATE();
        case 166:
            if(lookahead == 'n')
                ADVANCE(58);
            END_STATE();
        case 167:
            if(lookahead == 'n')
                ADVANCE(58);
            if(lookahead == 's')
                ADVANCE(437);
            END_STATE();
        case 168:
            if(lookahead == 'n')
                ADVANCE(58);
            if(lookahead == 's')
                ADVANCE(437);
            if(lookahead == 'u')
                ADVANCE(249);
            END_STATE();
        case 169:
            if(lookahead == 'n')
                ADVANCE(58);
            if(lookahead == 'u')
                ADVANCE(249);
            END_STATE();
        case 170:
            if(lookahead == 'n')
                ADVANCE(343);
            END_STATE();
        case 171:
            if(lookahead == 'n')
                ADVANCE(332);
            END_STATE();
        case 172:
            if(lookahead == 'n')
                ADVANCE(119);
            END_STATE();
        case 173:
            if(lookahead == 'n')
                ADVANCE(66);
            if(lookahead == 'p')
                ADVANCE(202);
            END_STATE();
        case 174:
            if(lookahead == 'n')
                ADVANCE(240);
            END_STATE();
        case 175:
            if(lookahead == 'n')
                ADVANCE(120);
            END_STATE();
        case 176:
            if(lookahead == 'n')
                ADVANCE(65);
            END_STATE();
        case 177:
            if(lookahead == 'n')
                ADVANCE(121);
            END_STATE();
        case 178:
            if(lookahead == 'n')
                ADVANCE(194);
            END_STATE();
        case 179:
            if(lookahead == 'n')
                ADVANCE(52);
            END_STATE();
        case 180:
            if(lookahead == 'n')
                ADVANCE(225);
            END_STATE();
        case 181:
            if(lookahead == 'n')
                ADVANCE(258);
            END_STATE();
        case 182:
            if(lookahead == 'n')
                ADVANCE(74);
            if(lookahead == 't')
                ADVANCE(405);
            END_STATE();
        case 183:
            if(lookahead == 'n')
                ADVANCE(228);
            END_STATE();
        case 184:
            if(lookahead == 'n')
                ADVANCE(252);
            END_STATE();
        case 185:
            if(lookahead == 'n')
                ADVANCE(95);
            END_STATE();
        case 186:
            if(lookahead == 'n')
                ADVANCE(101);
            END_STATE();
        case 187:
            if(lookahead == 'o')
                ADVANCE(430);
            END_STATE();
        case 188:
            if(lookahead == 'o')
                ADVANCE(416);
            END_STATE();
        case 189:
            if(lookahead == 'o')
                ADVANCE(164);
            END_STATE();
        case 190:
            if(lookahead == 'o')
                ADVANCE(47);
            END_STATE();
        case 191:
            if(lookahead == 'o')
                ADVANCE(31);
            END_STATE();
        case 192:
            if(lookahead == 'o')
                ADVANCE(158);
            END_STATE();
        case 193:
            if(lookahead == 'o')
                ADVANCE(49);
            END_STATE();
        case 194:
            if(lookahead == 'o')
                ADVANCE(221);
            END_STATE();
        case 195:
            if(lookahead == 'o')
                ADVANCE(218);
            END_STATE();
        case 196:
            if(lookahead == 'o')
                ADVANCE(100);
            END_STATE();
        case 197:
            if(lookahead == 'o')
                ADVANCE(111);
            END_STATE();
        case 198:
            if(lookahead == 'p')
                ADVANCE(195);
            END_STATE();
        case 199:
            if(lookahead == 'p')
                ADVANCE(97);
            END_STATE();
        case 200:
            if(lookahead == 'p')
                ADVANCE(84);
            END_STATE();
        case 201:
            if(lookahead == 'p')
                ADVANCE(85);
            END_STATE();
        case 202:
            if(lookahead == 'p')
                ADVANCE(103);
            END_STATE();
        case 203:
            if(lookahead == 'p')
                ADVANCE(136);
            END_STATE();
        case 204:
            if(lookahead == 'q')
                ADVANCE(261);
            if(lookahead == 't')
                ADVANCE(443);
            END_STATE();
        case 205:
            if(lookahead == 'r')
                ADVANCE(401);
            END_STATE();
        case 206:
            if(lookahead == 'r')
                ADVANCE(444);
            END_STATE();
        case 207:
            if(lookahead == 'r')
                ADVANCE(362);
            END_STATE();
        case 208:
            if(lookahead == 'r')
                ADVANCE(384);
            END_STATE();
        case 209:
            if(lookahead == 'r')
                ADVANCE(409);
            END_STATE();
        case 210:
            if(lookahead == 'r')
                ADVANCE(345);
            END_STATE();
        case 211:
            if(lookahead == 'r')
                ADVANCE(370);
            END_STATE();
        case 212:
            if(lookahead == 'r')
                ADVANCE(356);
            END_STATE();
        case 213:
            if(lookahead == 'r')
                ADVANCE(415);
            END_STATE();
        case 214:
            if(lookahead == 'r')
                ADVANCE(24);
            END_STATE();
        case 215:
            if(lookahead == 'r')
                ADVANCE(32);
            END_STATE();
        case 216:
            if(lookahead == 'r')
                ADVANCE(187);
            END_STATE();
        case 217:
            if(lookahead == 'r')
                ADVANCE(233);
            END_STATE();
        case 218:
            if(lookahead == 'r')
                ADVANCE(244);
            END_STATE();
        case 219:
            if(lookahead == 'r')
                ADVANCE(188);
            END_STATE();
        case 220:
            if(lookahead == 'r')
                ADVANCE(37);
            END_STATE();
        case 221:
            if(lookahead == 'r')
                ADVANCE(78);
            END_STATE();
        case 222:
            if(lookahead == 'r')
                ADVANCE(133);
            END_STATE();
        case 223:
            if(lookahead == 'r')
                ADVANCE(27);
            END_STATE();
        case 224:
            if(lookahead == 's')
                ADVANCE(330);
            END_STATE();
        case 225:
            if(lookahead == 's')
                ADVANCE(426);
            END_STATE();
        case 226:
            if(lookahead == 's')
                ADVANCE(374);
            END_STATE();
        case 227:
            if(lookahead == 's')
                ADVANCE(431);
            END_STATE();
        case 228:
            if(lookahead == 's')
                ADVANCE(419);
            END_STATE();
        case 229:
            if(lookahead == 's')
                ADVANCE(140);
            END_STATE();
        case 230:
            if(lookahead == 's')
                ADVANCE(235);
            END_STATE();
        case 231:
            if(lookahead == 's')
                ADVANCE(73);
            END_STATE();
        case 232:
            if(lookahead == 's')
                ADVANCE(241);
            END_STATE();
        case 233:
            if(lookahead == 's')
                ADVANCE(128);
            END_STATE();
        case 234:
            if(lookahead == 's')
                ADVANCE(77);
            END_STATE();
        case 235:
            if(lookahead == 's')
                ADVANCE(137);
            END_STATE();
        case 236:
            if(lookahead == 's')
                ADVANCE(56);
            END_STATE();
        case 237:
            if(lookahead == 's')
                ADVANCE(57);
            END_STATE();
        case 238:
            if(lookahead == 't')
                ADVANCE(443);
            END_STATE();
        case 239:
            if(lookahead == 't')
                ADVANCE(123);
            END_STATE();
        case 240:
            if(lookahead == 't')
                ADVANCE(76);
            END_STATE();
        case 241:
            if(lookahead == 't')
                ADVANCE(380);
            END_STATE();
        case 242:
            if(lookahead == 't')
                ADVANCE(347);
            END_STATE();
        case 243:
            if(lookahead == 't')
                ADVANCE(418);
            END_STATE();
        case 244:
            if(lookahead == 't')
                ADVANCE(435);
            END_STATE();
        case 245:
            if(lookahead == 't')
                ADVANCE(442);
            END_STATE();
        case 246:
            if(lookahead == 't')
                ADVANCE(441);
            END_STATE();
        case 247:
            if(lookahead == 't')
                ADVANCE(124);
            END_STATE();
        case 248:
            if(lookahead == 't')
                ADVANCE(125);
            END_STATE();
        case 249:
            if(lookahead == 't')
                ADVANCE(196);
            END_STATE();
        case 250:
            if(lookahead == 't')
                ADVANCE(96);
            END_STATE();
        case 251:
            if(lookahead == 't')
                ADVANCE(106);
            END_STATE();
        case 252:
            if(lookahead == 't')
                ADVANCE(135);
            END_STATE();
        case 253:
            if(lookahead == 't')
                ADVANCE(110);
            END_STATE();
        case 254:
            if(lookahead == 't')
                ADVANCE(197);
            END_STATE();
        case 255:
            if(lookahead == 'u')
                ADVANCE(118);
            END_STATE();
        case 256:
            if(lookahead == 'u')
                ADVANCE(217);
            END_STATE();
        case 257:
            if(lookahead == 'u')
                ADVANCE(246);
            END_STATE();
        case 258:
            if(lookahead == 'u')
                ADVANCE(79);
            END_STATE();
        case 259:
            if(lookahead == 'u')
                ADVANCE(215);
            END_STATE();
        case 260:
            if(lookahead == 'u')
                ADVANCE(67);
            END_STATE();
        case 261:
            if(lookahead == 'u')
                ADVANCE(105);
            END_STATE();
        case 262:
            if(lookahead == 'u')
                ADVANCE(254);
            END_STATE();
        case 263:
            if(lookahead == 'v')
                ADVANCE(132);
            END_STATE();
        case 264:
            if(lookahead == 'v')
                ADVANCE(83);
            END_STATE();
        case 265:
            if(lookahead == 'w')
                ADVANCE(99);
            END_STATE();
        case 266:
            if(lookahead == 'x')
                ADVANCE(245);
            END_STATE();
        case 267:
            if(lookahead == 'y')
                ADVANCE(337);
            END_STATE();
        case 268:
            if(lookahead == 'z')
                ADVANCE(82);
            END_STATE();
        case 269:
            if(lookahead == '}')
                ADVANCE(603);
            END_STATE();
        case 270:
            if(lookahead == '}')
                ADVANCE(604);
            END_STATE();
        case 271:
            if(lookahead == '}')
                ADVANCE(598);
            END_STATE();
        case 272:
            if(lookahead == '}')
                ADVANCE(602);
            END_STATE();
        case 273:
            if(lookahead == '}')
                ADVANCE(597);
            END_STATE();
        case 274:
            if(lookahead == '}')
                ADVANCE(596);
            END_STATE();
        case 275:
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == '_')
                ADVANCE(308);
            END_STATE();
        case 276:
            if(('0' <= lookahead && lookahead <= '7') ||
               lookahead == '_')
                ADVANCE(307);
            END_STATE();
        case 277:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(309);
            END_STATE();
        case 278:
            if(eof)
                ADVANCE(280);
            ADVANCE_MAP(
                '#', 462,
                'a', 460,
                'b', 456,
                'c', 449,
                'd', 451,
                'e', 457,
                'f', 454,
                'i', 453,
                'm', 450,
                'p', 458,
                's', 452,
                't', 459,
                'w', 455,
                '{', 13,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(447);
            if(lookahead != 0)
                ADVANCE(446);
            END_STATE();
        case 279:
            if(eof)
                ADVANCE(280);
            if(lookahead == '#')
                ADVANCE(462);
            if(lookahead == '{')
                ADVANCE(13);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(448);
            if(lookahead != 0)
                ADVANCE(446);
            END_STATE();
        case 280:
            ACCEPT_TOKEN(ts_builtin_sym_end);
            END_STATE();
        case 281:
            ACCEPT_TOKEN(anon_sym_true);
            END_STATE();
        case 282:
            ACCEPT_TOKEN(anon_sym_true);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 283:
            ACCEPT_TOKEN(anon_sym_false);
            END_STATE();
        case 284:
            ACCEPT_TOKEN(anon_sym_false);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 285:
            ACCEPT_TOKEN(anon_sym_null);
            END_STATE();
        case 286:
            ACCEPT_TOKEN(anon_sym_null);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 287:
            ACCEPT_TOKEN(anon_sym_none);
            END_STATE();
        case 288:
            ACCEPT_TOKEN(anon_sym_none);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 289:
            ACCEPT_TOKEN(anon_sym_DASH);
            END_STATE();
        case 290:
            ACCEPT_TOKEN(anon_sym_DASH);
            if(lookahead == '%')
                ADVANCE(272);
            END_STATE();
        case 291:
            ACCEPT_TOKEN(anon_sym_DASH);
            if(lookahead == '%')
                ADVANCE(272);
            if(lookahead == '}')
                ADVANCE(273);
            END_STATE();
        case 292:
            ACCEPT_TOKEN(anon_sym_DASH);
            if(lookahead == '}')
                ADVANCE(273);
            END_STATE();
        case 293:
            ACCEPT_TOKEN(anon_sym_PLUS);
            END_STATE();
        case 294:
            ACCEPT_TOKEN(anon_sym_PLUS);
            if(lookahead == '%')
                ADVANCE(270);
            END_STATE();
        case 295:
            ACCEPT_TOKEN(anon_sym_PLUS);
            if(lookahead == '%')
                ADVANCE(270);
            if(lookahead == '}')
                ADVANCE(271);
            END_STATE();
        case 296:
            ACCEPT_TOKEN(anon_sym_PLUS);
            if(lookahead == '}')
                ADVANCE(271);
            END_STATE();
        case 297:
            ACCEPT_TOKEN(sym_dec_literal);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(275);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(276);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(277);
            if(('0' <= lookahead && lookahead <= '9') ||
               lookahead == '_')
                ADVANCE(298);
            END_STATE();
        case 298:
            ACCEPT_TOKEN(sym_dec_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               lookahead == '_')
                ADVANCE(298);
            END_STATE();
        case 299:
            ACCEPT_TOKEN(anon_sym_e);
            if(lookahead == '+')
                ADVANCE(303);
            if(lookahead == '-')
                ADVANCE(304);
            END_STATE();
        case 300:
            ACCEPT_TOKEN(anon_sym_e);
            ADVANCE_MAP(
                '+', 303,
                '-', 304,
                'l', 126,
                'n', 59,
                'q', 339,
                's', 48,
                'v', 90,
                'x', 250,
            );
            END_STATE();
        case 301:
            ACCEPT_TOKEN(anon_sym_e);
            if(lookahead == '+')
                ADVANCE(303);
            if(lookahead == '-')
                ADVANCE(304);
            if(lookahead == 'l')
                ADVANCE(231);
            END_STATE();
        case 302:
            ACCEPT_TOKEN(anon_sym_e);
            if(lookahead == '+')
                ADVANCE(303);
            if(lookahead == '-')
                ADVANCE(304);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 303:
            ACCEPT_TOKEN(anon_sym_e_PLUS);
            END_STATE();
        case 304:
            ACCEPT_TOKEN(anon_sym_e_DASH);
            END_STATE();
        case 305:
            ACCEPT_TOKEN(anon_sym__);
            END_STATE();
        case 306:
            ACCEPT_TOKEN(anon_sym__);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 307:
            ACCEPT_TOKEN(sym_oct_literal);
            if(('0' <= lookahead && lookahead <= '7') ||
               lookahead == '_')
                ADVANCE(307);
            END_STATE();
        case 308:
            ACCEPT_TOKEN(sym_bin_literal);
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == '_')
                ADVANCE(308);
            END_STATE();
        case 309:
            ACCEPT_TOKEN(sym_hex_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(309);
            END_STATE();
        case 310:
            ACCEPT_TOKEN(anon_sym_DOT);
            END_STATE();
        case 311:
            ACCEPT_TOKEN(anon_sym_LBRACK);
            END_STATE();
        case 312:
            ACCEPT_TOKEN(anon_sym_COMMA);
            END_STATE();
        case 313:
            ACCEPT_TOKEN(anon_sym_RBRACK);
            END_STATE();
        case 314:
            ACCEPT_TOKEN(anon_sym_LPAREN);
            END_STATE();
        case 315:
            ACCEPT_TOKEN(anon_sym_RPAREN);
            END_STATE();
        case 316:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            END_STATE();
        case 317:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            if(lookahead == '#')
                ADVANCE(589);
            if(lookahead == '%')
                ADVANCE(599);
            END_STATE();
        case 318:
            ACCEPT_TOKEN(anon_sym_COLON);
            END_STATE();
        case 319:
            ACCEPT_TOKEN(anon_sym_RBRACE);
            END_STATE();
        case 320:
            ACCEPT_TOKEN(anon_sym_DQUOTE);
            END_STATE();
        case 321:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            END_STATE();
        case 322:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '"')
                ADVANCE(324);
            END_STATE();
        case 323:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '\\')
                ADVANCE(322);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(323);
            if(lookahead != 0 &&
               lookahead != '"')
                ADVANCE(321);
            END_STATE();
        case 324:
            ACCEPT_TOKEN(anon_sym_BSLASH_DQUOTE);
            END_STATE();
        case 325:
            ACCEPT_TOKEN(anon_sym_SQUOTE);
            END_STATE();
        case 326:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            END_STATE();
        case 327:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            if(lookahead == '\'')
                ADVANCE(329);
            END_STATE();
        case 328:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            if(lookahead == '\\')
                ADVANCE(327);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(328);
            if(lookahead != 0 &&
               lookahead != '\'')
                ADVANCE(326);
            END_STATE();
        case 329:
            ACCEPT_TOKEN(anon_sym_BSLASH_SQUOTE);
            END_STATE();
        case 330:
            ACCEPT_TOKEN(anon_sym_is);
            END_STATE();
        case 331:
            ACCEPT_TOKEN(anon_sym_is);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 332:
            ACCEPT_TOKEN(anon_sym_boolean);
            END_STATE();
        case 333:
            ACCEPT_TOKEN(anon_sym_boolean);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 334:
            ACCEPT_TOKEN(anon_sym_callable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 335:
            ACCEPT_TOKEN(anon_sym_defined);
            END_STATE();
        case 336:
            ACCEPT_TOKEN(anon_sym_defined);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 337:
            ACCEPT_TOKEN(anon_sym_divisibleby);
            END_STATE();
        case 338:
            ACCEPT_TOKEN(anon_sym_divisibleby);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 339:
            ACCEPT_TOKEN(anon_sym_eq);
            END_STATE();
        case 340:
            ACCEPT_TOKEN(anon_sym_eq);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 341:
            ACCEPT_TOKEN(anon_sym_escaped);
            END_STATE();
        case 342:
            ACCEPT_TOKEN(anon_sym_escaped);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 343:
            ACCEPT_TOKEN(anon_sym_even);
            END_STATE();
        case 344:
            ACCEPT_TOKEN(anon_sym_even);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 345:
            ACCEPT_TOKEN(anon_sym_filter);
            END_STATE();
        case 346:
            ACCEPT_TOKEN(anon_sym_filter);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 347:
            ACCEPT_TOKEN(anon_sym_float);
            END_STATE();
        case 348:
            ACCEPT_TOKEN(anon_sym_float);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 349:
            ACCEPT_TOKEN(anon_sym_ge);
            END_STATE();
        case 350:
            ACCEPT_TOKEN(anon_sym_ge);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 351:
            ACCEPT_TOKEN(anon_sym_gt);
            END_STATE();
        case 352:
            ACCEPT_TOKEN(anon_sym_gt);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 353:
            ACCEPT_TOKEN(anon_sym_in);
            END_STATE();
        case 354:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 't')
                ADVANCE(497);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 355:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 't')
                ADVANCE(89);
            END_STATE();
        case 356:
            ACCEPT_TOKEN(anon_sym_integer);
            END_STATE();
        case 357:
            ACCEPT_TOKEN(anon_sym_integer);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 358:
            ACCEPT_TOKEN(anon_sym_iterable);
            END_STATE();
        case 359:
            ACCEPT_TOKEN(anon_sym_iterable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 360:
            ACCEPT_TOKEN(anon_sym_le);
            END_STATE();
        case 361:
            ACCEPT_TOKEN(anon_sym_le);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 362:
            ACCEPT_TOKEN(anon_sym_lower);
            END_STATE();
        case 363:
            ACCEPT_TOKEN(anon_sym_lower);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 364:
            ACCEPT_TOKEN(anon_sym_lt);
            END_STATE();
        case 365:
            ACCEPT_TOKEN(anon_sym_lt);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 366:
            ACCEPT_TOKEN(anon_sym_mapping);
            END_STATE();
        case 367:
            ACCEPT_TOKEN(anon_sym_mapping);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 368:
            ACCEPT_TOKEN(anon_sym_ne);
            END_STATE();
        case 369:
            ACCEPT_TOKEN(anon_sym_ne);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 370:
            ACCEPT_TOKEN(anon_sym_number);
            END_STATE();
        case 371:
            ACCEPT_TOKEN(anon_sym_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 372:
            ACCEPT_TOKEN(anon_sym_odd);
            END_STATE();
        case 373:
            ACCEPT_TOKEN(anon_sym_odd);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 374:
            ACCEPT_TOKEN(anon_sym_sameas);
            END_STATE();
        case 375:
            ACCEPT_TOKEN(anon_sym_sameas);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 376:
            ACCEPT_TOKEN(anon_sym_sequence);
            END_STATE();
        case 377:
            ACCEPT_TOKEN(anon_sym_sequence);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 378:
            ACCEPT_TOKEN(anon_sym_string);
            END_STATE();
        case 379:
            ACCEPT_TOKEN(anon_sym_string);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 380:
            ACCEPT_TOKEN(anon_sym_test);
            END_STATE();
        case 381:
            ACCEPT_TOKEN(anon_sym_test);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 382:
            ACCEPT_TOKEN(anon_sym_undefined);
            END_STATE();
        case 383:
            ACCEPT_TOKEN(anon_sym_undefined);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 384:
            ACCEPT_TOKEN(anon_sym_upper);
            END_STATE();
        case 385:
            ACCEPT_TOKEN(anon_sym_upper);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 386:
            ACCEPT_TOKEN(anon_sym_EQ);
            if(lookahead == '=')
                ADVANCE(393);
            END_STATE();
        case 387:
            ACCEPT_TOKEN(anon_sym_STAR);
            if(lookahead == '*')
                ADVANCE(392);
            END_STATE();
        case 388:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '/')
                ADVANCE(389);
            END_STATE();
        case 389:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            END_STATE();
        case 390:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            END_STATE();
        case 391:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            if(lookahead == '}')
                ADVANCE(603);
            END_STATE();
        case 392:
            ACCEPT_TOKEN(anon_sym_STAR_STAR);
            END_STATE();
        case 393:
            ACCEPT_TOKEN(anon_sym_EQ_EQ);
            END_STATE();
        case 394:
            ACCEPT_TOKEN(anon_sym_BANG_EQ);
            END_STATE();
        case 395:
            ACCEPT_TOKEN(anon_sym_GT);
            if(lookahead == '=')
                ADVANCE(396);
            END_STATE();
        case 396:
            ACCEPT_TOKEN(anon_sym_GT_EQ);
            END_STATE();
        case 397:
            ACCEPT_TOKEN(anon_sym_LT);
            if(lookahead == '=')
                ADVANCE(398);
            END_STATE();
        case 398:
            ACCEPT_TOKEN(anon_sym_LT_EQ);
            END_STATE();
        case 399:
            ACCEPT_TOKEN(anon_sym_and);
            END_STATE();
        case 400:
            ACCEPT_TOKEN(anon_sym_and);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 401:
            ACCEPT_TOKEN(anon_sym_or);
            END_STATE();
        case 402:
            ACCEPT_TOKEN(anon_sym_or);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 403:
            ACCEPT_TOKEN(anon_sym_PIPE);
            END_STATE();
        case 404:
            ACCEPT_TOKEN(anon_sym_TILDE);
            END_STATE();
        case 405:
            ACCEPT_TOKEN(anon_sym_not);
            END_STATE();
        case 406:
            ACCEPT_TOKEN(anon_sym_not);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 407:
            ACCEPT_TOKEN(anon_sym_BANG);
            END_STATE();
        case 408:
            ACCEPT_TOKEN(anon_sym_BANG);
            if(lookahead == '=')
                ADVANCE(394);
            END_STATE();
        case 409:
            ACCEPT_TOKEN(anon_sym_endfor);
            END_STATE();
        case 410:
            ACCEPT_TOKEN(anon_sym_elif);
            END_STATE();
        case 411:
            ACCEPT_TOKEN(anon_sym_else);
            END_STATE();
        case 412:
            ACCEPT_TOKEN(anon_sym_endif);
            END_STATE();
        case 413:
            ACCEPT_TOKEN(anon_sym_endblock);
            END_STATE();
        case 414:
            ACCEPT_TOKEN(anon_sym_endwith);
            END_STATE();
        case 415:
            ACCEPT_TOKEN(anon_sym_endfilter);
            END_STATE();
        case 416:
            ACCEPT_TOKEN(anon_sym_endmacro);
            END_STATE();
        case 417:
            ACCEPT_TOKEN(anon_sym_endcall);
            END_STATE();
        case 418:
            ACCEPT_TOKEN(anon_sym_endset);
            END_STATE();
        case 419:
            ACCEPT_TOKEN(anon_sym_endtrans);
            END_STATE();
        case 420:
            ACCEPT_TOKEN(anon_sym_continue);
            END_STATE();
        case 421:
            ACCEPT_TOKEN(anon_sym_break);
            END_STATE();
        case 422:
            ACCEPT_TOKEN(anon_sym_debug);
            END_STATE();
        case 423:
            ACCEPT_TOKEN(anon_sym_endautoescape);
            END_STATE();
        case 424:
            ACCEPT_TOKEN(anon_sym_do);
            END_STATE();
        case 425:
            ACCEPT_TOKEN(anon_sym_autoescape);
            END_STATE();
        case 426:
            ACCEPT_TOKEN(anon_sym_trans);
            END_STATE();
        case 427:
            ACCEPT_TOKEN(anon_sym_pluralize);
            END_STATE();
        case 428:
            ACCEPT_TOKEN(anon_sym_if);
            END_STATE();
        case 429:
            ACCEPT_TOKEN(anon_sym_block);
            END_STATE();
        case 430:
            ACCEPT_TOKEN(anon_sym_macro);
            END_STATE();
        case 431:
            ACCEPT_TOKEN(anon_sym_extends);
            END_STATE();
        case 432:
            ACCEPT_TOKEN(anon_sym_call);
            END_STATE();
        case 433:
            ACCEPT_TOKEN(anon_sym_with);
            END_STATE();
        case 434:
            ACCEPT_TOKEN(anon_sym_with);
            if(lookahead == 'o')
                ADVANCE(257);
            END_STATE();
        case 435:
            ACCEPT_TOKEN(anon_sym_import);
            END_STATE();
        case 436:
            ACCEPT_TOKEN(anon_sym_from);
            END_STATE();
        case 437:
            ACCEPT_TOKEN(anon_sym_as);
            END_STATE();
        case 438:
            ACCEPT_TOKEN(anon_sym_include);
            END_STATE();
        case 439:
            ACCEPT_TOKEN(anon_sym_ignore);
            END_STATE();
        case 440:
            ACCEPT_TOKEN(anon_sym_missing);
            END_STATE();
        case 441:
            ACCEPT_TOKEN(anon_sym_without);
            END_STATE();
        case 442:
            ACCEPT_TOKEN(anon_sym_context);
            END_STATE();
        case 443:
            ACCEPT_TOKEN(anon_sym_set);
            END_STATE();
        case 444:
            ACCEPT_TOKEN(anon_sym_for);
            END_STATE();
        case 445:
            ACCEPT_TOKEN(anon_sym_recursive);
            END_STATE();
        case 446:
            ACCEPT_TOKEN(aux_sym_words_token1);
            END_STATE();
        case 447:
            ACCEPT_TOKEN(aux_sym_words_token1);
            ADVANCE_MAP(
                '#', 462,
                'a', 460,
                'b', 456,
                'c', 449,
                'd', 451,
                'e', 457,
                'f', 454,
                'i', 453,
                'm', 450,
                'p', 458,
                's', 452,
                't', 459,
                'w', 455,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(447);
            if(lookahead != 0 &&
               lookahead != '{')
                ADVANCE(446);
            END_STATE();
        case 448:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == '#')
                ADVANCE(462);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(448);
            if(lookahead != 0 &&
               lookahead != '{')
                ADVANCE(446);
            END_STATE();
        case 449:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'a')
                ADVANCE(154);
            if(lookahead == 'o')
                ADVANCE(184);
            END_STATE();
        case 450:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'a')
                ADVANCE(50);
            END_STATE();
        case 451:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'e')
                ADVANCE(42);
            if(lookahead == 'o')
                ADVANCE(424);
            END_STATE();
        case 452:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'e')
                ADVANCE(238);
            END_STATE();
        case 453:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'f')
                ADVANCE(428);
            if(lookahead == 'm')
                ADVANCE(198);
            if(lookahead == 'n')
                ADVANCE(53);
            END_STATE();
        case 454:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'i')
                ADVANCE(162);
            if(lookahead == 'o')
                ADVANCE(206);
            END_STATE();
        case 455:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'i')
                ADVANCE(248);
            END_STATE();
        case 456:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'l')
                ADVANCE(190);
            if(lookahead == 'r')
                ADVANCE(72);
            END_STATE();
        case 457:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'l')
                ADVANCE(126);
            if(lookahead == 'n')
                ADVANCE(59);
            if(lookahead == 'x')
                ADVANCE(250);
            END_STATE();
        case 458:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'l')
                ADVANCE(259);
            END_STATE();
        case 459:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'r')
                ADVANCE(27);
            END_STATE();
        case 460:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == 'u')
                ADVANCE(249);
            END_STATE();
        case 461:
            ACCEPT_TOKEN(aux_sym_words_token2);
            END_STATE();
        case 462:
            ACCEPT_TOKEN(anon_sym_POUND);
            if(lookahead == ' ')
                ADVANCE(465);
            if(lookahead == '#')
                ADVANCE(585);
            END_STATE();
        case 463:
            ACCEPT_TOKEN(anon_sym_POUND);
            if(lookahead == ' ')
                ADVANCE(465);
            if(lookahead == '#')
                ADVANCE(585);
            if(lookahead == '}')
                ADVANCE(592);
            END_STATE();
        case 464:
            ACCEPT_TOKEN(anon_sym_POUND);
            if(lookahead == '}')
                ADVANCE(592);
            END_STATE();
        case 465:
            ACCEPT_TOKEN(anon_sym_POUND2);
            END_STATE();
        case 466:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(533);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 467:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(556);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 468:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(540);
            if(lookahead == 'e')
                ADVANCE(561);
            if(lookahead == 't')
                ADVANCE(569);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 469:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(531);
            if(lookahead == 'i')
                ADVANCE(529);
            if(lookahead == 'l')
                ADVANCE(554);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 470:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(531);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 471:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(478);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 472:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(577);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 473:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(557);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 474:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(571);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 475:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(543);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 476:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(479);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 477:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(583);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 478:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(536);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 479:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(537);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 480:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(538);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 481:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(514);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 482:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(473);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 483:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 484:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(373);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 485:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(336);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 486:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(342);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 487:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(383);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 488:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(400);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 489:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(484);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 490:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 491:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(518);
            if(lookahead == 'i')
                ADVANCE(581);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 492:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(350);
            if(lookahead == 't')
                ADVANCE(352);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 493:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(361);
            if(lookahead == 'o')
                ADVANCE(582);
            if(lookahead == 't')
                ADVANCE(365);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 494:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(369);
            if(lookahead == 'o')
                ADVANCE(548);
            if(lookahead == 'u')
                ADVANCE(534);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 495:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(573);
            if(lookahead == 'r')
                ADVANCE(579);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 496:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(542);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 497:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(522);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 498:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(288);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 499:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(282);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 500:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(284);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 501:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(334);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 502:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(359);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 503:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(377);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 504:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(570);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 505:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(563);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 506:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(477);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 507:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(485);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 508:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(564);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 509:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(486);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 510:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(565);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 511:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(544);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 512:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(474);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 513:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(487);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 514:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(566);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 515:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(475);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 516:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(567);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 517:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(519);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 518:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(523);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 519:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(527);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 520:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(379);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 521:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(367);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 522:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(516);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 523:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(550);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 524:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(574);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 525:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(545);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 526:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(547);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 527:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(551);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 528:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(480);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 529:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(578);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 530:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(286);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 531:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(575);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 532:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(471);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 533:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(532);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 534:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(530);
            if(lookahead == 'm')
                ADVANCE(481);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 535:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(530);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 536:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(501);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 537:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(502);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 538:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(506);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 539:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(515);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 540:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(512);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 541:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(354);
            if(lookahead == 't')
                ADVANCE(504);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 542:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(344);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 543:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(333);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 544:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(483);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 545:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(520);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 546:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(490);
            if(lookahead == 'p')
                ADVANCE(559);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 547:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(521);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 548:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(498);
            if(lookahead == 't')
                ADVANCE(406);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 549:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(488);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 550:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(507);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 551:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(513);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 552:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(555);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 553:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(548);
            if(lookahead == 'u')
                ADVANCE(535);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 554:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(472);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 555:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(539);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 556:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(558);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 557:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(509);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 558:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(526);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 559:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(508);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 560:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(340);
            if(lookahead == 's')
                ADVANCE(482);
            if(lookahead == 'v')
                ADVANCE(496);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 561:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(580);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 562:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(579);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 563:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(363);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 564:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(385);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 565:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(346);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 566:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(371);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 567:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(357);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 568:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(402);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 569:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(525);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 570:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(476);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 571:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(375);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 572:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(331);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 573:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(576);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 574:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(528);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 575:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(500);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 576:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(381);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 577:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(348);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 578:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(510);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 579:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 580:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(511);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 581:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(524);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 582:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(505);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 583:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(338);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 584:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(584);
            END_STATE();
        case 585:
            ACCEPT_TOKEN(anon_sym_POUND_POUND);
            END_STATE();
        case 586:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\t' ||
               lookahead == 0x0b ||
               lookahead == '\f' ||
               lookahead == ' ')
                ADVANCE(586);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(587);
            END_STATE();
        case 587:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '\r')
                ADVANCE(587);
            END_STATE();
        case 588:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(588);
            if(lookahead == '\r')
                ADVANCE(1);
            END_STATE();
        case 589:
            ACCEPT_TOKEN(anon_sym_LBRACE_POUND);
            END_STATE();
        case 590:
            ACCEPT_TOKEN(aux_sym_comment_token3);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(590);
            if(lookahead != 0 &&
               lookahead != '#')
                ADVANCE(591);
            END_STATE();
        case 591:
            ACCEPT_TOKEN(aux_sym_comment_token3);
            if(lookahead != 0 &&
               lookahead != '#')
                ADVANCE(591);
            END_STATE();
        case 592:
            ACCEPT_TOKEN(anon_sym_POUND_RBRACE);
            END_STATE();
        case 593:
            ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE);
            if(lookahead == '+')
                ADVANCE(595);
            if(lookahead == '-')
                ADVANCE(594);
            END_STATE();
        case 594:
            ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE_DASH);
            END_STATE();
        case 595:
            ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE_PLUS);
            END_STATE();
        case 596:
            ACCEPT_TOKEN(anon_sym_RBRACE_RBRACE);
            END_STATE();
        case 597:
            ACCEPT_TOKEN(anon_sym_DASH_RBRACE_RBRACE);
            END_STATE();
        case 598:
            ACCEPT_TOKEN(anon_sym_PLUS_RBRACE_RBRACE);
            END_STATE();
        case 599:
            ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
            if(lookahead == '+')
                ADVANCE(601);
            if(lookahead == '-')
                ADVANCE(600);
            END_STATE();
        case 600:
            ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_DASH);
            END_STATE();
        case 601:
            ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PLUS);
            END_STATE();
        case 602:
            ACCEPT_TOKEN(anon_sym_DASH_PERCENT_RBRACE);
            END_STATE();
        case 603:
            ACCEPT_TOKEN(anon_sym_PERCENT_RBRACE);
            END_STATE();
        case 604:
            ACCEPT_TOKEN(anon_sym_PLUS_PERCENT_RBRACE);
            END_STATE();
        default:
            return false;
    }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
    [0] = { .lex_state = 0, .external_lex_state = 1 },
    [1] = { .lex_state = 279, .external_lex_state = 2 },
    [2] = { .lex_state = 3 },
    [3] = { .lex_state = 3 },
    [4] = { .lex_state = 3 },
    [5] = { .lex_state = 5 },
    [6] = { .lex_state = 278, .external_lex_state = 2 },
    [7] = { .lex_state = 2 },
    [8] = { .lex_state = 7 },
    [9] = { .lex_state = 7 },
    [10] = { .lex_state = 2 },
    [11] = { .lex_state = 2 },
    [12] = { .lex_state = 2 },
    [13] = { .lex_state = 2 },
    [14] = { .lex_state = 2 },
    [15] = { .lex_state = 2 },
    [16] = { .lex_state = 2 },
    [17] = { .lex_state = 2 },
    [18] = { .lex_state = 2 },
    [19] = { .lex_state = 2 },
    [20] = { .lex_state = 4 },
    [21] = { .lex_state = 7 },
    [22] = { .lex_state = 7 },
    [23] = { .lex_state = 7 },
    [24] = { .lex_state = 2 },
    [25] = { .lex_state = 2 },
    [26] = { .lex_state = 4 },
    [27] = { .lex_state = 7 },
    [28] = { .lex_state = 2 },
    [29] = { .lex_state = 2 },
    [30] = { .lex_state = 7 },
    [31] = { .lex_state = 7 },
    [32] = { .lex_state = 2 },
    [33] = { .lex_state = 2 },
    [34] = { .lex_state = 2 },
    [35] = { .lex_state = 7 },
    [36] = { .lex_state = 2 },
    [37] = { .lex_state = 4 },
    [38] = { .lex_state = 2 },
    [39] = { .lex_state = 2 },
    [40] = { .lex_state = 2 },
    [41] = { .lex_state = 7 },
    [42] = { .lex_state = 7 },
    [43] = { .lex_state = 2 },
    [44] = { .lex_state = 2 },
    [45] = { .lex_state = 7 },
    [46] = { .lex_state = 2 },
    [47] = { .lex_state = 2 },
    [48] = { .lex_state = 2 },
    [49] = { .lex_state = 2 },
    [50] = { .lex_state = 2 },
    [51] = { .lex_state = 2 },
    [52] = { .lex_state = 2 },
    [53] = { .lex_state = 2 },
    [54] = { .lex_state = 2 },
    [55] = { .lex_state = 2 },
    [56] = { .lex_state = 2 },
    [57] = { .lex_state = 2 },
    [58] = { .lex_state = 2 },
    [59] = { .lex_state = 2 },
    [60] = { .lex_state = 2 },
    [61] = { .lex_state = 2 },
    [62] = { .lex_state = 2 },
    [63] = { .lex_state = 2 },
    [64] = { .lex_state = 2 },
    [65] = { .lex_state = 2 },
    [66] = { .lex_state = 2 },
    [67] = { .lex_state = 2 },
    [68] = { .lex_state = 2 },
    [69] = { .lex_state = 2 },
    [70] = { .lex_state = 2 },
    [71] = { .lex_state = 2 },
    [72] = { .lex_state = 2 },
    [73] = { .lex_state = 2 },
    [74] = { .lex_state = 2 },
    [75] = { .lex_state = 2 },
    [76] = { .lex_state = 2 },
    [77] = { .lex_state = 2 },
    [78] = { .lex_state = 2 },
    [79] = { .lex_state = 5 },
    [80] = { .lex_state = 5 },
    [81] = { .lex_state = 5 },
    [82] = { .lex_state = 5 },
    [83] = { .lex_state = 5 },
    [84] = { .lex_state = 5 },
    [85] = { .lex_state = 5 },
    [86] = { .lex_state = 5 },
    [87] = { .lex_state = 5 },
    [88] = { .lex_state = 5 },
    [89] = { .lex_state = 5 },
    [90] = { .lex_state = 2 },
    [91] = { .lex_state = 5 },
    [92] = { .lex_state = 5 },
    [93] = { .lex_state = 5 },
    [94] = { .lex_state = 5 },
    [95] = { .lex_state = 5 },
    [96] = { .lex_state = 5 },
    [97] = { .lex_state = 5 },
    [98] = { .lex_state = 5 },
    [99] = { .lex_state = 5 },
    [100] = { .lex_state = 5 },
    [101] = { .lex_state = 5 },
    [102] = { .lex_state = 5 },
    [103] = { .lex_state = 2 },
    [104] = { .lex_state = 2 },
    [105] = { .lex_state = 5 },
    [106] = { .lex_state = 5 },
    [107] = { .lex_state = 5 },
    [108] = { .lex_state = 2 },
    [109] = { .lex_state = 2 },
    [110] = { .lex_state = 5 },
    [111] = { .lex_state = 5 },
    [112] = { .lex_state = 5 },
    [113] = { .lex_state = 2 },
    [114] = { .lex_state = 8 },
    [115] = { .lex_state = 8 },
    [116] = { .lex_state = 6 },
    [117] = { .lex_state = 9 },
    [118] = { .lex_state = 6 },
    [119] = { .lex_state = 9 },
    [120] = { .lex_state = 6 },
    [121] = { .lex_state = 6 },
    [122] = { .lex_state = 6 },
    [123] = { .lex_state = 6 },
    [124] = { .lex_state = 6 },
    [125] = { .lex_state = 6 },
    [126] = { .lex_state = 6 },
    [127] = { .lex_state = 6 },
    [128] = { .lex_state = 6 },
    [129] = { .lex_state = 6 },
    [130] = { .lex_state = 6 },
    [131] = { .lex_state = 6 },
    [132] = { .lex_state = 6 },
    [133] = { .lex_state = 6 },
    [134] = { .lex_state = 6 },
    [135] = { .lex_state = 5 },
    [136] = { .lex_state = 6 },
    [137] = { .lex_state = 6 },
    [138] = { .lex_state = 6 },
    [139] = { .lex_state = 6 },
    [140] = { .lex_state = 6 },
    [141] = { .lex_state = 6 },
    [142] = { .lex_state = 6 },
    [143] = { .lex_state = 6 },
    [144] = { .lex_state = 6 },
    [145] = { .lex_state = 6 },
    [146] = { .lex_state = 6 },
    [147] = { .lex_state = 6 },
    [148] = { .lex_state = 6 },
    [149] = { .lex_state = 6 },
    [150] = { .lex_state = 6 },
    [151] = { .lex_state = 6 },
    [152] = { .lex_state = 6 },
    [153] = { .lex_state = 6 },
    [154] = { .lex_state = 6 },
    [155] = { .lex_state = 6 },
    [156] = { .lex_state = 6 },
    [157] = { .lex_state = 6 },
    [158] = { .lex_state = 9 },
    [159] = { .lex_state = 9 },
    [160] = { .lex_state = 9 },
    [161] = { .lex_state = 9 },
    [162] = { .lex_state = 9 },
    [163] = { .lex_state = 9 },
    [164] = { .lex_state = 9 },
    [165] = { .lex_state = 9 },
    [166] = { .lex_state = 9 },
    [167] = { .lex_state = 9 },
    [168] = { .lex_state = 9 },
    [169] = { .lex_state = 9 },
    [170] = { .lex_state = 9 },
    [171] = { .lex_state = 9 },
    [172] = { .lex_state = 9 },
    [173] = { .lex_state = 9 },
    [174] = { .lex_state = 9 },
    [175] = { .lex_state = 9 },
    [176] = { .lex_state = 9 },
    [177] = { .lex_state = 9 },
    [178] = { .lex_state = 9 },
    [179] = { .lex_state = 9 },
    [180] = { .lex_state = 9 },
    [181] = { .lex_state = 9 },
    [182] = { .lex_state = 9 },
    [183] = { .lex_state = 9 },
    [184] = { .lex_state = 9 },
    [185] = { .lex_state = 9 },
    [186] = { .lex_state = 9 },
    [187] = { .lex_state = 9 },
    [188] = { .lex_state = 9 },
    [189] = { .lex_state = 9 },
    [190] = { .lex_state = 9 },
    [191] = { .lex_state = 9 },
    [192] = { .lex_state = 9 },
    [193] = { .lex_state = 9 },
    [194] = { .lex_state = 9 },
    [195] = { .lex_state = 9 },
    [196] = { .lex_state = 9 },
    [197] = { .lex_state = 279, .external_lex_state = 2 },
    [198] = { .lex_state = 279, .external_lex_state = 2 },
    [199] = { .lex_state = 2 },
    [200] = { .lex_state = 2 },
    [201] = { .lex_state = 279, .external_lex_state = 2 },
    [202] = { .lex_state = 279, .external_lex_state = 2 },
    [203] = { .lex_state = 279, .external_lex_state = 2 },
    [204] = { .lex_state = 279, .external_lex_state = 2 },
    [205] = { .lex_state = 279, .external_lex_state = 2 },
    [206] = { .lex_state = 279, .external_lex_state = 2 },
    [207] = { .lex_state = 279, .external_lex_state = 2 },
    [208] = { .lex_state = 279, .external_lex_state = 2 },
    [209] = { .lex_state = 279, .external_lex_state = 2 },
    [210] = { .lex_state = 279, .external_lex_state = 2 },
    [211] = { .lex_state = 279, .external_lex_state = 2 },
    [212] = { .lex_state = 0 },
    [213] = { .lex_state = 0 },
    [214] = { .lex_state = 0 },
    [215] = { .lex_state = 0 },
    [216] = { .lex_state = 0 },
    [217] = { .lex_state = 5 },
    [218] = { .lex_state = 0 },
    [219] = { .lex_state = 0 },
    [220] = { .lex_state = 7 },
    [221] = { .lex_state = 5 },
    [222] = { .lex_state = 0 },
    [223] = { .lex_state = 0 },
    [224] = { .lex_state = 10 },
    [225] = { .lex_state = 0 },
    [226] = { .lex_state = 10 },
    [227] = { .lex_state = 10 },
    [228] = { .lex_state = 7 },
    [229] = { .lex_state = 0 },
    [230] = { .lex_state = 0 },
    [231] = { .lex_state = 0 },
    [232] = { .lex_state = 0 },
    [233] = { .lex_state = 0 },
    [234] = { .lex_state = 0 },
    [235] = { .lex_state = 0 },
    [236] = { .lex_state = 0 },
    [237] = { .lex_state = 5 },
    [238] = { .lex_state = 0 },
    [239] = { .lex_state = 0 },
    [240] = { .lex_state = 0 },
    [241] = { .lex_state = 0 },
    [242] = { .lex_state = 10 },
    [243] = { .lex_state = 0 },
    [244] = { .lex_state = 0 },
    [245] = { .lex_state = 0 },
    [246] = { .lex_state = 0 },
    [247] = { .lex_state = 10 },
    [248] = { .lex_state = 10 },
    [249] = { .lex_state = 10 },
    [250] = { .lex_state = 0 },
    [251] = { .lex_state = 0 },
    [252] = { .lex_state = 10 },
    [253] = { .lex_state = 0 },
    [254] = { .lex_state = 0 },
    [255] = { .lex_state = 0 },
    [256] = { .lex_state = 0 },
    [257] = { .lex_state = 0 },
    [258] = { .lex_state = 0 },
    [259] = { .lex_state = 0 },
    [260] = { .lex_state = 0 },
    [261] = { .lex_state = 0 },
    [262] = { .lex_state = 0 },
    [263] = { .lex_state = 0 },
    [264] = { .lex_state = 0 },
    [265] = { .lex_state = 0 },
    [266] = { .lex_state = 0 },
    [267] = { .lex_state = 0 },
    [268] = { .lex_state = 0 },
    [269] = { .lex_state = 0 },
    [270] = { .lex_state = 0 },
    [271] = { .lex_state = 10 },
    [272] = { .lex_state = 0 },
    [273] = { .lex_state = 0 },
    [274] = { .lex_state = 0 },
    [275] = { .lex_state = 0 },
    [276] = { .lex_state = 0 },
    [277] = { .lex_state = 17 },
    [278] = { .lex_state = 10 },
    [279] = { .lex_state = 14 },
    [280] = { .lex_state = 14 },
    [281] = { .lex_state = 17 },
    [282] = { .lex_state = 11 },
    [283] = { .lex_state = 17 },
    [284] = { .lex_state = 11 },
    [285] = { .lex_state = 11 },
    [286] = { .lex_state = 11 },
    [287] = { .lex_state = 17 },
    [288] = { .lex_state = 0 },
    [289] = { .lex_state = 10 },
    [290] = { .lex_state = 17 },
    [291] = { .lex_state = 11 },
    [292] = { .lex_state = 17 },
    [293] = { .lex_state = 11 },
    [294] = { .lex_state = 0 },
    [295] = { .lex_state = 10 },
    [296] = { .lex_state = 0 },
    [297] = { .lex_state = 17 },
    [298] = { .lex_state = 10 },
    [299] = { .lex_state = 11 },
    [300] = { .lex_state = 14 },
    [301] = { .lex_state = 0 },
    [302] = { .lex_state = 0 },
    [303] = { .lex_state = 0 },
    [304] = { .lex_state = 0 },
    [305] = { .lex_state = 0 },
    [306] = { .lex_state = 0, .external_lex_state = 3 },
    [307] = { .lex_state = 0 },
    [308] = { .lex_state = 0 },
    [309] = { .lex_state = 0 },
    [310] = { .lex_state = 0 },
    [311] = { .lex_state = 7 },
    [312] = { .lex_state = 0 },
    [313] = { .lex_state = 0 },
    [314] = { .lex_state = 0 },
    [315] = { .lex_state = 7 },
    [316] = { .lex_state = 0 },
    [317] = { .lex_state = 0, .external_lex_state = 3 },
    [318] = { .lex_state = 0 },
    [319] = { .lex_state = 0 },
    [320] = { .lex_state = 0 },
    [321] = { .lex_state = 0 },
    [322] = { .lex_state = 0 },
    [323] = { .lex_state = 3 },
    [324] = { .lex_state = 0 },
    [325] = { .lex_state = 0 },
    [326] = { .lex_state = 0 },
    [327] = { .lex_state = 0 },
    [328] = { .lex_state = 0 },
    [329] = { .lex_state = 0 },
    [330] = { .lex_state = 0 },
    [331] = { .lex_state = 0 },
    [332] = { .lex_state = 0, .external_lex_state = 3 },
    [333] = { .lex_state = 0 },
    [334] = { .lex_state = 0 },
    [335] = { .lex_state = 0 },
    [336] = { .lex_state = 0 },
    [337] = { .lex_state = 0 },
    [338] = { .lex_state = 0 },
    [339] = { .lex_state = 10 },
    [340] = { .lex_state = 0 },
    [341] = { .lex_state = 0 },
    [342] = { .lex_state = 0 },
    [343] = { .lex_state = 0 },
    [344] = { .lex_state = 0 },
    [345] = { .lex_state = 0 },
    [346] = { .lex_state = 0 },
    [347] = { .lex_state = 0 },
    [348] = { .lex_state = 0 },
    [349] = { .lex_state = 0 },
    [350] = { .lex_state = 0 },
    [351] = { .lex_state = 0 },
    [352] = { .lex_state = 0 },
    [353] = { .lex_state = 0 },
    [354] = { .lex_state = 0 },
    [355] = { .lex_state = 0 },
    [356] = { .lex_state = 0 },
    [357] = { .lex_state = 0 },
    [358] = { .lex_state = 0 },
    [359] = { .lex_state = 0 },
    [360] = { .lex_state = 0 },
    [361] = { .lex_state = 0 },
    [362] = { .lex_state = 10 },
    [363] = { .lex_state = 10 },
    [364] = { .lex_state = 0, .external_lex_state = 3 },
    [365] = { .lex_state = 10 },
    [366] = { .lex_state = 0 },
    [367] = { .lex_state = 0 },
    [368] = { .lex_state = 0 },
    [369] = { .lex_state = 5 },
    [370] = { .lex_state = 10 },
    [371] = { .lex_state = 0 },
    [372] = { .lex_state = 0 },
    [373] = { .lex_state = 5 },
    [374] = { .lex_state = 5 },
    [375] = { .lex_state = 1 },
    [376] = { .lex_state = 5 },
    [377] = { .lex_state = 0 },
    [378] = { .lex_state = 5 },
    [379] = { .lex_state = 5 },
    [380] = { .lex_state = 0 },
    [381] = { .lex_state = 0 },
    [382] = { .lex_state = 0 },
    [383] = { .lex_state = 5 },
    [384] = { .lex_state = 0 },
    [385] = { .lex_state = 10 },
    [386] = { .lex_state = 0 },
    [387] = { .lex_state = 1 },
    [388] = { .lex_state = 0 },
    [389] = { .lex_state = 0 },
    [390] = { .lex_state = 0 },
    [391] = { .lex_state = 5 },
    [392] = { .lex_state = 0, .external_lex_state = 4 },
    [393] = { .lex_state = 10 },
    [394] = { .lex_state = 0 },
    [395] = { .lex_state = 0 },
    [396] = { .lex_state = 10 },
    [397] = { .lex_state = 0 },
    [398] = { .lex_state = 10 },
    [399] = { .lex_state = 0 },
    [400] = { .lex_state = 10 },
    [401] = { .lex_state = 586 },
    [402] = { .lex_state = 0 },
    [403] = { .lex_state = 0 },
    [404] = { .lex_state = 0 },
    [405] = { .lex_state = 5 },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
    [0] = {
        [ts_builtin_sym_end] = ACTIONS(1),
        [anon_sym_true] = ACTIONS(1),
        [anon_sym_false] = ACTIONS(1),
        [anon_sym_null] = ACTIONS(1),
        [anon_sym_none] = ACTIONS(1),
        [anon_sym_DASH] = ACTIONS(1),
        [anon_sym_PLUS] = ACTIONS(1),
        [sym_dec_literal] = ACTIONS(1),
        [anon_sym_e] = ACTIONS(1),
        [anon_sym_e_PLUS] = ACTIONS(1),
        [anon_sym_e_DASH] = ACTIONS(1),
        [anon_sym__] = ACTIONS(1),
        [sym_oct_literal] = ACTIONS(1),
        [sym_bin_literal] = ACTIONS(1),
        [sym_hex_literal] = ACTIONS(1),
        [anon_sym_DOT] = ACTIONS(1),
        [anon_sym_LBRACK] = ACTIONS(1),
        [anon_sym_COMMA] = ACTIONS(1),
        [anon_sym_RBRACK] = ACTIONS(1),
        [anon_sym_LPAREN] = ACTIONS(1),
        [anon_sym_RPAREN] = ACTIONS(1),
        [anon_sym_LBRACE] = ACTIONS(1),
        [anon_sym_COLON] = ACTIONS(1),
        [anon_sym_RBRACE] = ACTIONS(1),
        [anon_sym_DQUOTE] = ACTIONS(1),
        [anon_sym_BSLASH_DQUOTE] = ACTIONS(1),
        [anon_sym_SQUOTE] = ACTIONS(1),
        [anon_sym_BSLASH_SQUOTE] = ACTIONS(1),
        [anon_sym_is] = ACTIONS(1),
        [anon_sym_boolean] = ACTIONS(1),
        [anon_sym_defined] = ACTIONS(1),
        [anon_sym_divisibleby] = ACTIONS(1),
        [anon_sym_eq] = ACTIONS(1),
        [anon_sym_escaped] = ACTIONS(1),
        [anon_sym_even] = ACTIONS(1),
        [anon_sym_filter] = ACTIONS(1),
        [anon_sym_float] = ACTIONS(1),
        [anon_sym_ge] = ACTIONS(1),
        [anon_sym_gt] = ACTIONS(1),
        [anon_sym_in] = ACTIONS(1),
        [anon_sym_integer] = ACTIONS(1),
        [anon_sym_iterable] = ACTIONS(1),
        [anon_sym_le] = ACTIONS(1),
        [anon_sym_lower] = ACTIONS(1),
        [anon_sym_lt] = ACTIONS(1),
        [anon_sym_mapping] = ACTIONS(1),
        [anon_sym_ne] = ACTIONS(1),
        [anon_sym_number] = ACTIONS(1),
        [anon_sym_odd] = ACTIONS(1),
        [anon_sym_sameas] = ACTIONS(1),
        [anon_sym_sequence] = ACTIONS(1),
        [anon_sym_string] = ACTIONS(1),
        [anon_sym_test] = ACTIONS(1),
        [anon_sym_undefined] = ACTIONS(1),
        [anon_sym_upper] = ACTIONS(1),
        [anon_sym_EQ] = ACTIONS(1),
        [anon_sym_STAR] = ACTIONS(1),
        [anon_sym_SLASH] = ACTIONS(1),
        [anon_sym_SLASH_SLASH] = ACTIONS(1),
        [anon_sym_PERCENT] = ACTIONS(1),
        [anon_sym_STAR_STAR] = ACTIONS(1),
        [anon_sym_EQ_EQ] = ACTIONS(1),
        [anon_sym_BANG_EQ] = ACTIONS(1),
        [anon_sym_GT] = ACTIONS(1),
        [anon_sym_GT_EQ] = ACTIONS(1),
        [anon_sym_LT] = ACTIONS(1),
        [anon_sym_LT_EQ] = ACTIONS(1),
        [anon_sym_and] = ACTIONS(1),
        [anon_sym_or] = ACTIONS(1),
        [anon_sym_PIPE] = ACTIONS(1),
        [anon_sym_TILDE] = ACTIONS(1),
        [anon_sym_not] = ACTIONS(1),
        [anon_sym_BANG] = ACTIONS(1),
        [anon_sym_endfor] = ACTIONS(1),
        [anon_sym_elif] = ACTIONS(1),
        [anon_sym_else] = ACTIONS(1),
        [anon_sym_endif] = ACTIONS(1),
        [anon_sym_endblock] = ACTIONS(1),
        [anon_sym_endwith] = ACTIONS(1),
        [anon_sym_endfilter] = ACTIONS(1),
        [anon_sym_endmacro] = ACTIONS(1),
        [anon_sym_endcall] = ACTIONS(1),
        [anon_sym_endset] = ACTIONS(1),
        [anon_sym_endtrans] = ACTIONS(1),
        [anon_sym_continue] = ACTIONS(1),
        [anon_sym_break] = ACTIONS(1),
        [anon_sym_debug] = ACTIONS(1),
        [anon_sym_endautoescape] = ACTIONS(1),
        [anon_sym_do] = ACTIONS(1),
        [anon_sym_autoescape] = ACTIONS(1),
        [anon_sym_trans] = ACTIONS(1),
        [anon_sym_pluralize] = ACTIONS(1),
        [anon_sym_if] = ACTIONS(1),
        [anon_sym_block] = ACTIONS(1),
        [anon_sym_macro] = ACTIONS(1),
        [anon_sym_extends] = ACTIONS(1),
        [anon_sym_call] = ACTIONS(1),
        [anon_sym_with] = ACTIONS(1),
        [anon_sym_import] = ACTIONS(1),
        [anon_sym_from] = ACTIONS(1),
        [anon_sym_as] = ACTIONS(1),
        [anon_sym_ignore] = ACTIONS(1),
        [anon_sym_missing] = ACTIONS(1),
        [anon_sym_without] = ACTIONS(1),
        [anon_sym_context] = ACTIONS(1),
        [anon_sym_set] = ACTIONS(1),
        [anon_sym_for] = ACTIONS(1),
        [anon_sym_recursive] = ACTIONS(1),
        [anon_sym_POUND] = ACTIONS(1),
        [anon_sym_POUND2] = ACTIONS(1),
        [anon_sym_POUND_POUND] = ACTIONS(1),
        [anon_sym_LBRACE_POUND] = ACTIONS(1),
        [anon_sym_POUND_RBRACE] = ACTIONS(1),
        [anon_sym_DASH_RBRACE_RBRACE] = ACTIONS(1),
        [anon_sym_PLUS_RBRACE_RBRACE] = ACTIONS(1),
        [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
        [anon_sym_LBRACE_PERCENT_DASH] = ACTIONS(1),
        [anon_sym_LBRACE_PERCENT_PLUS] = ACTIONS(1),
        [anon_sym_DASH_PERCENT_RBRACE] = ACTIONS(1),
        [anon_sym_PERCENT_RBRACE] = ACTIONS(1),
        [anon_sym_PLUS_PERCENT_RBRACE] = ACTIONS(1),
        [sym_raw_start] = ACTIONS(1),
        [sym__raw_char] = ACTIONS(1),
        [sym_raw_end] = ACTIONS(1),
        [sym__inline_words] = ACTIONS(1),
    },
    [1] = {
        [sym_source] = STATE(399),
        [sym_words] = STATE(197),
        [sym_comment] = STATE(197),
        [sym_render_expression] = STATE(197),
        [sym_control] = STATE(197),
        [sym_raw_block] = STATE(197),
        [sym_inline] = STATE(197),
        [aux_sym_source_repeat1] = STATE(197),
        [aux_sym_words_repeat1] = STATE(202),
        [ts_builtin_sym_end] = ACTIONS(3),
        [aux_sym_words_token1] = ACTIONS(5),
        [aux_sym_words_token2] = ACTIONS(5),
        [anon_sym_POUND] = ACTIONS(5),
        [anon_sym_POUND2] = ACTIONS(7),
        [anon_sym_POUND_POUND] = ACTIONS(9),
        [anon_sym_LBRACE_POUND] = ACTIONS(11),
        [anon_sym_LBRACE_LBRACE] = ACTIONS(13),
        [anon_sym_LBRACE_LBRACE_DASH] = ACTIONS(13),
        [anon_sym_LBRACE_LBRACE_PLUS] = ACTIONS(13),
        [anon_sym_LBRACE_PERCENT] = ACTIONS(15),
        [anon_sym_LBRACE_PERCENT_DASH] = ACTIONS(15),
        [anon_sym_LBRACE_PERCENT_PLUS] = ACTIONS(15),
        [sym_raw_start] = ACTIONS(17),
    },
};

static const uint16_t ts_small_parse_table[] = {
    [0] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(45),
    1,
    anon_sym_in,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(108),
    1,
    sym_unary_operator,
    STATE(125),
    1,
    sym_primary_expression,
    STATE(136),
    1,
    sym_big_dec_literal,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    STATE(149),
    2,
    sym_builtin_test,
    sym_unary_expression,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(132),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    ACTIONS(43),
    8,
    anon_sym_divisibleby,
    anon_sym_eq,
    anon_sym_ge,
    anon_sym_gt,
    anon_sym_le,
    anon_sym_lt,
    anon_sym_ne,
    anon_sym_sameas,
    STATE(129),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    ACTIONS(41),
    18,
    anon_sym_boolean,
    anon_sym_callable,
    anon_sym_defined,
    anon_sym_escaped,
    anon_sym_even,
    anon_sym_filter,
    anon_sym_float,
    anon_sym_integer,
    anon_sym_iterable,
    anon_sym_lower,
    anon_sym_mapping,
    anon_sym_number,
    anon_sym_odd,
    anon_sym_sequence,
    anon_sym_string,
    anon_sym_test,
    anon_sym_undefined,
    anon_sym_upper,
    [109] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(79),
    1,
    anon_sym_in,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    STATE(99),
    2,
    sym_builtin_test,
    sym_unary_expression,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    ACTIONS(77),
    8,
    anon_sym_divisibleby,
    anon_sym_eq,
    anon_sym_ge,
    anon_sym_gt,
    anon_sym_le,
    anon_sym_lt,
    anon_sym_ne,
    anon_sym_sameas,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    ACTIONS(75),
    18,
    anon_sym_boolean,
    anon_sym_callable,
    anon_sym_defined,
    anon_sym_escaped,
    anon_sym_even,
    anon_sym_filter,
    anon_sym_float,
    anon_sym_integer,
    anon_sym_iterable,
    anon_sym_lower,
    anon_sym_mapping,
    anon_sym_number,
    anon_sym_odd,
    anon_sym_sequence,
    anon_sym_string,
    anon_sym_test,
    anon_sym_undefined,
    anon_sym_upper,
    [218] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(109),
    1,
    anon_sym_in,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(109),
    1,
    sym_unary_operator,
    STATE(167),
    1,
    sym_big_dec_literal,
    STATE(195),
    1,
    sym_primary_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    STATE(163),
    2,
    sym_builtin_test,
    sym_unary_expression,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(183),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    ACTIONS(107),
    8,
    anon_sym_divisibleby,
    anon_sym_eq,
    anon_sym_ge,
    anon_sym_gt,
    anon_sym_le,
    anon_sym_lt,
    anon_sym_ne,
    anon_sym_sameas,
    STATE(184),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    ACTIONS(105),
    18,
    anon_sym_boolean,
    anon_sym_callable,
    anon_sym_defined,
    anon_sym_escaped,
    anon_sym_even,
    anon_sym_filter,
    anon_sym_float,
    anon_sym_integer,
    anon_sym_iterable,
    anon_sym_lower,
    anon_sym_mapping,
    anon_sym_number,
    anon_sym_odd,
    anon_sym_sequence,
    anon_sym_string,
    anon_sym_test,
    anon_sym_undefined,
    anon_sym_upper,
    [327] = 21,
    ACTIONS(113),
    1,
    anon_sym_filter,
    ACTIONS(117),
    1,
    anon_sym_elif,
    ACTIONS(119),
    1,
    anon_sym_do,
    ACTIONS(121),
    1,
    anon_sym_autoescape,
    ACTIONS(123),
    1,
    anon_sym_trans,
    ACTIONS(125),
    1,
    anon_sym_pluralize,
    ACTIONS(127),
    1,
    anon_sym_if,
    ACTIONS(129),
    1,
    anon_sym_block,
    ACTIONS(131),
    1,
    anon_sym_macro,
    ACTIONS(133),
    1,
    anon_sym_extends,
    ACTIONS(135),
    1,
    anon_sym_call,
    ACTIONS(137),
    1,
    anon_sym_with,
    ACTIONS(139),
    1,
    anon_sym_import,
    ACTIONS(141),
    1,
    anon_sym_from,
    ACTIONS(143),
    1,
    anon_sym_include,
    ACTIONS(145),
    1,
    anon_sym_set,
    ACTIONS(147),
    1,
    anon_sym_for,
    STATE(334),
    1,
    sym_statement,
    STATE(386),
    1,
    sym_import_from,
    ACTIONS(115),
    14,
    anon_sym_endfor,
    anon_sym_else,
    anon_sym_endif,
    anon_sym_endblock,
    anon_sym_endwith,
    anon_sym_endfilter,
    anon_sym_endmacro,
    anon_sym_endcall,
    anon_sym_endset,
    anon_sym_endtrans,
    anon_sym_continue,
    anon_sym_break,
    anon_sym_debug,
    anon_sym_endautoescape,
    STATE(352),
    15,
    sym_do_statement,
    sym_autoescape_statement,
    sym_trans_statement,
    sym_pluralize_statement,
    sym_block_statement,
    sym_filter_statement,
    sym_macro_statement,
    sym_extends_statement,
    sym_call_statement,
    sym_with_statement,
    sym_import_statement,
    sym_include_statement,
    sym_set_statement,
    sym_for_statement,
    sym_if_expression,
    [418] = 3,
    ACTIONS(149),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(153),
    12,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    ACTIONS(151),
    30,
    anon_sym_filter,
    anon_sym_endfor,
    anon_sym_elif,
    anon_sym_else,
    anon_sym_endif,
    anon_sym_endblock,
    anon_sym_endwith,
    anon_sym_endfilter,
    anon_sym_endmacro,
    anon_sym_endcall,
    anon_sym_endset,
    anon_sym_endtrans,
    anon_sym_continue,
    anon_sym_break,
    anon_sym_debug,
    anon_sym_endautoescape,
    anon_sym_do,
    anon_sym_autoescape,
    anon_sym_trans,
    anon_sym_pluralize,
    anon_sym_if,
    anon_sym_block,
    anon_sym_macro,
    anon_sym_extends,
    anon_sym_call,
    anon_sym_with,
    anon_sym_import,
    anon_sym_include,
    anon_sym_set,
    anon_sym_for,
    [469] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(237),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(155),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    ACTIONS(157),
    3,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [555] = 2,
    ACTIONS(159),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(161),
    30,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_import,
    anon_sym_as,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [599] = 2,
    ACTIONS(163),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(165),
    30,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_import,
    anon_sym_as,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [643] = 24,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(167),
    1,
    anon_sym_RPAREN,
    ACTIONS(169),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(296),
    1,
    sym_expression,
    STATE(330),
    1,
    sym_arg,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [730] = 24,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(169),
    1,
    sym_identifier,
    ACTIONS(171),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(296),
    1,
    sym_expression,
    STATE(358),
    1,
    sym_arg,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [817] = 24,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(173),
    1,
    anon_sym_COMMA,
    ACTIONS(175),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(253),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [904] = 24,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(177),
    1,
    anon_sym_COMMA,
    ACTIONS(179),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(269),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [991] = 24,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(181),
    1,
    anon_sym_COMMA,
    ACTIONS(183),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(272),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1078] = 24,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(169),
    1,
    sym_identifier,
    ACTIONS(185),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(296),
    1,
    sym_expression,
    STATE(305),
    1,
    sym_arg,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1165] = 24,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(187),
    1,
    anon_sym_COMMA,
    ACTIONS(189),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(268),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1252] = 24,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(191),
    1,
    anon_sym_COMMA,
    ACTIONS(193),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(270),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1339] = 24,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(181),
    1,
    anon_sym_COMMA,
    ACTIONS(183),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(257),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1426] = 24,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(195),
    1,
    anon_sym_COMMA,
    ACTIONS(197),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(256),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1513] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(199),
    1,
    anon_sym_RBRACE,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(310),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1597] = 2,
    ACTIONS(201),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(203),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [1639] = 5,
    ACTIONS(207),
    1,
    anon_sym_e,
    ACTIONS(211),
    1,
    anon_sym_DOT,
    ACTIONS(209),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(205),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(213),
    25,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [1687] = 2,
    ACTIONS(215),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(217),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [1729] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(219),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1813] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(221),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1897] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(223),
    1,
    anon_sym_RBRACE,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(325),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1981] = 2,
    ACTIONS(225),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(227),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [2023] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(229),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2107] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(231),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2191] = 2,
    ACTIONS(233),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(235),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [2233] = 2,
    ACTIONS(237),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(239),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [2275] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(169),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(296),
    1,
    sym_expression,
    STATE(367),
    1,
    sym_arg,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2359] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(241),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2443] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(243),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2527] = 4,
    ACTIONS(207),
    1,
    anon_sym_e,
    ACTIONS(209),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(245),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(247),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [2573] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(249),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2657] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(251),
    1,
    anon_sym_RBRACE,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(312),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2741] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(253),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2825] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(255),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2909] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(257),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2993] = 2,
    ACTIONS(259),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(261),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [3035] = 2,
    ACTIONS(263),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(265),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [3077] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(267),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3161] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    ACTIONS(269),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3245] = 2,
    ACTIONS(271),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(273),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [3287] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(109),
    1,
    sym_unary_operator,
    STATE(159),
    1,
    sym_binary_expression,
    STATE(167),
    1,
    sym_big_dec_literal,
    STATE(188),
    1,
    sym_unary_expression,
    STATE(195),
    1,
    sym_primary_expression,
    STATE(301),
    1,
    sym_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(183),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(184),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3368] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(245),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3449] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(342),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3530] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(258),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3611] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(259),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3692] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(261),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3773] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(274),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3854] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(343),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3935] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(109),
    1,
    sym_unary_operator,
    STATE(159),
    1,
    sym_binary_expression,
    STATE(167),
    1,
    sym_big_dec_literal,
    STATE(188),
    1,
    sym_unary_expression,
    STATE(195),
    1,
    sym_primary_expression,
    STATE(276),
    1,
    sym_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(183),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(184),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4016] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(233),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4097] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(234),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4178] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(264),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4259] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(359),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4340] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(109),
    1,
    sym_unary_operator,
    STATE(159),
    1,
    sym_binary_expression,
    STATE(167),
    1,
    sym_big_dec_literal,
    STATE(188),
    1,
    sym_unary_expression,
    STATE(195),
    1,
    sym_primary_expression,
    STATE(263),
    1,
    sym_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(183),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(184),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4421] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(109),
    1,
    sym_unary_operator,
    STATE(159),
    1,
    sym_binary_expression,
    STATE(167),
    1,
    sym_big_dec_literal,
    STATE(188),
    1,
    sym_unary_expression,
    STATE(195),
    1,
    sym_primary_expression,
    STATE(275),
    1,
    sym_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(183),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(184),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4502] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(109),
    1,
    sym_unary_operator,
    STATE(159),
    1,
    sym_binary_expression,
    STATE(167),
    1,
    sym_big_dec_literal,
    STATE(188),
    1,
    sym_unary_expression,
    STATE(195),
    1,
    sym_primary_expression,
    STATE(226),
    1,
    sym_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(183),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(184),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4583] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(108),
    1,
    sym_unary_operator,
    STATE(116),
    1,
    sym_binary_expression,
    STATE(125),
    1,
    sym_primary_expression,
    STATE(136),
    1,
    sym_big_dec_literal,
    STATE(150),
    1,
    sym_unary_expression,
    STATE(226),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(132),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(129),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4664] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(102),
    1,
    sym_expression,
    STATE(104),
    1,
    sym_unary_operator,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4745] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(353),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4826] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(81),
    1,
    sym_binary_expression,
    STATE(82),
    1,
    sym_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4907] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(240),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4988] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(108),
    1,
    sym_unary_operator,
    STATE(116),
    1,
    sym_binary_expression,
    STATE(125),
    1,
    sym_primary_expression,
    STATE(136),
    1,
    sym_big_dec_literal,
    STATE(150),
    1,
    sym_unary_expression,
    STATE(242),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(132),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(129),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5069] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(221),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5150] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(108),
    1,
    sym_unary_operator,
    STATE(116),
    1,
    sym_binary_expression,
    STATE(125),
    1,
    sym_primary_expression,
    STATE(136),
    1,
    sym_big_dec_literal,
    STATE(150),
    1,
    sym_unary_expression,
    STATE(249),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(132),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(129),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5231] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(309),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5312] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5393] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(217),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5474] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(238),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5555] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(288),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5636] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(109),
    1,
    sym_unary_operator,
    STATE(160),
    1,
    sym_binary_expression,
    STATE(167),
    1,
    sym_big_dec_literal,
    STATE(172),
    1,
    sym_expression,
    STATE(188),
    1,
    sym_unary_expression,
    STATE(195),
    1,
    sym_primary_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(183),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(184),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5717] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(108),
    1,
    sym_unary_operator,
    STATE(118),
    1,
    sym_binary_expression,
    STATE(125),
    1,
    sym_primary_expression,
    STATE(130),
    1,
    sym_expression,
    STATE(136),
    1,
    sym_big_dec_literal,
    STATE(150),
    1,
    sym_unary_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(132),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(129),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5798] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(239),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5879] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    STATE(346),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5960] = 3,
    ACTIONS(279),
    1,
    anon_sym_LPAREN,
    ACTIONS(275),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(277),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6002] = 6,
    ACTIONS(285),
    1,
    anon_sym_is,
    ACTIONS(287),
    1,
    anon_sym_EQ,
    STATE(90),
    1,
    sym_binary_operator,
    ACTIONS(281),
    7,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(289),
    10,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    ACTIONS(283),
    15,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6050] = 3,
    STATE(90),
    1,
    sym_binary_operator,
    ACTIONS(287),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(283),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6092] = 2,
    ACTIONS(291),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(293),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6131] = 2,
    ACTIONS(295),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(297),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6170] = 2,
    ACTIONS(299),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(301),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6209] = 2,
    ACTIONS(303),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(305),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6248] = 2,
    ACTIONS(307),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(309),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6287] = 2,
    ACTIONS(311),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(313),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6326] = 2,
    ACTIONS(315),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(317),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6365] = 2,
    ACTIONS(319),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(321),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6404] = 20,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(99),
    1,
    sym_unary_expression,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [6479] = 2,
    ACTIONS(323),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(325),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6518] = 2,
    ACTIONS(205),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(213),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6557] = 2,
    ACTIONS(327),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(329),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6596] = 2,
    ACTIONS(275),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(277),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6635] = 2,
    ACTIONS(331),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(333),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6674] = 2,
    ACTIONS(335),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(337),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6713] = 2,
    ACTIONS(339),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(341),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6752] = 2,
    ACTIONS(245),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(247),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6791] = 2,
    ACTIONS(343),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(345),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6830] = 2,
    ACTIONS(347),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(349),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6869] = 2,
    ACTIONS(351),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(353),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6908] = 2,
    ACTIONS(355),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(357),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6947] = 20,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(108),
    1,
    sym_unary_operator,
    STATE(125),
    1,
    sym_primary_expression,
    STATE(136),
    1,
    sym_big_dec_literal,
    STATE(149),
    1,
    sym_unary_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(132),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(129),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [7022] = 20,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(91),
    1,
    sym_unary_expression,
    STATE(92),
    1,
    sym_big_dec_literal,
    STATE(101),
    1,
    sym_primary_expression,
    STATE(104),
    1,
    sym_unary_operator,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(94),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(95),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [7097] = 2,
    ACTIONS(291),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(293),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7136] = 2,
    ACTIONS(359),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(361),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7175] = 2,
    ACTIONS(363),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(365),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7214] = 20,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(108),
    1,
    sym_unary_operator,
    STATE(125),
    1,
    sym_primary_expression,
    STATE(136),
    1,
    sym_big_dec_literal,
    STATE(142),
    1,
    sym_unary_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(132),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(129),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [7289] = 20,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(109),
    1,
    sym_unary_operator,
    STATE(167),
    1,
    sym_big_dec_literal,
    STATE(192),
    1,
    sym_unary_expression,
    STATE(195),
    1,
    sym_primary_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(183),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(184),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [7364] = 2,
    ACTIONS(367),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(369),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7403] = 2,
    ACTIONS(371),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(373),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7442] = 2,
    ACTIONS(271),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(273),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7481] = 20,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(109),
    1,
    sym_unary_operator,
    STATE(163),
    1,
    sym_unary_expression,
    STATE(167),
    1,
    sym_big_dec_literal,
    STATE(195),
    1,
    sym_primary_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(183),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(184),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [7556] = 4,
    ACTIONS(375),
    1,
    anon_sym_e,
    ACTIONS(377),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(245),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(247),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7592] = 5,
    ACTIONS(375),
    1,
    anon_sym_e,
    ACTIONS(379),
    1,
    anon_sym_DOT,
    ACTIONS(377),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(205),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(213),
    12,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7630] = 6,
    ACTIONS(287),
    1,
    sym_identifier,
    ACTIONS(381),
    1,
    anon_sym_is,
    STATE(103),
    1,
    sym_binary_operator,
    ACTIONS(283),
    5,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    ACTIONS(289),
    8,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    ACTIONS(281),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    [7668] = 5,
    ACTIONS(383),
    1,
    anon_sym_e,
    ACTIONS(387),
    1,
    anon_sym_DOT,
    ACTIONS(385),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(205),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(213),
    17,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7704] = 3,
    STATE(103),
    1,
    sym_binary_operator,
    ACTIONS(287),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(283),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7736] = 4,
    ACTIONS(383),
    1,
    anon_sym_e,
    ACTIONS(385),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(245),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(247),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7770] = 3,
    ACTIONS(389),
    1,
    anon_sym_LPAREN,
    ACTIONS(275),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(277),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7802] = 2,
    ACTIONS(201),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(203),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7831] = 2,
    ACTIONS(271),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(273),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7860] = 2,
    ACTIONS(299),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(301),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7889] = 2,
    ACTIONS(237),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(239),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7918] = 2,
    ACTIONS(351),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(353),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7947] = 2,
    ACTIONS(263),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(265),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7976] = 2,
    ACTIONS(245),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(247),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8005] = 2,
    ACTIONS(291),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(293),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8034] = 2,
    ACTIONS(331),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(333),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8063] = 2,
    ACTIONS(291),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(293),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8092] = 2,
    ACTIONS(233),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(235),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8121] = 2,
    ACTIONS(275),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(277),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8150] = 2,
    ACTIONS(335),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(337),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8179] = 2,
    ACTIONS(215),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(217),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8208] = 4,
    ACTIONS(279),
    1,
    anon_sym_LPAREN,
    ACTIONS(391),
    1,
    anon_sym_EQ,
    ACTIONS(275),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(277),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8241] = 2,
    ACTIONS(205),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(213),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8270] = 2,
    ACTIONS(327),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(329),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8299] = 2,
    ACTIONS(163),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(165),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8328] = 2,
    ACTIONS(311),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(313),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8357] = 2,
    ACTIONS(225),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(227),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8386] = 2,
    ACTIONS(319),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(321),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8415] = 2,
    ACTIONS(323),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(325),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8444] = 2,
    ACTIONS(371),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(373),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8473] = 2,
    ACTIONS(303),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(305),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8502] = 2,
    ACTIONS(359),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(361),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8531] = 2,
    ACTIONS(307),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(309),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8560] = 2,
    ACTIONS(315),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(317),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8589] = 2,
    ACTIONS(259),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(261),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8618] = 2,
    ACTIONS(343),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(345),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8647] = 2,
    ACTIONS(347),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(349),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8676] = 2,
    ACTIONS(295),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(297),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8705] = 2,
    ACTIONS(271),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(273),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8734] = 2,
    ACTIONS(367),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(369),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8763] = 2,
    ACTIONS(363),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(365),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8792] = 2,
    ACTIONS(159),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(161),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8821] = 2,
    ACTIONS(355),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(357),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8850] = 2,
    ACTIONS(339),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(341),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8879] = 3,
    ACTIONS(393),
    1,
    anon_sym_LPAREN,
    ACTIONS(275),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(277),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8909] = 5,
    ACTIONS(395),
    1,
    anon_sym_is,
    STATE(113),
    1,
    sym_binary_operator,
    ACTIONS(281),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(283),
    4,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    ACTIONS(289),
    13,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8943] = 3,
    STATE(113),
    1,
    sym_binary_operator,
    ACTIONS(287),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(283),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8973] = 2,
    ACTIONS(299),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(301),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9000] = 2,
    ACTIONS(319),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(321),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9027] = 2,
    ACTIONS(343),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(345),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9054] = 2,
    ACTIONS(225),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(227),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9081] = 2,
    ACTIONS(215),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(217),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9108] = 2,
    ACTIONS(335),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(337),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9135] = 2,
    ACTIONS(205),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(213),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9162] = 2,
    ACTIONS(355),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(357),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9189] = 2,
    ACTIONS(295),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(297),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9216] = 2,
    ACTIONS(271),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(273),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9243] = 2,
    ACTIONS(363),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(365),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9270] = 2,
    ACTIONS(291),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(293),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9297] = 2,
    ACTIONS(303),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(305),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9324] = 2,
    ACTIONS(291),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(293),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9351] = 2,
    ACTIONS(263),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(265),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9378] = 2,
    ACTIONS(159),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(161),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9405] = 2,
    ACTIONS(237),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(239),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9432] = 2,
    ACTIONS(271),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(273),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9459] = 2,
    ACTIONS(245),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(247),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9486] = 2,
    ACTIONS(307),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(309),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9513] = 2,
    ACTIONS(311),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(313),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9540] = 2,
    ACTIONS(367),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(369),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9567] = 2,
    ACTIONS(275),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(277),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9594] = 2,
    ACTIONS(331),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(333),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9621] = 2,
    ACTIONS(259),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(261),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9648] = 2,
    ACTIONS(339),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(341),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9675] = 2,
    ACTIONS(315),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(317),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9702] = 2,
    ACTIONS(347),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(349),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9729] = 2,
    ACTIONS(201),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(203),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9756] = 2,
    ACTIONS(359),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(361),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9783] = 2,
    ACTIONS(371),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(373),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9810] = 2,
    ACTIONS(323),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(325),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9837] = 2,
    ACTIONS(233),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(235),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9864] = 2,
    ACTIONS(327),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(329),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9891] = 2,
    ACTIONS(351),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(353),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9918] = 2,
    ACTIONS(163),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(165),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9945] = 10,
    ACTIONS(7),
    1,
    anon_sym_POUND2,
    ACTIONS(9),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(11),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(17),
    1,
    sym_raw_start,
    ACTIONS(397),
    1,
    ts_builtin_sym_end,
    STATE(202),
    1,
    aux_sym_words_repeat1,
    ACTIONS(5),
    3,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    ACTIONS(13),
    3,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    ACTIONS(15),
    3,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    STATE(198),
    7,
    sym_words,
    sym_comment,
    sym_render_expression,
    sym_control,
    sym_raw_block,
    sym_inline,
    aux_sym_source_repeat1,
    [9988] = 10,
    ACTIONS(399),
    1,
    ts_builtin_sym_end,
    ACTIONS(404),
    1,
    anon_sym_POUND2,
    ACTIONS(407),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(410),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(419),
    1,
    sym_raw_start,
    STATE(202),
    1,
    aux_sym_words_repeat1,
    ACTIONS(401),
    3,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    ACTIONS(413),
    3,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    ACTIONS(416),
    3,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    STATE(198),
    7,
    sym_words,
    sym_comment,
    sym_render_expression,
    sym_control,
    sym_raw_block,
    sym_inline,
    aux_sym_source_repeat1,
    [10031] = 2,
    ACTIONS(422),
    8,
    anon_sym_true,
    anon_sym_false,
    anon_sym_null,
    anon_sym_none,
    sym_dec_literal,
    anon_sym__,
    anon_sym_not,
    sym_identifier,
    ACTIONS(424),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    anon_sym_LBRACK,
    anon_sym_LPAREN,
    anon_sym_LBRACE,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    anon_sym_BANG,
    [10055] = 2,
    ACTIONS(426),
    8,
    anon_sym_true,
    anon_sym_false,
    anon_sym_null,
    anon_sym_none,
    sym_dec_literal,
    anon_sym__,
    anon_sym_not,
    sym_identifier,
    ACTIONS(428),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    anon_sym_LBRACK,
    anon_sym_LPAREN,
    anon_sym_LBRACE,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    anon_sym_BANG,
    [10079] = 4,
    STATE(201),
    1,
    aux_sym_words_repeat1,
    ACTIONS(430),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(432),
    4,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    ACTIONS(435),
    8,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10103] = 4,
    STATE(201),
    1,
    aux_sym_words_repeat1,
    ACTIONS(437),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(439),
    4,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    ACTIONS(441),
    8,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10127] = 2,
    ACTIONS(443),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(445),
    12,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10146] = 2,
    ACTIONS(447),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(449),
    12,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10165] = 2,
    ACTIONS(451),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(453),
    12,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10184] = 2,
    ACTIONS(455),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(457),
    12,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10203] = 2,
    ACTIONS(459),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(461),
    12,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10222] = 2,
    ACTIONS(463),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(465),
    12,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10241] = 2,
    ACTIONS(467),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(469),
    12,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10260] = 2,
    ACTIONS(471),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(473),
    12,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10279] = 2,
    ACTIONS(475),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(477),
    12,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND,
    anon_sym_POUND2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    [10298] = 9,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(215),
    1,
    aux_sym_in_expression_repeat1,
    STATE(231),
    1,
    sym_import_as,
    STATE(304),
    1,
    sym_attribute_context,
    STATE(324),
    1,
    sym_import_attribute,
    ACTIONS(487),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10328] = 9,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(214),
    1,
    aux_sym_in_expression_repeat1,
    STATE(229),
    1,
    sym_import_as,
    STATE(304),
    1,
    sym_attribute_context,
    STATE(340),
    1,
    sym_import_attribute,
    ACTIONS(489),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10358] = 9,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(220),
    1,
    aux_sym_in_expression_repeat1,
    STATE(230),
    1,
    sym_import_as,
    STATE(304),
    1,
    sym_attribute_context,
    STATE(356),
    1,
    sym_import_attribute,
    ACTIONS(491),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10388] = 9,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(220),
    1,
    aux_sym_in_expression_repeat1,
    STATE(229),
    1,
    sym_import_as,
    STATE(304),
    1,
    sym_attribute_context,
    STATE(340),
    1,
    sym_import_attribute,
    ACTIONS(489),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10418] = 6,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(485),
    1,
    anon_sym_without,
    ACTIONS(493),
    1,
    anon_sym_ignore,
    STATE(219),
    2,
    sym_include_attribute,
    aux_sym_include_statement_repeat1,
    STATE(246),
    2,
    sym_attribute_ignore,
    sym_attribute_context,
    ACTIONS(495),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10441] = 4,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(501),
    1,
    anon_sym_else,
    ACTIONS(503),
    7,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10460] = 6,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(485),
    1,
    anon_sym_without,
    ACTIONS(493),
    1,
    anon_sym_ignore,
    STATE(216),
    2,
    sym_include_attribute,
    aux_sym_include_statement_repeat1,
    STATE(246),
    2,
    sym_attribute_ignore,
    sym_attribute_context,
    ACTIONS(505),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10483] = 6,
    ACTIONS(507),
    1,
    anon_sym_with,
    ACTIONS(510),
    1,
    anon_sym_ignore,
    ACTIONS(513),
    1,
    anon_sym_without,
    STATE(219),
    2,
    sym_include_attribute,
    aux_sym_include_statement_repeat1,
    STATE(246),
    2,
    sym_attribute_ignore,
    sym_attribute_context,
    ACTIONS(516),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10506] = 4,
    ACTIONS(518),
    1,
    anon_sym_COMMA,
    ACTIONS(523),
    1,
    anon_sym_with,
    STATE(220),
    1,
    aux_sym_in_expression_repeat1,
    ACTIONS(521),
    6,
    anon_sym_in,
    anon_sym_as,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10524] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(525),
    7,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10540] = 7,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(231),
    1,
    sym_import_as,
    STATE(304),
    1,
    sym_attribute_context,
    STATE(324),
    1,
    sym_import_attribute,
    ACTIONS(487),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10564] = 7,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(229),
    1,
    sym_import_as,
    STATE(304),
    1,
    sym_attribute_context,
    STATE(340),
    1,
    sym_import_attribute,
    ACTIONS(489),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10588] = 1,
    ACTIONS(341),
    8,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    sym_identifier,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10599] = 6,
    ACTIONS(527),
    1,
    anon_sym_DOT,
    ACTIONS(529),
    1,
    anon_sym_COMMA,
    ACTIONS(531),
    1,
    anon_sym_EQ,
    STATE(273),
    1,
    aux_sym_trans_statement_repeat1,
    STATE(354),
    1,
    aux_sym_assignment_expression_repeat1,
    ACTIONS(533),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10620] = 1,
    ACTIONS(357),
    8,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    sym_identifier,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10631] = 6,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(535),
    1,
    anon_sym_LPAREN,
    ACTIONS(537),
    1,
    sym_identifier,
    STATE(218),
    3,
    sym_list_literal,
    sym_tuple_literal,
    sym_string_literal,
    [10652] = 2,
    ACTIONS(523),
    1,
    anon_sym_with,
    ACTIONS(521),
    7,
    anon_sym_COMMA,
    anon_sym_in,
    anon_sym_as,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10665] = 5,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(304),
    1,
    sym_attribute_context,
    STATE(356),
    1,
    sym_import_attribute,
    ACTIONS(491),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10683] = 5,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(304),
    1,
    sym_attribute_context,
    STATE(327),
    1,
    sym_import_attribute,
    ACTIONS(539),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10701] = 5,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(304),
    1,
    sym_attribute_context,
    STATE(340),
    1,
    sym_import_attribute,
    ACTIONS(489),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10719] = 4,
    ACTIONS(527),
    1,
    anon_sym_DOT,
    ACTIONS(531),
    1,
    anon_sym_EQ,
    STATE(354),
    1,
    aux_sym_assignment_expression_repeat1,
    ACTIONS(541),
    4,
    anon_sym_COMMA,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10735] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(543),
    5,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10749] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(545),
    1,
    anon_sym_if,
    STATE(337),
    1,
    sym_ternary_expression,
    ACTIONS(547),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10767] = 4,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(549),
    1,
    anon_sym_with,
    STATE(236),
    1,
    aux_sym_in_expression_repeat1,
    ACTIONS(551),
    4,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10783] = 4,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(553),
    1,
    anon_sym_with,
    STATE(220),
    1,
    aux_sym_in_expression_repeat1,
    ACTIONS(555),
    4,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10799] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(545),
    1,
    anon_sym_if,
    STATE(323),
    1,
    sym_ternary_expression,
    ACTIONS(557),
    3,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    [10817] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(545),
    1,
    anon_sym_if,
    STATE(348),
    1,
    sym_ternary_expression,
    ACTIONS(559),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10835] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(561),
    5,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10849] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(563),
    4,
    anon_sym_COMMA,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10862] = 2,
    ACTIONS(565),
    1,
    anon_sym_with,
    ACTIONS(567),
    5,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10873] = 3,
    ACTIONS(569),
    1,
    anon_sym_DOT,
    ACTIONS(571),
    1,
    anon_sym_LBRACK,
    ACTIONS(573),
    4,
    sym_identifier,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10886] = 4,
    ACTIONS(545),
    1,
    anon_sym_if,
    ACTIONS(575),
    1,
    anon_sym_recursive,
    STATE(294),
    1,
    sym_ternary_expression,
    ACTIONS(577),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10901] = 3,
    STATE(320),
    1,
    sym_boolean_literal,
    ACTIONS(579),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(581),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10914] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(573),
    4,
    anon_sym_COMMA,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10927] = 2,
    ACTIONS(583),
    1,
    anon_sym_with,
    ACTIONS(585),
    5,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10938] = 3,
    ACTIONS(587),
    1,
    sym_identifier,
    STATE(248),
    2,
    sym_assignment_expression,
    aux_sym_with_statement_repeat1,
    ACTIONS(589),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10951] = 3,
    ACTIONS(591),
    1,
    sym_identifier,
    STATE(248),
    2,
    sym_assignment_expression,
    aux_sym_with_statement_repeat1,
    ACTIONS(594),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10964] = 3,
    ACTIONS(569),
    1,
    anon_sym_DOT,
    ACTIONS(571),
    1,
    anon_sym_LBRACK,
    ACTIONS(563),
    4,
    sym_identifier,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10977] = 2,
    ACTIONS(596),
    1,
    anon_sym_with,
    ACTIONS(598),
    5,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10988] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(600),
    4,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_EQ,
    [11001] = 3,
    ACTIONS(587),
    1,
    sym_identifier,
    STATE(247),
    2,
    sym_assignment_expression,
    aux_sym_with_statement_repeat1,
    ACTIONS(602),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11014] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(604),
    1,
    anon_sym_COMMA,
    ACTIONS(606),
    1,
    anon_sym_RBRACK,
    STATE(355),
    1,
    aux_sym_list_literal_repeat1,
    [11030] = 3,
    ACTIONS(608),
    1,
    anon_sym_COMMA,
    STATE(254),
    1,
    aux_sym_list_literal_repeat1,
    ACTIONS(600),
    3,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_EQ,
    [11042] = 3,
    ACTIONS(611),
    1,
    sym_dec_literal,
    STATE(179),
    1,
    sym_big_dec_literal,
    ACTIONS(613),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    [11054] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(615),
    1,
    anon_sym_COMMA,
    ACTIONS(617),
    1,
    anon_sym_RBRACK,
    STATE(308),
    1,
    aux_sym_list_literal_repeat1,
    [11070] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(619),
    1,
    anon_sym_COMMA,
    ACTIONS(621),
    1,
    anon_sym_RPAREN,
    STATE(307),
    1,
    aux_sym_list_literal_repeat1,
    [11086] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(623),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11098] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(625),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11110] = 3,
    ACTIONS(627),
    1,
    anon_sym_COMMA,
    STATE(260),
    1,
    aux_sym_trans_statement_repeat1,
    ACTIONS(541),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11122] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(630),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11134] = 3,
    ACTIONS(529),
    1,
    anon_sym_COMMA,
    STATE(273),
    1,
    aux_sym_trans_statement_repeat1,
    ACTIONS(533),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11146] = 5,
    ACTIONS(571),
    1,
    anon_sym_LBRACK,
    ACTIONS(632),
    1,
    anon_sym_DOT,
    ACTIONS(634),
    1,
    anon_sym_COMMA,
    ACTIONS(636),
    1,
    anon_sym_RBRACE,
    STATE(345),
    1,
    aux_sym_dict_literal_repeat1,
    [11162] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(638),
    1,
    anon_sym_COMMA,
    ACTIONS(640),
    1,
    anon_sym_EQ,
    STATE(333),
    1,
    aux_sym_list_literal_repeat1,
    [11178] = 3,
    ACTIONS(642),
    1,
    sym_dec_literal,
    STATE(127),
    1,
    sym_big_dec_literal,
    ACTIONS(644),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    [11190] = 3,
    ACTIONS(545),
    1,
    anon_sym_if,
    STATE(347),
    1,
    sym_ternary_expression,
    ACTIONS(646),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11202] = 3,
    ACTIONS(648),
    1,
    sym_dec_literal,
    STATE(98),
    1,
    sym_big_dec_literal,
    ACTIONS(650),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    [11214] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(652),
    1,
    anon_sym_COMMA,
    ACTIONS(654),
    1,
    anon_sym_RBRACK,
    STATE(335),
    1,
    aux_sym_list_literal_repeat1,
    [11230] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(656),
    1,
    anon_sym_COMMA,
    ACTIONS(658),
    1,
    anon_sym_RPAREN,
    STATE(357),
    1,
    aux_sym_list_literal_repeat1,
    [11246] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(660),
    1,
    anon_sym_COMMA,
    ACTIONS(662),
    1,
    anon_sym_RPAREN,
    STATE(331),
    1,
    aux_sym_list_literal_repeat1,
    [11262] = 3,
    ACTIONS(664),
    1,
    sym_identifier,
    STATE(262),
    1,
    sym_assignment_expression,
    ACTIONS(666),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11274] = 5,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(619),
    1,
    anon_sym_COMMA,
    ACTIONS(668),
    1,
    anon_sym_RPAREN,
    STATE(307),
    1,
    aux_sym_list_literal_repeat1,
    [11290] = 3,
    ACTIONS(529),
    1,
    anon_sym_COMMA,
    STATE(260),
    1,
    aux_sym_trans_statement_repeat1,
    ACTIONS(670),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11302] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(672),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11314] = 5,
    ACTIONS(571),
    1,
    anon_sym_LBRACK,
    ACTIONS(632),
    1,
    anon_sym_DOT,
    ACTIONS(634),
    1,
    anon_sym_COMMA,
    ACTIONS(674),
    1,
    anon_sym_RBRACE,
    STATE(326),
    1,
    aux_sym_dict_literal_repeat1,
    [11330] = 5,
    ACTIONS(571),
    1,
    anon_sym_LBRACK,
    ACTIONS(632),
    1,
    anon_sym_DOT,
    ACTIONS(634),
    1,
    anon_sym_COMMA,
    ACTIONS(676),
    1,
    anon_sym_RBRACE,
    STATE(349),
    1,
    aux_sym_dict_literal_repeat1,
    [11346] = 3,
    ACTIONS(678),
    1,
    anon_sym_SQUOTE,
    STATE(297),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(680),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11357] = 4,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(682),
    1,
    sym_identifier,
    STATE(223),
    1,
    sym_string_literal,
    [11370] = 4,
    ACTIONS(684),
    1,
    anon_sym_POUND,
    ACTIONS(686),
    1,
    aux_sym_comment_token3,
    ACTIONS(688),
    1,
    anon_sym_POUND_RBRACE,
    STATE(280),
    1,
    aux_sym_comment_repeat1,
    [11383] = 4,
    ACTIONS(690),
    1,
    anon_sym_POUND,
    ACTIONS(692),
    1,
    aux_sym_comment_token3,
    ACTIONS(694),
    1,
    anon_sym_POUND_RBRACE,
    STATE(300),
    1,
    aux_sym_comment_repeat1,
    [11396] = 3,
    ACTIONS(696),
    1,
    anon_sym_SQUOTE,
    STATE(297),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(680),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11407] = 3,
    ACTIONS(696),
    1,
    anon_sym_DQUOTE,
    STATE(284),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(698),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11418] = 3,
    ACTIONS(700),
    1,
    anon_sym_SQUOTE,
    STATE(281),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(702),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11429] = 3,
    ACTIONS(704),
    1,
    anon_sym_DQUOTE,
    STATE(284),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(706),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11440] = 3,
    ACTIONS(700),
    1,
    anon_sym_DQUOTE,
    STATE(282),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(709),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11451] = 3,
    ACTIONS(711),
    1,
    anon_sym_DQUOTE,
    STATE(299),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(713),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11462] = 3,
    ACTIONS(711),
    1,
    anon_sym_SQUOTE,
    STATE(277),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(715),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11473] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(717),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [11484] = 2,
    ACTIONS(719),
    1,
    sym_identifier,
    ACTIONS(721),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11493] = 3,
    ACTIONS(723),
    1,
    anon_sym_SQUOTE,
    STATE(297),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(680),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11504] = 3,
    ACTIONS(723),
    1,
    anon_sym_DQUOTE,
    STATE(284),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(698),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11515] = 3,
    ACTIONS(725),
    1,
    anon_sym_SQUOTE,
    STATE(290),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(727),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11526] = 3,
    ACTIONS(725),
    1,
    anon_sym_DQUOTE,
    STATE(291),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(729),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11537] = 2,
    ACTIONS(731),
    1,
    anon_sym_recursive,
    ACTIONS(733),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11546] = 4,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(735),
    1,
    sym_identifier,
    STATE(222),
    1,
    sym_string_literal,
    [11559] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(737),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [11570] = 3,
    ACTIONS(739),
    1,
    anon_sym_SQUOTE,
    STATE(297),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(741),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11581] = 4,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(744),
    1,
    sym_identifier,
    STATE(266),
    1,
    sym_string_literal,
    [11594] = 3,
    ACTIONS(678),
    1,
    anon_sym_DQUOTE,
    STATE(284),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(698),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11605] = 4,
    ACTIONS(746),
    1,
    anon_sym_POUND,
    ACTIONS(749),
    1,
    aux_sym_comment_token3,
    ACTIONS(752),
    1,
    anon_sym_POUND_RBRACE,
    STATE(300),
    1,
    aux_sym_comment_repeat1,
    [11618] = 3,
    ACTIONS(571),
    1,
    anon_sym_LBRACK,
    ACTIONS(632),
    1,
    anon_sym_DOT,
    ACTIONS(754),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [11629] = 1,
    ACTIONS(541),
    4,
    anon_sym_COMMA,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11636] = 1,
    ACTIONS(756),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11642] = 1,
    ACTIONS(758),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11648] = 3,
    ACTIONS(760),
    1,
    anon_sym_COMMA,
    ACTIONS(762),
    1,
    anon_sym_RPAREN,
    STATE(321),
    1,
    aux_sym_function_call_repeat1,
    [11658] = 3,
    ACTIONS(764),
    1,
    sym__raw_char,
    ACTIONS(766),
    1,
    sym_raw_end,
    STATE(317),
    1,
    aux_sym_raw_block_repeat1,
    [11668] = 3,
    ACTIONS(255),
    1,
    anon_sym_RPAREN,
    ACTIONS(768),
    1,
    anon_sym_COMMA,
    STATE(254),
    1,
    aux_sym_list_literal_repeat1,
    [11678] = 3,
    ACTIONS(219),
    1,
    anon_sym_RBRACK,
    ACTIONS(770),
    1,
    anon_sym_COMMA,
    STATE(254),
    1,
    aux_sym_list_literal_repeat1,
    [11688] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(772),
    1,
    anon_sym_RPAREN,
    [11698] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(774),
    1,
    anon_sym_COLON,
    [11708] = 3,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(776),
    1,
    anon_sym_in,
    STATE(315),
    1,
    aux_sym_in_expression_repeat1,
    [11718] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(778),
    1,
    anon_sym_COLON,
    [11728] = 3,
    ACTIONS(527),
    1,
    anon_sym_DOT,
    ACTIONS(780),
    1,
    anon_sym_EQ,
    STATE(361),
    1,
    aux_sym_assignment_expression_repeat1,
    [11738] = 1,
    ACTIONS(782),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11744] = 3,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(784),
    1,
    anon_sym_in,
    STATE(220),
    1,
    aux_sym_in_expression_repeat1,
    [11754] = 1,
    ACTIONS(786),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11760] = 3,
    ACTIONS(764),
    1,
    sym__raw_char,
    ACTIONS(788),
    1,
    sym_raw_end,
    STATE(332),
    1,
    aux_sym_raw_block_repeat1,
    [11770] = 1,
    ACTIONS(790),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11776] = 3,
    ACTIONS(792),
    1,
    anon_sym_DOT,
    ACTIONS(795),
    1,
    anon_sym_EQ,
    STATE(319),
    1,
    aux_sym_assignment_expression_repeat1,
    [11786] = 1,
    ACTIONS(797),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11792] = 3,
    ACTIONS(760),
    1,
    anon_sym_COMMA,
    ACTIONS(799),
    1,
    anon_sym_RPAREN,
    STATE(351),
    1,
    aux_sym_function_call_repeat1,
    [11802] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(801),
    1,
    anon_sym_RBRACK,
    [11812] = 1,
    ACTIONS(803),
    3,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    [11818] = 1,
    ACTIONS(489),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11824] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(805),
    1,
    anon_sym_COLON,
    [11834] = 3,
    ACTIONS(634),
    1,
    anon_sym_COMMA,
    ACTIONS(807),
    1,
    anon_sym_RBRACE,
    STATE(338),
    1,
    aux_sym_dict_literal_repeat1,
    [11844] = 1,
    ACTIONS(809),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11850] = 3,
    ACTIONS(760),
    1,
    anon_sym_COMMA,
    ACTIONS(811),
    1,
    anon_sym_RPAREN,
    STATE(351),
    1,
    aux_sym_function_call_repeat1,
    [11860] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(813),
    1,
    anon_sym_RBRACK,
    [11870] = 3,
    ACTIONS(760),
    1,
    anon_sym_COMMA,
    ACTIONS(815),
    1,
    anon_sym_RPAREN,
    STATE(328),
    1,
    aux_sym_function_call_repeat1,
    [11880] = 3,
    ACTIONS(229),
    1,
    anon_sym_RPAREN,
    ACTIONS(817),
    1,
    anon_sym_COMMA,
    STATE(254),
    1,
    aux_sym_list_literal_repeat1,
    [11890] = 3,
    ACTIONS(819),
    1,
    sym__raw_char,
    ACTIONS(822),
    1,
    sym_raw_end,
    STATE(332),
    1,
    aux_sym_raw_block_repeat1,
    [11900] = 3,
    ACTIONS(638),
    1,
    anon_sym_COMMA,
    ACTIONS(824),
    1,
    anon_sym_EQ,
    STATE(254),
    1,
    aux_sym_list_literal_repeat1,
    [11910] = 1,
    ACTIONS(826),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11916] = 3,
    ACTIONS(221),
    1,
    anon_sym_RBRACK,
    ACTIONS(828),
    1,
    anon_sym_COMMA,
    STATE(254),
    1,
    aux_sym_list_literal_repeat1,
    [11926] = 3,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    STATE(403),
    1,
    sym_string_literal,
    [11936] = 1,
    ACTIONS(830),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11942] = 3,
    ACTIONS(832),
    1,
    anon_sym_COMMA,
    ACTIONS(835),
    1,
    anon_sym_RBRACE,
    STATE(338),
    1,
    aux_sym_dict_literal_repeat1,
    [11952] = 3,
    ACTIONS(837),
    1,
    anon_sym_LPAREN,
    ACTIONS(839),
    1,
    sym_identifier,
    STATE(314),
    1,
    sym_function_call,
    [11962] = 1,
    ACTIONS(491),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11968] = 1,
    ACTIONS(733),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11974] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(841),
    1,
    anon_sym_RPAREN,
    [11984] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(843),
    1,
    anon_sym_RBRACK,
    [11994] = 1,
    ACTIONS(845),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12000] = 3,
    ACTIONS(634),
    1,
    anon_sym_COMMA,
    ACTIONS(847),
    1,
    anon_sym_RBRACE,
    STATE(338),
    1,
    aux_sym_dict_literal_repeat1,
    [12010] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(849),
    1,
    anon_sym_COLON,
    [12020] = 1,
    ACTIONS(851),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12026] = 1,
    ACTIONS(547),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12032] = 3,
    ACTIONS(634),
    1,
    anon_sym_COMMA,
    ACTIONS(853),
    1,
    anon_sym_RBRACE,
    STATE(338),
    1,
    aux_sym_dict_literal_repeat1,
    [12042] = 3,
    ACTIONS(760),
    1,
    anon_sym_COMMA,
    ACTIONS(855),
    1,
    anon_sym_RPAREN,
    STATE(351),
    1,
    aux_sym_function_call_repeat1,
    [12052] = 3,
    ACTIONS(857),
    1,
    anon_sym_COMMA,
    ACTIONS(860),
    1,
    anon_sym_RPAREN,
    STATE(351),
    1,
    aux_sym_function_call_repeat1,
    [12062] = 1,
    ACTIONS(862),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12068] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(864),
    1,
    anon_sym_RPAREN,
    [12078] = 3,
    ACTIONS(527),
    1,
    anon_sym_DOT,
    ACTIONS(866),
    1,
    anon_sym_EQ,
    STATE(319),
    1,
    aux_sym_assignment_expression_repeat1,
    [12088] = 3,
    ACTIONS(269),
    1,
    anon_sym_RBRACK,
    ACTIONS(868),
    1,
    anon_sym_COMMA,
    STATE(254),
    1,
    aux_sym_list_literal_repeat1,
    [12098] = 1,
    ACTIONS(539),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12104] = 3,
    ACTIONS(267),
    1,
    anon_sym_RPAREN,
    ACTIONS(870),
    1,
    anon_sym_COMMA,
    STATE(254),
    1,
    aux_sym_list_literal_repeat1,
    [12114] = 3,
    ACTIONS(760),
    1,
    anon_sym_COMMA,
    ACTIONS(872),
    1,
    anon_sym_RPAREN,
    STATE(350),
    1,
    aux_sym_function_call_repeat1,
    [12124] = 3,
    ACTIONS(497),
    1,
    anon_sym_DOT,
    ACTIONS(499),
    1,
    anon_sym_LBRACK,
    ACTIONS(874),
    1,
    anon_sym_RBRACK,
    [12134] = 1,
    ACTIONS(876),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12140] = 3,
    ACTIONS(527),
    1,
    anon_sym_DOT,
    ACTIONS(878),
    1,
    anon_sym_EQ,
    STATE(319),
    1,
    aux_sym_assignment_expression_repeat1,
    [12150] = 2,
    ACTIONS(839),
    1,
    sym_identifier,
    STATE(316),
    1,
    sym_function_call,
    [12157] = 2,
    ACTIONS(839),
    1,
    sym_identifier,
    STATE(360),
    1,
    sym_function_call,
    [12164] = 1,
    ACTIONS(880),
    2,
    sym__raw_char,
    sym_raw_end,
    [12169] = 2,
    ACTIONS(882),
    1,
    sym_identifier,
    STATE(302),
    1,
    sym_assignment_expression,
    [12176] = 1,
    ACTIONS(795),
    2,
    anon_sym_DOT,
    anon_sym_EQ,
    [12181] = 1,
    ACTIONS(860),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [12186] = 2,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    STATE(128),
    1,
    sym_list_literal,
    [12193] = 2,
    ACTIONS(884),
    1,
    sym_dec_literal,
    ACTIONS(886),
    1,
    anon_sym__,
    [12200] = 2,
    ACTIONS(888),
    1,
    sym_identifier,
    STATE(243),
    1,
    sym_in_expression,
    [12207] = 2,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    STATE(105),
    1,
    sym_list_literal,
    [12214] = 2,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    STATE(174),
    1,
    sym_list_literal,
    [12221] = 2,
    ACTIONS(890),
    1,
    sym_dec_literal,
    ACTIONS(892),
    1,
    anon_sym__,
    [12228] = 2,
    ACTIONS(894),
    1,
    sym_dec_literal,
    ACTIONS(896),
    1,
    anon_sym__,
    [12235] = 1,
    ACTIONS(898),
    1,
    aux_sym_comment_token2,
    [12239] = 1,
    ACTIONS(900),
    1,
    sym_dec_literal,
    [12243] = 1,
    ACTIONS(902),
    1,
    anon_sym_RPAREN,
    [12247] = 1,
    ACTIONS(904),
    1,
    sym_dec_literal,
    [12251] = 1,
    ACTIONS(906),
    1,
    sym_dec_literal,
    [12255] = 1,
    ACTIONS(908),
    1,
    anon_sym_missing,
    [12259] = 1,
    ACTIONS(910),
    1,
    anon_sym_LPAREN,
    [12263] = 1,
    ACTIONS(912),
    1,
    anon_sym_RPAREN,
    [12267] = 1,
    ACTIONS(914),
    1,
    sym_dec_literal,
    [12271] = 1,
    ACTIONS(916),
    1,
    anon_sym_context,
    [12275] = 1,
    ACTIONS(918),
    1,
    sym_identifier,
    [12279] = 1,
    ACTIONS(920),
    1,
    anon_sym_import,
    [12283] = 1,
    ACTIONS(922),
    1,
    aux_sym_comment_token2,
    [12287] = 1,
    ACTIONS(654),
    1,
    anon_sym_RBRACK,
    [12291] = 1,
    ACTIONS(606),
    1,
    anon_sym_RBRACK,
    [12295] = 1,
    ACTIONS(924),
    1,
    anon_sym_RPAREN,
    [12299] = 1,
    ACTIONS(926),
    1,
    sym_dec_literal,
    [12303] = 1,
    ACTIONS(928),
    1,
    sym__inline_words,
    [12307] = 1,
    ACTIONS(930),
    1,
    sym_identifier,
    [12311] = 1,
    ACTIONS(617),
    1,
    anon_sym_RBRACK,
    [12315] = 1,
    ACTIONS(668),
    1,
    anon_sym_RPAREN,
    [12319] = 1,
    ACTIONS(932),
    1,
    sym_identifier,
    [12323] = 1,
    ACTIONS(279),
    1,
    anon_sym_LPAREN,
    [12327] = 1,
    ACTIONS(934),
    1,
    sym_identifier,
    [12331] = 1,
    ACTIONS(936),
    1,
    ts_builtin_sym_end,
    [12335] = 1,
    ACTIONS(938),
    1,
    sym_identifier,
    [12339] = 1,
    ACTIONS(940),
    1,
    aux_sym_comment_token1,
    [12343] = 1,
    ACTIONS(942),
    1,
    anon_sym_LPAREN,
    [12347] = 1,
    ACTIONS(944),
    1,
    anon_sym_import,
    [12351] = 1,
    ACTIONS(946),
    1,
    anon_sym_LPAREN,
    [12355] = 1,
    ACTIONS(948),
    1,
    sym_dec_literal,
};

static const uint32_t ts_small_parse_table_map[] = {
    [SMALL_STATE(2)] = 0,
    [SMALL_STATE(3)] = 109,
    [SMALL_STATE(4)] = 218,
    [SMALL_STATE(5)] = 327,
    [SMALL_STATE(6)] = 418,
    [SMALL_STATE(7)] = 469,
    [SMALL_STATE(8)] = 555,
    [SMALL_STATE(9)] = 599,
    [SMALL_STATE(10)] = 643,
    [SMALL_STATE(11)] = 730,
    [SMALL_STATE(12)] = 817,
    [SMALL_STATE(13)] = 904,
    [SMALL_STATE(14)] = 991,
    [SMALL_STATE(15)] = 1078,
    [SMALL_STATE(16)] = 1165,
    [SMALL_STATE(17)] = 1252,
    [SMALL_STATE(18)] = 1339,
    [SMALL_STATE(19)] = 1426,
    [SMALL_STATE(20)] = 1513,
    [SMALL_STATE(21)] = 1597,
    [SMALL_STATE(22)] = 1639,
    [SMALL_STATE(23)] = 1687,
    [SMALL_STATE(24)] = 1729,
    [SMALL_STATE(25)] = 1813,
    [SMALL_STATE(26)] = 1897,
    [SMALL_STATE(27)] = 1981,
    [SMALL_STATE(28)] = 2023,
    [SMALL_STATE(29)] = 2107,
    [SMALL_STATE(30)] = 2191,
    [SMALL_STATE(31)] = 2233,
    [SMALL_STATE(32)] = 2275,
    [SMALL_STATE(33)] = 2359,
    [SMALL_STATE(34)] = 2443,
    [SMALL_STATE(35)] = 2527,
    [SMALL_STATE(36)] = 2573,
    [SMALL_STATE(37)] = 2657,
    [SMALL_STATE(38)] = 2741,
    [SMALL_STATE(39)] = 2825,
    [SMALL_STATE(40)] = 2909,
    [SMALL_STATE(41)] = 2993,
    [SMALL_STATE(42)] = 3035,
    [SMALL_STATE(43)] = 3077,
    [SMALL_STATE(44)] = 3161,
    [SMALL_STATE(45)] = 3245,
    [SMALL_STATE(46)] = 3287,
    [SMALL_STATE(47)] = 3368,
    [SMALL_STATE(48)] = 3449,
    [SMALL_STATE(49)] = 3530,
    [SMALL_STATE(50)] = 3611,
    [SMALL_STATE(51)] = 3692,
    [SMALL_STATE(52)] = 3773,
    [SMALL_STATE(53)] = 3854,
    [SMALL_STATE(54)] = 3935,
    [SMALL_STATE(55)] = 4016,
    [SMALL_STATE(56)] = 4097,
    [SMALL_STATE(57)] = 4178,
    [SMALL_STATE(58)] = 4259,
    [SMALL_STATE(59)] = 4340,
    [SMALL_STATE(60)] = 4421,
    [SMALL_STATE(61)] = 4502,
    [SMALL_STATE(62)] = 4583,
    [SMALL_STATE(63)] = 4664,
    [SMALL_STATE(64)] = 4745,
    [SMALL_STATE(65)] = 4826,
    [SMALL_STATE(66)] = 4907,
    [SMALL_STATE(67)] = 4988,
    [SMALL_STATE(68)] = 5069,
    [SMALL_STATE(69)] = 5150,
    [SMALL_STATE(70)] = 5231,
    [SMALL_STATE(71)] = 5312,
    [SMALL_STATE(72)] = 5393,
    [SMALL_STATE(73)] = 5474,
    [SMALL_STATE(74)] = 5555,
    [SMALL_STATE(75)] = 5636,
    [SMALL_STATE(76)] = 5717,
    [SMALL_STATE(77)] = 5798,
    [SMALL_STATE(78)] = 5879,
    [SMALL_STATE(79)] = 5960,
    [SMALL_STATE(80)] = 6002,
    [SMALL_STATE(81)] = 6050,
    [SMALL_STATE(82)] = 6092,
    [SMALL_STATE(83)] = 6131,
    [SMALL_STATE(84)] = 6170,
    [SMALL_STATE(85)] = 6209,
    [SMALL_STATE(86)] = 6248,
    [SMALL_STATE(87)] = 6287,
    [SMALL_STATE(88)] = 6326,
    [SMALL_STATE(89)] = 6365,
    [SMALL_STATE(90)] = 6404,
    [SMALL_STATE(91)] = 6479,
    [SMALL_STATE(92)] = 6518,
    [SMALL_STATE(93)] = 6557,
    [SMALL_STATE(94)] = 6596,
    [SMALL_STATE(95)] = 6635,
    [SMALL_STATE(96)] = 6674,
    [SMALL_STATE(97)] = 6713,
    [SMALL_STATE(98)] = 6752,
    [SMALL_STATE(99)] = 6791,
    [SMALL_STATE(100)] = 6830,
    [SMALL_STATE(101)] = 6869,
    [SMALL_STATE(102)] = 6908,
    [SMALL_STATE(103)] = 6947,
    [SMALL_STATE(104)] = 7022,
    [SMALL_STATE(105)] = 7097,
    [SMALL_STATE(106)] = 7136,
    [SMALL_STATE(107)] = 7175,
    [SMALL_STATE(108)] = 7214,
    [SMALL_STATE(109)] = 7289,
    [SMALL_STATE(110)] = 7364,
    [SMALL_STATE(111)] = 7403,
    [SMALL_STATE(112)] = 7442,
    [SMALL_STATE(113)] = 7481,
    [SMALL_STATE(114)] = 7556,
    [SMALL_STATE(115)] = 7592,
    [SMALL_STATE(116)] = 7630,
    [SMALL_STATE(117)] = 7668,
    [SMALL_STATE(118)] = 7704,
    [SMALL_STATE(119)] = 7736,
    [SMALL_STATE(120)] = 7770,
    [SMALL_STATE(121)] = 7802,
    [SMALL_STATE(122)] = 7831,
    [SMALL_STATE(123)] = 7860,
    [SMALL_STATE(124)] = 7889,
    [SMALL_STATE(125)] = 7918,
    [SMALL_STATE(126)] = 7947,
    [SMALL_STATE(127)] = 7976,
    [SMALL_STATE(128)] = 8005,
    [SMALL_STATE(129)] = 8034,
    [SMALL_STATE(130)] = 8063,
    [SMALL_STATE(131)] = 8092,
    [SMALL_STATE(132)] = 8121,
    [SMALL_STATE(133)] = 8150,
    [SMALL_STATE(134)] = 8179,
    [SMALL_STATE(135)] = 8208,
    [SMALL_STATE(136)] = 8241,
    [SMALL_STATE(137)] = 8270,
    [SMALL_STATE(138)] = 8299,
    [SMALL_STATE(139)] = 8328,
    [SMALL_STATE(140)] = 8357,
    [SMALL_STATE(141)] = 8386,
    [SMALL_STATE(142)] = 8415,
    [SMALL_STATE(143)] = 8444,
    [SMALL_STATE(144)] = 8473,
    [SMALL_STATE(145)] = 8502,
    [SMALL_STATE(146)] = 8531,
    [SMALL_STATE(147)] = 8560,
    [SMALL_STATE(148)] = 8589,
    [SMALL_STATE(149)] = 8618,
    [SMALL_STATE(150)] = 8647,
    [SMALL_STATE(151)] = 8676,
    [SMALL_STATE(152)] = 8705,
    [SMALL_STATE(153)] = 8734,
    [SMALL_STATE(154)] = 8763,
    [SMALL_STATE(155)] = 8792,
    [SMALL_STATE(156)] = 8821,
    [SMALL_STATE(157)] = 8850,
    [SMALL_STATE(158)] = 8879,
    [SMALL_STATE(159)] = 8909,
    [SMALL_STATE(160)] = 8943,
    [SMALL_STATE(161)] = 8973,
    [SMALL_STATE(162)] = 9000,
    [SMALL_STATE(163)] = 9027,
    [SMALL_STATE(164)] = 9054,
    [SMALL_STATE(165)] = 9081,
    [SMALL_STATE(166)] = 9108,
    [SMALL_STATE(167)] = 9135,
    [SMALL_STATE(168)] = 9162,
    [SMALL_STATE(169)] = 9189,
    [SMALL_STATE(170)] = 9216,
    [SMALL_STATE(171)] = 9243,
    [SMALL_STATE(172)] = 9270,
    [SMALL_STATE(173)] = 9297,
    [SMALL_STATE(174)] = 9324,
    [SMALL_STATE(175)] = 9351,
    [SMALL_STATE(176)] = 9378,
    [SMALL_STATE(177)] = 9405,
    [SMALL_STATE(178)] = 9432,
    [SMALL_STATE(179)] = 9459,
    [SMALL_STATE(180)] = 9486,
    [SMALL_STATE(181)] = 9513,
    [SMALL_STATE(182)] = 9540,
    [SMALL_STATE(183)] = 9567,
    [SMALL_STATE(184)] = 9594,
    [SMALL_STATE(185)] = 9621,
    [SMALL_STATE(186)] = 9648,
    [SMALL_STATE(187)] = 9675,
    [SMALL_STATE(188)] = 9702,
    [SMALL_STATE(189)] = 9729,
    [SMALL_STATE(190)] = 9756,
    [SMALL_STATE(191)] = 9783,
    [SMALL_STATE(192)] = 9810,
    [SMALL_STATE(193)] = 9837,
    [SMALL_STATE(194)] = 9864,
    [SMALL_STATE(195)] = 9891,
    [SMALL_STATE(196)] = 9918,
    [SMALL_STATE(197)] = 9945,
    [SMALL_STATE(198)] = 9988,
    [SMALL_STATE(199)] = 10031,
    [SMALL_STATE(200)] = 10055,
    [SMALL_STATE(201)] = 10079,
    [SMALL_STATE(202)] = 10103,
    [SMALL_STATE(203)] = 10127,
    [SMALL_STATE(204)] = 10146,
    [SMALL_STATE(205)] = 10165,
    [SMALL_STATE(206)] = 10184,
    [SMALL_STATE(207)] = 10203,
    [SMALL_STATE(208)] = 10222,
    [SMALL_STATE(209)] = 10241,
    [SMALL_STATE(210)] = 10260,
    [SMALL_STATE(211)] = 10279,
    [SMALL_STATE(212)] = 10298,
    [SMALL_STATE(213)] = 10328,
    [SMALL_STATE(214)] = 10358,
    [SMALL_STATE(215)] = 10388,
    [SMALL_STATE(216)] = 10418,
    [SMALL_STATE(217)] = 10441,
    [SMALL_STATE(218)] = 10460,
    [SMALL_STATE(219)] = 10483,
    [SMALL_STATE(220)] = 10506,
    [SMALL_STATE(221)] = 10524,
    [SMALL_STATE(222)] = 10540,
    [SMALL_STATE(223)] = 10564,
    [SMALL_STATE(224)] = 10588,
    [SMALL_STATE(225)] = 10599,
    [SMALL_STATE(226)] = 10620,
    [SMALL_STATE(227)] = 10631,
    [SMALL_STATE(228)] = 10652,
    [SMALL_STATE(229)] = 10665,
    [SMALL_STATE(230)] = 10683,
    [SMALL_STATE(231)] = 10701,
    [SMALL_STATE(232)] = 10719,
    [SMALL_STATE(233)] = 10735,
    [SMALL_STATE(234)] = 10749,
    [SMALL_STATE(235)] = 10767,
    [SMALL_STATE(236)] = 10783,
    [SMALL_STATE(237)] = 10799,
    [SMALL_STATE(238)] = 10817,
    [SMALL_STATE(239)] = 10835,
    [SMALL_STATE(240)] = 10849,
    [SMALL_STATE(241)] = 10862,
    [SMALL_STATE(242)] = 10873,
    [SMALL_STATE(243)] = 10886,
    [SMALL_STATE(244)] = 10901,
    [SMALL_STATE(245)] = 10914,
    [SMALL_STATE(246)] = 10927,
    [SMALL_STATE(247)] = 10938,
    [SMALL_STATE(248)] = 10951,
    [SMALL_STATE(249)] = 10964,
    [SMALL_STATE(250)] = 10977,
    [SMALL_STATE(251)] = 10988,
    [SMALL_STATE(252)] = 11001,
    [SMALL_STATE(253)] = 11014,
    [SMALL_STATE(254)] = 11030,
    [SMALL_STATE(255)] = 11042,
    [SMALL_STATE(256)] = 11054,
    [SMALL_STATE(257)] = 11070,
    [SMALL_STATE(258)] = 11086,
    [SMALL_STATE(259)] = 11098,
    [SMALL_STATE(260)] = 11110,
    [SMALL_STATE(261)] = 11122,
    [SMALL_STATE(262)] = 11134,
    [SMALL_STATE(263)] = 11146,
    [SMALL_STATE(264)] = 11162,
    [SMALL_STATE(265)] = 11178,
    [SMALL_STATE(266)] = 11190,
    [SMALL_STATE(267)] = 11202,
    [SMALL_STATE(268)] = 11214,
    [SMALL_STATE(269)] = 11230,
    [SMALL_STATE(270)] = 11246,
    [SMALL_STATE(271)] = 11262,
    [SMALL_STATE(272)] = 11274,
    [SMALL_STATE(273)] = 11290,
    [SMALL_STATE(274)] = 11302,
    [SMALL_STATE(275)] = 11314,
    [SMALL_STATE(276)] = 11330,
    [SMALL_STATE(277)] = 11346,
    [SMALL_STATE(278)] = 11357,
    [SMALL_STATE(279)] = 11370,
    [SMALL_STATE(280)] = 11383,
    [SMALL_STATE(281)] = 11396,
    [SMALL_STATE(282)] = 11407,
    [SMALL_STATE(283)] = 11418,
    [SMALL_STATE(284)] = 11429,
    [SMALL_STATE(285)] = 11440,
    [SMALL_STATE(286)] = 11451,
    [SMALL_STATE(287)] = 11462,
    [SMALL_STATE(288)] = 11473,
    [SMALL_STATE(289)] = 11484,
    [SMALL_STATE(290)] = 11493,
    [SMALL_STATE(291)] = 11504,
    [SMALL_STATE(292)] = 11515,
    [SMALL_STATE(293)] = 11526,
    [SMALL_STATE(294)] = 11537,
    [SMALL_STATE(295)] = 11546,
    [SMALL_STATE(296)] = 11559,
    [SMALL_STATE(297)] = 11570,
    [SMALL_STATE(298)] = 11581,
    [SMALL_STATE(299)] = 11594,
    [SMALL_STATE(300)] = 11605,
    [SMALL_STATE(301)] = 11618,
    [SMALL_STATE(302)] = 11629,
    [SMALL_STATE(303)] = 11636,
    [SMALL_STATE(304)] = 11642,
    [SMALL_STATE(305)] = 11648,
    [SMALL_STATE(306)] = 11658,
    [SMALL_STATE(307)] = 11668,
    [SMALL_STATE(308)] = 11678,
    [SMALL_STATE(309)] = 11688,
    [SMALL_STATE(310)] = 11698,
    [SMALL_STATE(311)] = 11708,
    [SMALL_STATE(312)] = 11718,
    [SMALL_STATE(313)] = 11728,
    [SMALL_STATE(314)] = 11738,
    [SMALL_STATE(315)] = 11744,
    [SMALL_STATE(316)] = 11754,
    [SMALL_STATE(317)] = 11760,
    [SMALL_STATE(318)] = 11770,
    [SMALL_STATE(319)] = 11776,
    [SMALL_STATE(320)] = 11786,
    [SMALL_STATE(321)] = 11792,
    [SMALL_STATE(322)] = 11802,
    [SMALL_STATE(323)] = 11812,
    [SMALL_STATE(324)] = 11818,
    [SMALL_STATE(325)] = 11824,
    [SMALL_STATE(326)] = 11834,
    [SMALL_STATE(327)] = 11844,
    [SMALL_STATE(328)] = 11850,
    [SMALL_STATE(329)] = 11860,
    [SMALL_STATE(330)] = 11870,
    [SMALL_STATE(331)] = 11880,
    [SMALL_STATE(332)] = 11890,
    [SMALL_STATE(333)] = 11900,
    [SMALL_STATE(334)] = 11910,
    [SMALL_STATE(335)] = 11916,
    [SMALL_STATE(336)] = 11926,
    [SMALL_STATE(337)] = 11936,
    [SMALL_STATE(338)] = 11942,
    [SMALL_STATE(339)] = 11952,
    [SMALL_STATE(340)] = 11962,
    [SMALL_STATE(341)] = 11968,
    [SMALL_STATE(342)] = 11974,
    [SMALL_STATE(343)] = 11984,
    [SMALL_STATE(344)] = 11994,
    [SMALL_STATE(345)] = 12000,
    [SMALL_STATE(346)] = 12010,
    [SMALL_STATE(347)] = 12020,
    [SMALL_STATE(348)] = 12026,
    [SMALL_STATE(349)] = 12032,
    [SMALL_STATE(350)] = 12042,
    [SMALL_STATE(351)] = 12052,
    [SMALL_STATE(352)] = 12062,
    [SMALL_STATE(353)] = 12068,
    [SMALL_STATE(354)] = 12078,
    [SMALL_STATE(355)] = 12088,
    [SMALL_STATE(356)] = 12098,
    [SMALL_STATE(357)] = 12104,
    [SMALL_STATE(358)] = 12114,
    [SMALL_STATE(359)] = 12124,
    [SMALL_STATE(360)] = 12134,
    [SMALL_STATE(361)] = 12140,
    [SMALL_STATE(362)] = 12150,
    [SMALL_STATE(363)] = 12157,
    [SMALL_STATE(364)] = 12164,
    [SMALL_STATE(365)] = 12169,
    [SMALL_STATE(366)] = 12176,
    [SMALL_STATE(367)] = 12181,
    [SMALL_STATE(368)] = 12186,
    [SMALL_STATE(369)] = 12193,
    [SMALL_STATE(370)] = 12200,
    [SMALL_STATE(371)] = 12207,
    [SMALL_STATE(372)] = 12214,
    [SMALL_STATE(373)] = 12221,
    [SMALL_STATE(374)] = 12228,
    [SMALL_STATE(375)] = 12235,
    [SMALL_STATE(376)] = 12239,
    [SMALL_STATE(377)] = 12243,
    [SMALL_STATE(378)] = 12247,
    [SMALL_STATE(379)] = 12251,
    [SMALL_STATE(380)] = 12255,
    [SMALL_STATE(381)] = 12259,
    [SMALL_STATE(382)] = 12263,
    [SMALL_STATE(383)] = 12267,
    [SMALL_STATE(384)] = 12271,
    [SMALL_STATE(385)] = 12275,
    [SMALL_STATE(386)] = 12279,
    [SMALL_STATE(387)] = 12283,
    [SMALL_STATE(388)] = 12287,
    [SMALL_STATE(389)] = 12291,
    [SMALL_STATE(390)] = 12295,
    [SMALL_STATE(391)] = 12299,
    [SMALL_STATE(392)] = 12303,
    [SMALL_STATE(393)] = 12307,
    [SMALL_STATE(394)] = 12311,
    [SMALL_STATE(395)] = 12315,
    [SMALL_STATE(396)] = 12319,
    [SMALL_STATE(397)] = 12323,
    [SMALL_STATE(398)] = 12327,
    [SMALL_STATE(399)] = 12331,
    [SMALL_STATE(400)] = 12335,
    [SMALL_STATE(401)] = 12339,
    [SMALL_STATE(402)] = 12343,
    [SMALL_STATE(403)] = 12347,
    [SMALL_STATE(404)] = 12351,
    [SMALL_STATE(405)] = 12355,
};

static const TSParseActionEntry ts_parse_actions[] = {
    [0] = { .entry = { .count = 0, .reusable = false } },
    [1] = { .entry = { .count = 1, .reusable = false } },
    RECOVER(),
    [3] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_source, 0, 0, 0),
    [5] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(202),
    [7] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(6),
    [9] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(401),
    [11] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(279),
    [13] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(7),
    [15] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(5),
    [17] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(306),
    [19] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(144),
    [21] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(139),
    [23] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(265),
    [25] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(115),
    [27] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(404),
    [29] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(136),
    [31] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(16),
    [33] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(17),
    [35] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(20),
    [37] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(285),
    [39] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(283),
    [41] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(151),
    [43] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(76),
    [45] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(368),
    [47] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(200),
    [49] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(200),
    [51] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(120),
    [53] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(85),
    [55] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(87),
    [57] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(267),
    [59] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(22),
    [61] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(381),
    [63] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(92),
    [65] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(19),
    [67] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(18),
    [69] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(26),
    [71] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(286),
    [73] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(287),
    [75] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(83),
    [77] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(65),
    [79] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(371),
    [81] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(79),
    [83] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(173),
    [85] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(181),
    [87] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(255),
    [89] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(117),
    [91] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(402),
    [93] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(167),
    [95] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(12),
    [97] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(13),
    [99] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(37),
    [101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(293),
    [103] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(292),
    [105] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(169),
    [107] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(75),
    [109] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(372),
    [111] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(158),
    [113] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(49),
    [115] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(352),
    [117] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(50),
    [119] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(51),
    [121] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(244),
    [123] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(271),
    [125] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(289),
    [127] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(52),
    [129] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(398),
    [131] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(362),
    [133] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(298),
    [135] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(339),
    [137] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(252),
    [139] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(295),
    [141] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(336),
    [143] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(227),
    [145] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(57),
    [147] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(370),
    [149] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_words_repeat1, 1, 0, 0),
    [151] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(392),
    [153] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_words_repeat1, 1, 0, 0),
    [155] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(267),
    [157] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(211),
    [159] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [161] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [163] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [165] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [167] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(154),
    [169] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(135),
    [171] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(171),
    [173] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(389),
    [175] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(189),
    [177] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(382),
    [179] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(193),
    [181] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(395),
    [183] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(30),
    [185] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(107),
    [187] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(388),
    [189] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(121),
    [191] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(377),
    [193] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(131),
    [195] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(394),
    [197] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(21),
    [199] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(137),
    [201] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 2, 0, 0),
    [203] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 2, 0, 0),
    [205] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_number_literal, 1, 0, 0),
    [207] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(369),
    [209] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(369),
    [211] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(376),
    [213] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_number_literal, 1, 0, 0),
    [215] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 4, 0, 0),
    [217] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 4, 0, 0),
    [219] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(27),
    [221] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(140),
    [223] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(93),
    [225] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 4, 0, 0),
    [227] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 4, 0, 0),
    [229] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(134),
    [231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(31),
    [233] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 2, 0, 0),
    [235] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 2, 0, 0),
    [237] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 5, 0, 0),
    [239] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 5, 0, 0),
    [241] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(42),
    [243] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(177),
    [245] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_number_literal, 2, 0, 0),
    [247] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_number_literal, 2, 0, 0),
    [249] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(126),
    [251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(194),
    [253] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(124),
    [255] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(23),
    [257] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(175),
    [259] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 3, 0, 0),
    [261] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 3, 0, 0),
    [263] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 5, 0, 0),
    [265] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 5, 0, 0),
    [267] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(165),
    [269] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(164),
    [271] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 3, 0, 0),
    [273] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 3, 0, 0),
    [275] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expression, 1, 0, 0),
    [277] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expression, 1, 0, 0),
    [279] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(15),
    [281] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(199),
    [283] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_expression, 1, 0, 0),
    [285] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(3),
    [287] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_expression, 1, 0, 0),
    [289] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(199),
    [291] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_builtin_test, 2, 0, 0),
    [293] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_builtin_test, 2, 0, 0),
    [295] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_builtin_test, 1, 0, 0),
    [297] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_builtin_test, 1, 0, 0),
    [299] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dict_literal, 5, 0, 0),
    [301] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dict_literal, 5, 0, 0),
    [303] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [305] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [307] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_inline_trans, 4, 0, 0),
    [309] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_inline_trans, 4, 0, 0),
    [311] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_null_literal, 1, 0, 0),
    [313] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_null_literal, 1, 0, 0),
    [315] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_big_dec_literal, 4, 0, 0),
    [317] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_big_dec_literal, 4, 0, 0),
    [319] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_function_call, 5, 0, 0),
    [321] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_function_call, 5, 0, 0),
    [323] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expression, 2, 0, 0),
    [325] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expression, 2, 0, 0),
    [327] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dict_literal, 2, 0, 0),
    [329] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dict_literal, 2, 0, 0),
    [331] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_literal, 1, 0, 0),
    [333] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_literal, 1, 0, 0),
    [335] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_function_call, 4, 0, 0),
    [337] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_function_call, 4, 0, 0),
    [339] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_expression, 4, 0, 0),
    [341] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_expression, 4, 0, 0),
    [343] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_binary_expression, 3, 0, 0),
    [345] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_binary_expression, 3, 0, 0),
    [347] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_binary_expression, 1, 0, 0),
    [349] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_binary_expression, 1, 0, 0),
    [351] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expression, 1, 0, 0),
    [353] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expression, 1, 0, 0),
    [355] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_expression, 3, 0, 0),
    [357] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_expression, 3, 0, 0),
    [359] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_float_literal, 3, 0, 0),
    [361] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_float_literal, 3, 0, 0),
    [363] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_function_call, 3, 0, 0),
    [365] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_function_call, 3, 0, 0),
    [367] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dict_literal, 6, 0, 0),
    [369] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dict_literal, 6, 0, 0),
    [371] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_big_dec_literal, 3, 0, 0),
    [373] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_big_dec_literal, 3, 0, 0),
    [375] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(373),
    [377] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(373),
    [379] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(379),
    [381] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(2),
    [383] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(374),
    [385] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(374),
    [387] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(378),
    [389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(10),
    [391] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(74),
    [393] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(11),
    [395] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(4),
    [397] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_source, 1, 0, 0),
    [399] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    [401] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(202),
    [404] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(6),
    [407] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(401),
    [410] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(279),
    [413] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(7),
    [416] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(5),
    [419] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(306),
    [422] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_binary_operator, 1, 0, 0),
    [424] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_binary_operator, 1, 0, 0),
    [426] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [428] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [430] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_words_repeat1, 2, 0, 0),
    [432] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_words_repeat1, 2, 0, 0),
    SHIFT_REPEAT(201),
    [435] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_words_repeat1, 2, 0, 0),
    [437] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_words, 1, 0, 0),
    [439] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(201),
    [441] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_words, 1, 0, 0),
    [443] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raw_block, 3, 0, 1),
    [445] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_raw_block, 3, 0, 1),
    [447] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_render_expression, 3, 0, 0),
    [449] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_render_expression, 3, 0, 0),
    [451] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_control, 3, 0, 0),
    [453] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_control, 3, 0, 0),
    [455] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raw_block, 2, 0, 0),
    [457] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_raw_block, 2, 0, 0),
    [459] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_inline, 4, 0, 0),
    [461] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_inline, 4, 0, 0),
    [463] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 2, 0, 0),
    [465] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_comment, 2, 0, 0),
    [467] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_render_expression, 4, 0, 0),
    [469] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_render_expression, 4, 0, 0),
    [471] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 3, 0, 0),
    [473] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_comment, 3, 0, 0),
    [475] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_render_expression, 2, 0, 0),
    [477] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_render_expression, 2, 0, 0),
    [479] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(385),
    [481] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(384),
    [483] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(393),
    [485] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(384),
    [487] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 2, 0, 0),
    [489] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 3, 0, 0),
    [491] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 4, 0, 0),
    [493] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(380),
    [495] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_include_statement, 3, 0, 0),
    [497] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(63),
    [499] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(53),
    [501] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(68),
    [503] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_ternary_expression, 2, 0, 0),
    [505] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_include_statement, 2, 0, 0),
    [507] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [510] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(380),
    [513] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [516] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    [518] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_in_expression_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [521] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_in_expression_repeat1, 2, 0, 0),
    [523] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_in_expression_repeat1, 2, 0, 0),
    [525] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_ternary_expression, 4, 0, 0),
    [527] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(396),
    [529] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(365),
    [531] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(66),
    [533] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_trans_statement, 2, 0, 0),
    [535] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(14),
    [537] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(218),
    [539] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 5, 0, 0),
    [541] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_trans_statement_repeat1, 2, 0, 0),
    [543] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_expression, 4, 0, 3),
    [545] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(72),
    [547] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_statement, 5, 0, 0),
    [549] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_as, 2, 0, 0),
    [551] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_as, 2, 0, 0),
    [553] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_as, 3, 0, 0),
    [555] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_as, 3, 0, 0),
    [557] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(204),
    [559] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_statement, 4, 0, 0),
    [561] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_expression, 3, 0, 2),
    [563] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_assignment_expression, 3, 0, 0),
    [565] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_attribute_ignore, 2, 0, 0),
    [567] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attribute_ignore, 2, 0, 0),
    [569] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(62),
    [571] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(58),
    [573] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_assignment_expression, 4, 0, 0),
    [575] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(341),
    [577] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_for_statement, 2, 0, 0),
    [579] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(85),
    [581] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoescape_statement, 1, 0, 0),
    [583] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_include_attribute, 1, 0, 0),
    [585] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_include_attribute, 1, 0, 0),
    [587] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(313),
    [589] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_with_statement, 2, 0, 0),
    [591] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_with_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(313),
    [594] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_with_statement_repeat1, 2, 0, 0),
    [596] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_attribute_context, 2, 0, 0),
    [598] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attribute_context, 2, 0, 0),
    [600] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0),
    [602] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_with_statement, 1, 0, 0),
    [604] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(44),
    [606] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(185),
    [608] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [611] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(119),
    [613] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(179),
    [615] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(24),
    [617] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(41),
    [619] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(39),
    [621] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(112),
    [623] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_filter_statement, 2, 0, 0),
    [625] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_statement, 2, 0, 0),
    [627] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_trans_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(365),
    [630] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_do_statement, 2, 0, 0),
    [632] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(61),
    [634] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(78),
    [636] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(84),
    [638] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(71),
    [640] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(73),
    [642] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(114),
    [644] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(127),
    [646] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extends_statement, 2, 0, 0),
    [648] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(35),
    [650] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(98),
    [652] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(25),
    [654] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(148),
    [656] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(43),
    [658] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(178),
    [660] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(28),
    [662] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(122),
    [664] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(225),
    [666] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_trans_statement, 1, 0, 0),
    [668] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(45),
    [670] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_trans_statement, 3, 0, 0),
    [672] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_if_expression, 2, 0, 0),
    [674] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(123),
    [676] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(161),
    [678] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(8),
    [680] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(297),
    [682] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(213),
    [684] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(280),
    [686] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(280),
    [688] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(208),
    [690] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(300),
    [692] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(300),
    [694] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(210),
    [696] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(155),
    [698] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(284),
    [700] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(138),
    [702] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(281),
    [704] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    [706] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(284),
    [709] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(282),
    [711] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(9),
    [713] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(299),
    [715] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(277),
    [717] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_arg, 3, 0, 0),
    [719] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(318),
    [721] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_pluralize_statement, 1, 0, 0),
    [723] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(176),
    [725] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(196),
    [727] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(290),
    [729] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(291),
    [731] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(344),
    [733] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_for_statement, 3, 0, 0),
    [735] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(212),
    [737] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_arg, 1, 0, 0),
    [739] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat2, 2, 0, 0),
    [741] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat2, 2, 0, 0),
    SHIFT_REPEAT(297),
    [744] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(266),
    [746] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_comment_repeat1, 2, 0, 0),
    SHIFT_REPEAT(300),
    [749] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_comment_repeat1, 2, 0, 0),
    SHIFT_REPEAT(300),
    [752] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_comment_repeat1, 2, 0, 0),
    [754] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_dict_literal_repeat1, 4, 0, 0),
    [756] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_block_statement, 2, 0, 0),
    [758] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_attribute, 1, 0, 0),
    [760] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(32),
    [762] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(96),
    [764] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(364),
    [766] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(206),
    [768] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(29),
    [770] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(33),
    [772] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(86),
    [774] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(60),
    [776] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(77),
    [778] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(54),
    [780] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(69),
    [782] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_call_statement, 2, 0, 0),
    [784] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(55),
    [786] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_macro_statement, 2, 0, 0),
    [788] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(203),
    [790] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_pluralize_statement, 2, 0, 0),
    [792] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_assignment_expression_repeat1, 2, 0, 0),
    SHIFT_REPEAT(396),
    [795] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_assignment_expression_repeat1, 2, 0, 0),
    [797] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoescape_statement, 2, 0, 0),
    [799] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(89),
    [801] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(157),
    [803] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(209),
    [805] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(59),
    [807] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(153),
    [809] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 6, 0, 0),
    [811] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(141),
    [813] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(186),
    [815] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(133),
    [817] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(38),
    [819] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raw_block_repeat1, 2, 0, 0),
    SHIFT_REPEAT(364),
    [822] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raw_block_repeat1, 2, 0, 0),
    [824] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(56),
    [826] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(205),
    [828] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(36),
    [830] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_statement, 6, 0, 0),
    [832] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_dict_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [835] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_dict_literal_repeat1, 2, 0, 0),
    [837] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(400),
    [839] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(397),
    [841] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(146),
    [843] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(97),
    [845] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_for_statement, 4, 0, 0),
    [847] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(110),
    [849] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(46),
    [851] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extends_statement, 3, 0, 0),
    [853] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(182),
    [855] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(162),
    [857] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [860] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
    [862] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_statement, 1, 0, 0),
    [864] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(180),
    [866] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(47),
    [868] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(40),
    [870] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(34),
    [872] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(166),
    [874] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(224),
    [876] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_call_statement, 5, 0, 0),
    [878] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(67),
    [880] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raw_block_repeat1, 1, 0, 0),
    [882] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(232),
    [884] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(111),
    [886] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(405),
    [888] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(311),
    [890] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(143),
    [892] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(391),
    [894] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(191),
    [896] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(383),
    [898] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(210),
    [900] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(106),
    [902] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(152),
    [904] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(190),
    [906] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(145),
    [908] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(241),
    [910] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(70),
    [912] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(170),
    [914] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(187),
    [916] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(250),
    [918] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(228),
    [920] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(278),
    [922] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(207),
    [924] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(363),
    [926] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(147),
    [928] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(387),
    [930] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(235),
    [932] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(366),
    [934] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(303),
    [936] = { .entry = { .count = 1, .reusable = true } },
    ACCEPT_INPUT(),
    [938] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(390),
    [940] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(375),
    [942] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(64),
    [944] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_from, 2, 0, 0),
    [946] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(48),
    [948] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(88),
};

enum ts_external_scanner_symbol_identifiers {
    ts_external_token_raw_start = 0,
    ts_external_token__raw_char = 1,
    ts_external_token_raw_end = 2,
    ts_external_token__inline_words = 3,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
    [ts_external_token_raw_start] = sym_raw_start,
    [ts_external_token__raw_char] = sym__raw_char,
    [ts_external_token_raw_end] = sym_raw_end,
    [ts_external_token__inline_words] = sym__inline_words,
};

static const bool ts_external_scanner_states[5][EXTERNAL_TOKEN_COUNT] = {
    [1] = {
        [ts_external_token_raw_start] = true,
        [ts_external_token__raw_char] = true,
        [ts_external_token_raw_end] = true,
        [ts_external_token__inline_words] = true,
    },
    [2] = {
        [ts_external_token_raw_start] = true,
    },
    [3] = {
        [ts_external_token__raw_char] = true,
        [ts_external_token_raw_end] = true,
    },
    [4] = {
        [ts_external_token__inline_words] = true,
    },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_jinja_external_scanner_create(void);
void tree_sitter_jinja_external_scanner_destroy(void *);
bool tree_sitter_jinja_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_jinja_external_scanner_serialize(void *, char *);
void tree_sitter_jinja_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_jinja(void) {
    static const TSLanguage language = {
        .version = LANGUAGE_VERSION,
        .symbol_count = SYMBOL_COUNT,
        .alias_count = ALIAS_COUNT,
        .token_count = TOKEN_COUNT,
        .external_token_count = EXTERNAL_TOKEN_COUNT,
        .state_count = STATE_COUNT,
        .large_state_count = LARGE_STATE_COUNT,
        .production_id_count = PRODUCTION_ID_COUNT,
        .field_count = FIELD_COUNT,
        .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
        .parse_table = &ts_parse_table[0][0],
        .small_parse_table = ts_small_parse_table,
        .small_parse_table_map = ts_small_parse_table_map,
        .parse_actions = ts_parse_actions,
        .symbol_names = ts_symbol_names,
        .symbol_metadata = ts_symbol_metadata,
        .public_symbol_map = ts_symbol_map,
        .alias_map = ts_non_terminal_alias_map,
        .alias_sequences = &ts_alias_sequences[0][0],
        .lex_modes = ts_lex_modes,
        .lex_fn = ts_lex,
        .external_scanner = {
            &ts_external_scanner_states[0][0],
            ts_external_scanner_symbol_map,
            tree_sitter_jinja_external_scanner_create,
            tree_sitter_jinja_external_scanner_destroy,
            tree_sitter_jinja_external_scanner_scan,
            tree_sitter_jinja_external_scanner_serialize,
            tree_sitter_jinja_external_scanner_deserialize,
        },
        .primary_state_ids = ts_primary_state_ids,
    };
    return &language;
}
#ifdef __cplusplus
}
#endif
